------------------------------------------------------------------------
r4361 | jokusoftware | 2006-12-19 21:10:43 +0300 (Вт, 19 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c

OFT: fixed proxy packets, were malformed for UINs shorter than 9 digits (thx Shogun for reporting)
------------------------------------------------------------------------
r4360 | ghazan | 2006-12-19 12:49:37 +0300 (Вт, 19 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_srv.cpp
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

fix for random disconnections for MSN protocol.
------------------------------------------------------------------------
r4359 | the_leech | 2006-12-18 22:52:17 +0300 (Пн, 18 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/tools.c

fix for truncated log file name
------------------------------------------------------------------------
r4358 | nightwish2004 | 2006-12-18 20:49:33 +0300 (Пн, 18 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/options.c

+ groupchat: default clist group wasn't fully unicode safe in the options dialog.
------------------------------------------------------------------------
r4357 | ghazan | 2006-12-18 13:19:53 +0300 (Пн, 18 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/rowheight_funcs.c

fix for a crash on start on slow machines
------------------------------------------------------------------------
r4356 | ashpynov | 2006-12-18 11:17:03 +0300 (Пн, 18 дек 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/movetogroup.c

+ minor unicode fix in movetogroup.c
+ painting of icon in not 32bit mode
------------------------------------------------------------------------
r4355 | ghazan | 2006-12-18 00:52:50 +0300 (Пн, 18 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/version.rc

version bump for build 7
------------------------------------------------------------------------
r4354 | ghazan | 2006-12-18 00:40:52 +0300 (Пн, 18 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_srv.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

MSN groups management patch (by borkra)
------------------------------------------------------------------------
r4353 | jokusoftware | 2006-12-16 03:13:35 +0300 (Сб, 16 дек 2006) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/UI/userinfotab.c
   M /trunk/miranda/protocols/IcqOscarJ/capabilities.c
   M /trunk/miranda/protocols/IcqOscarJ/chan_04close.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_01service.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_constants.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_direct.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_packet.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_packet.h
   M /trunk/miranda/protocols/IcqOscarJ/icqosc_svcs.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.h
   M /trunk/miranda/protocols/IcqOscarJ/resources.rc
   M /trunk/miranda/protocols/IcqOscarJ/stdpackets.c

some code cleaning
more clever ICQ DC initialization (do not try contacts which do not support that)
OFT: another bunch of improvements (Stage 4 Proxy, more precise error handling) - some pieces still missing
------------------------------------------------------------------------
r4352 | the_leech | 2006-12-14 22:56:35 +0300 (Чт, 14 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/Docs/scriver-readme.txt

docs updated
------------------------------------------------------------------------
r4351 | the_leech | 2006-12-14 22:51:41 +0300 (Чт, 14 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/log.c
   M /trunk/miranda/plugins/Scriver/chat/manager.c
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msglog.c
   M /trunk/miranda/plugins/Scriver/srmm.c

code page selection in ANSI version
------------------------------------------------------------------------
r4350 | ghazan | 2006-12-14 16:26:28 +0300 (Чт, 14 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp
   M /trunk/miranda/protocols/JabberG/jabber_secur.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

fix for two minor memory leaks
------------------------------------------------------------------------
r4349 | ashpynov | 2006-12-14 14:20:50 +0300 (Чт, 14 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/genmenuopt.c

+ unicode in genmenuopt.c
------------------------------------------------------------------------
r4348 | ashpynov | 2006-12-14 13:49:23 +0300 (Чт, 14 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c


------------------------------------------------------------------------
r4347 | ashpynov | 2006-12-14 12:38:40 +0300 (Чт, 14 дек 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/genmenu.c
   M /trunk/miranda/plugins/modernb/m_genmenu.h
   M /trunk/miranda/plugins/modernb/movetogroup.c

+ unicode in movetogroup.c module
+ added flag to m_genmenu.h CMIF_KEEPUNTRANSLATED to avoid translation internally
------------------------------------------------------------------------
r4346 | ashpynov | 2006-12-14 11:15:56 +0300 (Чт, 14 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/button.c
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/skinpp.cpp

+ reworked icon drawing from image list - hope now it will be times faster than was
------------------------------------------------------------------------
r4345 | ghazan | 2006-12-13 20:16:49 +0300 (Ср, 13 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp

patch for some login problems (by borkra)
------------------------------------------------------------------------
r4344 | ghazan | 2006-12-12 16:22:08 +0300 (Вт, 12 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/SDK/m_proto_listeningto.h
   M /trunk/miranda/protocols/MSN/msn_commands.cpp

patch for LISTENING_TO service (by pescuma)
------------------------------------------------------------------------
r4343 | ghazan | 2006-12-12 16:12:30 +0300 (Вт, 12 дек 2006) | 7 lines
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_srv.cpp
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp
   M /trunk/miranda/protocols/MSN/msn_threads.cpp
   M /trunk/miranda/protocols/MSN/msn_ws.cpp

patch for MSN by borkra:
- Hotmail Inbox does not show for password with special characters
- Hotmail Inbox problem for @msn.com accounts
- Added auto fix for contacts which belong to multiple groups (deleted from all groups except the first one)
- Fix for multiple SB session creation for the same contact
- Fix to use always last created SB session for message transmission for the contact
- Better diagnostics in network log
------------------------------------------------------------------------
r4342 | the_leech | 2006-12-12 00:24:50 +0300 (Вт, 12 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/Docs/scriver-readme.txt


------------------------------------------------------------------------
r4341 | nightwish2004 | 2006-12-11 20:59:51 +0300 (Пн, 11 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/chat.h
   M /trunk/miranda/plugins/tabsrmm/chat/log.c
   M /trunk/miranda/plugins/tabsrmm/chat/options.c
   M /trunk/miranda/plugins/tabsrmm/chat/services.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c

+ updated mathmod support for group chats and fixed plugin detection (no more restart needed)
------------------------------------------------------------------------
r4340 | ghazan | 2006-12-10 15:39:19 +0300 (Вс, 10 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/utils.c
   M /trunk/miranda/plugins/Scriver/utils.h

minor code cleaning
------------------------------------------------------------------------
r4339 | the_leech | 2006-12-09 22:43:25 +0300 (Сб, 09 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/Docs/scriver-readme.txt

docs updated
------------------------------------------------------------------------
r4338 | the_leech | 2006-12-09 22:42:52 +0300 (Сб, 09 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/Docs/scriver-readme.txt
   M /trunk/miranda/plugins/Scriver/srmm.c

docs updated
------------------------------------------------------------------------
r4337 | the_leech | 2006-12-09 20:01:20 +0300 (Сб, 09 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/log.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/statusicon.c
   M /trunk/miranda/plugins/Scriver/utils.c
   M /trunk/miranda/plugins/Scriver/utils.h

code page selection for group chats (Unicode version only)
------------------------------------------------------------------------
r4336 | ghazan | 2006-12-09 02:02:34 +0300 (Сб, 09 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_netlib.h
   M /trunk/miranda/src/core/miranda.h
   M /trunk/miranda/src/modules/button/button.c
   M /trunk/miranda/src/modules/clist/clcmsgs.c
   M /trunk/miranda/src/modules/findadd/findadd.c
   M /trunk/miranda/src/modules/findadd/searchresults.c
   M /trunk/miranda/src/modules/langpack/langpack.c

another minor Unicode bug - tooltips in file transfer dialogs
------------------------------------------------------------------------
r4335 | ghazan | 2006-12-09 01:41:37 +0300 (Сб, 09 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/core/miranda.h
   M /trunk/miranda/src/modules/clist/clc.h
   M /trunk/miranda/src/modules/clist/clistmod.c
   M /trunk/miranda/src/modules/clist/clistsettings.c
   M /trunk/miranda/src/modules/icolib/skin2icons.c
   M /trunk/miranda/src/modules/langpack/langpack.c
   M /trunk/miranda/src/modules/netlib/netlib.c
   M /trunk/miranda/src/modules/netlib/netlibopts.c
   M /trunk/miranda/src/modules/options/options.c

fix for minor Unicode issue; code cleaning
------------------------------------------------------------------------
r4334 | ghazan | 2006-12-08 18:09:44 +0300 (Пт, 08 дек 2006) | 5 lines
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn_commands.cpp
   M /branches/stable/miranda/protocols/MSN/msn_opts.cpp
   M /branches/stable/miranda/protocols/MSN/version.h
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_ws.cpp

MSN patch by borkra:
- Login problems
- Multiple XFR due to Typing Notify
- Reconnect required dialog in options appears all the time. Bug# 2300
- Typing Notify cleared on message reception. Bug# 1534
------------------------------------------------------------------------
r4333 | ghazan | 2006-12-07 20:00:36 +0300 (Чт, 07 дек 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp

fix for the stupid Kopete's base64 encoder
------------------------------------------------------------------------
r4332 | ghazan | 2006-12-07 01:50:19 +0300 (Чт, 07 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/icolib/IcoLib.c
   M /trunk/miranda/src/modules/icolib/IcoLib.h
   M /trunk/miranda/src/modules/icolib/extracticon.c
   M /trunk/miranda/src/modules/icolib/skin2icons.c

code cleaning for icolib in core
------------------------------------------------------------------------
r4331 | jokusoftware | 2006-12-07 00:04:11 +0300 (Чт, 07 дек 2006) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/chan_04close.c
   M /trunk/miranda/protocols/IcqOscarJ/docs/icq-readme.txt
   M /trunk/miranda/protocols/IcqOscarJ/fam_04message.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_constants.h
   M /trunk/miranda/protocols/IcqOscarJ/init.c

fixed handling of msg acks & status msg replies from icq6
added icq6 client detection
------------------------------------------------------------------------
r4330 | ghazan | 2006-12-06 23:08:20 +0300 (Ср, 06 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/version.rc

version bump for 0.7 bld 5
------------------------------------------------------------------------
r4329 | ghazan | 2006-12-06 23:07:31 +0300 (Ср, 06 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber_icolib.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp

code cleaning
------------------------------------------------------------------------
r4328 | ghazan | 2006-12-06 20:56:22 +0300 (Ср, 06 дек 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_util.cpp
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp

fix for the incorrect country detection in Unicode Jabber version.
------------------------------------------------------------------------
r4327 | ghazan | 2006-12-06 13:20:04 +0300 (Ср, 06 дек 2006) | 4 lines
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp

patch for MSN by borkra:
- Direct connection with NAT
- File transfer cancellation during broken direct connection negotiation
- Static avatar transfer when WLM user selected flash avatar.
------------------------------------------------------------------------
r4326 | ashpynov | 2006-12-06 10:43:29 +0300 (Ср, 06 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/modern_statusbar.c

+ show human readable name of protocol in status bar: e.g 'Jabber' instead of 'JABBER'
------------------------------------------------------------------------
r4325 | ashpynov | 2006-12-06 10:05:17 +0300 (Ср, 06 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/modern_statusbar.c

+ divide with rounding to up in statusbar line count
------------------------------------------------------------------------
r4324 | nightwish2004 | 2006-12-06 07:07:48 +0300 (Ср, 06 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/chat.h
   M /trunk/miranda/plugins/tabsrmm/chat/log.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.h

+ added mathmod support to group chats (parsing only, toolbox support not fully finished)
------------------------------------------------------------------------
r4323 | nightwish2004 | 2006-12-06 06:11:18 +0300 (Ср, 06 дек 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/docs/changelog.txt
   M /trunk/miranda/plugins/tabsrmm/generic_msghandlers.c
   M /trunk/miranda/plugins/tabsrmm/msgoptions.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/msgwindow.rc
   M /trunk/miranda/plugins/tabsrmm/srmm.c

+ minor fixes to support new math module++
+ version bump
------------------------------------------------------------------------
r4322 | ghazan | 2006-12-06 01:10:31 +0300 (Ср, 06 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

fix for the protocols icons disappearing
------------------------------------------------------------------------
r4321 | the_leech | 2006-12-06 00:03:23 +0300 (Ср, 06 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c

manual encoding selection
------------------------------------------------------------------------
r4320 | gena01 | 2006-12-05 21:32:19 +0300 (Вт, 05 дек 2006) | 5 lines
Changed paths:
   M /trunk/miranda/protocols/Yahoo/libyahoo2/libyahoo2.c

Fixing IMs and Typing...

So Yahoo is doing chrismas cleaning... and they decide to no longer like packets who sent out some flags that they used to sent.. and people can't IM anymore....

So we doing some cleaning tooo... and we can now talk to others again.. yay.... Thanks Yahoo... ;-)
------------------------------------------------------------------------
r4319 | ghazan | 2006-12-05 20:23:47 +0300 (Вт, 05 дек 2006) | 6 lines
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.mak
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/resource.h

patch for MSN by borkra:
1. Nicks not going into the right group
2. Avatar not updated in some cases
3. Direct connection not established in some cases
4. File abort not handled properly.
5. Cleanup in SSL code.
------------------------------------------------------------------------
r4318 | the_leech | 2006-12-05 18:01:30 +0300 (Вт, 05 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgwindow.c

separate window size for chats
------------------------------------------------------------------------
r4317 | ashpynov | 2006-12-05 16:05:52 +0300 (Вт, 05 дек 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/modern_statusbar.c
   M /trunk/miranda/plugins/modernb/modern_statusbar.h
   M /trunk/miranda/plugins/modernb/resource.h
   M /trunk/miranda/plugins/modernb/resource.rc
   M /trunk/miranda/plugins/modernb/skinpp.txt
   M /trunk/miranda/plugins/modernb/skinpp_object_glyph.cpp
   M /trunk/miranda/plugins/modernb/skinpp_object_glyph.h

+ multiline status bar
+ skinpp engine continue: object.glyph - get glyph data from xml node implementation
------------------------------------------------------------------------
r4316 | ashpynov | 2006-12-05 10:21:36 +0300 (Вт, 05 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/viewmodes.c


------------------------------------------------------------------------
r4315 | ashpynov | 2006-12-04 17:41:54 +0300 (Пн, 04 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/viewmodes.c

+ last applied view mode will be reapplied after restart (if non-auto clear view mode was selected)
------------------------------------------------------------------------
r4314 | nightwish2004 | 2006-12-04 16:30:38 +0300 (Пн, 04 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/hotkeyhandler.c

+ fixed crash with session list
------------------------------------------------------------------------
r4313 | ghazan | 2006-12-04 15:48:17 +0300 (Пн, 04 дек 2006) | 7 lines
Changed paths:
   M /trunk/miranda/protocols/MSN/Docs/history-msn.txt
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_threads.cpp
   M /trunk/miranda/protocols/MSN/version.h

patch by borkra:
1. Implements MS Passport 3.0 authentication scheme
2. Fixes reset button, Bug 2164
3. Fixes not on contact list error when trying to start session with yourself
4. Minor improvements to x-clientcaps message
5. Changed default Miranda Id string to common format

------------------------------------------------------------------------
r4312 | nightwish2004 | 2006-12-04 15:10:53 +0300 (Пн, 04 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/generic_msghandlers.c

+ draw inactive status bar icons in dimmed. previously, they were just skipped.
------------------------------------------------------------------------
r4311 | ashpynov | 2006-12-04 10:15:36 +0300 (Пн, 04 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/movetogroup.c
   M /trunk/miranda/plugins/modernb/version.h

+ sync with movetogroup.c in clist_nicer+ to prevent contact group randomly changes (thnx to Joe)
------------------------------------------------------------------------
r4310 | ghazan | 2006-12-04 02:11:36 +0300 (Пн, 04 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/core/modules.c
   M /trunk/miranda/src/modules/netlib/netlibhttp.c

two core patches by borkra
------------------------------------------------------------------------
r4309 | ghazan | 2006-12-04 01:44:33 +0300 (Пн, 04 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_plugins.h

IcoLib is a non-replaceable module now, to allow all plugins icons to be initialized during Load()
------------------------------------------------------------------------
r4308 | nightwish2004 | 2006-12-03 20:13:42 +0300 (Вс, 03 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/log.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c

+ more improvements on clickable nicks - added userinfo context menu to clickable nicknames in the chat log.
------------------------------------------------------------------------
r4307 | nightwish2004 | 2006-12-03 20:01:18 +0300 (Вс, 03 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/CLUIFrames/movetogroup.c

+ patch by Joe to fix move to group feature and uncommanded moving of contacts to other groups
------------------------------------------------------------------------
r4306 | the_leech | 2006-12-03 14:12:06 +0300 (Вс, 03 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/options.c
   M /trunk/miranda/plugins/chat/window.c

bugfixes
------------------------------------------------------------------------
r4305 | ghazan | 2006-12-02 00:12:57 +0300 (Сб, 02 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/MSN/msn.cpp

services creation moved to Load()
------------------------------------------------------------------------
r4304 | ghazan | 2006-12-02 00:09:42 +0300 (Сб, 02 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/core/modules.c

IcoLib is a non-replaceable module now, to allow all plugins icons to be initialized during Load()
------------------------------------------------------------------------
r4303 | jokusoftware | 2006-12-01 22:51:30 +0300 (Пт, 01 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c

OFT: fixed two brutal mistakes (causing crash), thx PG for reporting
------------------------------------------------------------------------
r4302 | ghazan | 2006-12-01 19:52:56 +0300 (Пт, 01 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/png2dib/png2dib.c

fix for MSN avatars problems
------------------------------------------------------------------------
r4301 | nightwish2004 | 2006-12-01 18:23:56 +0300 (Пт, 01 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.h

+ restored old behaviour for subcontact icon display
------------------------------------------------------------------------
r4300 | the_leech | 2006-12-01 13:25:20 +0300 (Пт, 01 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgwindow.c

fix for memory leak by Boris
------------------------------------------------------------------------
r4299 | jokusoftware | 2006-12-01 02:32:34 +0300 (Пт, 01 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c

OFT: some code cleaning & consolidation
------------------------------------------------------------------------
r4298 | jokusoftware | 2006-12-01 02:17:17 +0300 (Пт, 01 дек 2006) | 4 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_constants.h
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.h

OFT: landing even more fixes (should be almost complete now)
OFT: finished Stage 1 sending (all methods now implemented)
OFT: some improvements to Error handling (still not complete though)
fixed QIP PDA detection (thx std for hint)
------------------------------------------------------------------------
r4297 | ghazan | 2006-12-01 00:21:52 +0300 (Пт, 01 дек 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp

fix for the wrong hook
------------------------------------------------------------------------
r4296 | ghazan | 2006-11-30 23:53:26 +0300 (Чт, 30 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn.dep
   M /trunk/miranda/protocols/MSN/msn.dsp
   M /trunk/miranda/protocols/MSN/msn.mak
   M /trunk/miranda/protocols/MSN/msn.vcproj
   M /trunk/miranda/protocols/MSN/msn_8.vcproj
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_lists.cpp
   A /trunk/miranda/protocols/MSN/msn_menu.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

fix for MSN menu icons & icolib
------------------------------------------------------------------------
r4295 | ghazan | 2006-11-30 20:23:47 +0300 (Чт, 30 ноя 2006) | 2 lines
Changed paths:
   D /trunk/miranda/protocols/JabberG/icos/block.ico
   A /trunk/miranda/protocols/JabberG/icos/roster.ico
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_icolib.cpp
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_lists.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/resource.h

MSN icons are moved to IcoLib
code cleaning
------------------------------------------------------------------------
r4294 | ghazan | 2006-11-30 00:35:09 +0300 (Чт, 30 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/version.rc

version bump for 0.7.0.4
------------------------------------------------------------------------
r4293 | ghazan | 2006-11-30 00:34:24 +0300 (Чт, 30 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.dep

fix for ICQ makefile
------------------------------------------------------------------------
r4292 | ghazan | 2006-11-30 00:30:57 +0300 (Чт, 30 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/chat.rc

fix for a broken resource file
------------------------------------------------------------------------
r4291 | ghazan | 2006-11-30 00:29:41 +0300 (Чт, 30 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/src/resource.rc
   M /trunk/miranda/src/resource.rc

minor fix for a field title.
------------------------------------------------------------------------
r4290 | ghazan | 2006-11-29 23:55:32 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp

fix for thorough client version transmission in MSN
------------------------------------------------------------------------
r4289 | ghazan | 2006-11-29 23:35:57 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no

version bump for 0.7.0.4
------------------------------------------------------------------------
r4288 | ghazan | 2006-11-29 23:35:06 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/manager.c

minor memory leak fixed
------------------------------------------------------------------------
r4287 | ghazan | 2006-11-29 23:34:11 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/modernb.dep
   M /trunk/miranda/plugins/modernb/modernb.mak

fix for clist_modern makefile
------------------------------------------------------------------------
r4286 | ghazan | 2006-11-29 23:32:47 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/srfile/filesenddlg.c

fix for file transfer dialog not to lock the current directory
------------------------------------------------------------------------
r4283 | ghazan | 2006-11-29 23:30:16 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/src/modules/idle/idle.c
   M /branches/stable/miranda/src/resource.h
   M /branches/stable/miranda/src/resource.rc
   M /trunk/miranda/src/modules/idle/idle.c
   M /trunk/miranda/src/resource.h
   M /trunk/miranda/src/resource.rc

fix for the idle options dialog, and memory leak in the idle detection
------------------------------------------------------------------------
r4281 | the_leech | 2006-11-29 22:41:56 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/Docs/scriver-readme.txt


------------------------------------------------------------------------
r4280 | the_leech | 2006-11-29 22:40:12 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/srmm.c


------------------------------------------------------------------------
r4279 | nightwish2004 | 2006-11-29 21:55:42 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/tools.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c

+ codepage menu is not shown when the session is registered as unicode chat
------------------------------------------------------------------------
r4278 | the_leech | 2006-11-29 21:29:31 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/options.c
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c

FontService support
------------------------------------------------------------------------
r4277 | ashpynov | 2006-11-29 14:01:18 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   D /trunk/miranda/plugins/modernb/tabbedoptions.c

removed unnecessary file
------------------------------------------------------------------------
r4276 | ghazan | 2006-11-29 13:54:03 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clist_modern_8.vcproj

fix for modernb project for vs2005
------------------------------------------------------------------------
r4274 | nightwish2004 | 2006-11-29 13:20:25 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/chat.h
   M /trunk/miranda/plugins/tabsrmm/chat/services.c
   M /trunk/miranda/plugins/tabsrmm/chat/tools.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c

+ added UTF-8 codepage support to group chat sessions (experimental)
------------------------------------------------------------------------
r4273 | ashpynov | 2006-11-29 12:16:35 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clc.c

! clc.c icon gdi usage fix (minus about 40 icons)
------------------------------------------------------------------------
r4272 | ashpynov | 2006-11-29 12:12:45 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clistopts.c
   M /trunk/miranda/plugins/modernb/genmenu.c
   D /trunk/miranda/plugins/modernb/m_icolib.h

+ genmenu patch to reduce icon GDI resource usage with new iconlib in v.0.7 core
------------------------------------------------------------------------
r4271 | ashpynov | 2006-11-29 11:18:10 +0300 (Ср, 29 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/clcitems.c
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/skinpp.cpp
   A /trunk/miranda/plugins/modernb/skinpp.txt
   A /trunk/miranda/plugins/modernb/skinpp_object.cpp
   A /trunk/miranda/plugins/modernb/skinpp_object.h
   A /trunk/miranda/plugins/modernb/skinpp_object_glyph.cpp
   A /trunk/miranda/plugins/modernb/skinpp_object_glyph.h
   M /trunk/miranda/plugins/modernb/skinpp_private.h
   M /trunk/miranda/plugins/modernb/version.h

! do not show  'unknown contact' in main list
! continue to implement new skinpp engine (VC6 and VC8 projects are not valid)
------------------------------------------------------------------------
r4270 | jokusoftware | 2006-11-29 03:06:49 +0300 (Ср, 29 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/src/modules/icolib/IcoLib.h
   M /trunk/miranda/src/modules/icolib/skin2icons.c

fixed relative paths handling in icolib module
added extra optimization for default HICONs
------------------------------------------------------------------------
r4269 | jokusoftware | 2006-11-29 03:03:18 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_utils.h
   M /trunk/miranda/src/modules/utils/path.c

added unicode equivalents for MS_UTILS_PATH* services
------------------------------------------------------------------------
r4268 | jokusoftware | 2006-11-29 02:18:58 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/docs/icq-readme.txt
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c

added detection of Anastasia client (thx Angeli-Ka for hint)
------------------------------------------------------------------------
r4267 | ghazan | 2006-11-29 02:03:46 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/Yahoo.dep
   M /trunk/miranda/protocols/Yahoo/Yahoo.dsp
   M /trunk/miranda/protocols/Yahoo/Yahoo.mak
   M /trunk/miranda/protocols/Yahoo/Yahoo.vcproj
   M /trunk/miranda/protocols/Yahoo/Yahoo_8.vcproj

update for YAHOO project & make files
------------------------------------------------------------------------
r4266 | gena01 | 2006-11-29 01:03:39 +0300 (Ср, 29 ноя 2006) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/Yahoo/Makefile.win

And the Makefile...

George: Please update the project files. these changes are only in the trunk.. 
------------------------------------------------------------------------
r4265 | gena01 | 2006-11-29 01:02:36 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/yahoo.msp

Updated project file.
------------------------------------------------------------------------
r4264 | gena01 | 2006-11-29 01:01:41 +0300 (Ср, 29 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/libyahoo2/libyahoo2.c
   M /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo2_types.h
   A /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo_auth.c
   A /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo_auth.h
   D /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo_fn.c
   D /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo_fn.h

Copied the authentication code from Gaim... who apparently got it from Cerulian Studios... so thanks to all those people, now we using the latest and greatest code..
------------------------------------------------------------------------
r4263 | ghazan | 2006-11-28 22:22:54 +0300 (Вт, 28 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/plugins/png2dib/png2dib.c
   M /trunk/miranda/plugins/png2dib/png2dib.c

patch for png2dib not to kill an alpha channel (by y_b)
------------------------------------------------------------------------
r4262 | ghazan | 2006-11-28 22:19:00 +0300 (Вт, 28 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_agent.cpp
   M /trunk/miranda/protocols/JabberG/jabber_icolib.cpp
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/jabber_password.cpp

fix for JGMail plugin icon name compatibility
------------------------------------------------------------------------
r4261 | gena01 | 2006-11-28 21:32:52 +0300 (Вт, 28 ноя 2006) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/Yahoo/Makefile.win

Forgot to update the makefile. 

George: Can you update the M$ project files?
------------------------------------------------------------------------
r4260 | gena01 | 2006-11-28 21:32:05 +0300 (Вт, 28 ноя 2006) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/Yahoo/Yahoo.rc
   A /trunk/miranda/protocols/Yahoo/icolib.c
   M /trunk/miranda/protocols/Yahoo/main.c
   M /trunk/miranda/protocols/Yahoo/resource.h
   M /trunk/miranda/protocols/Yahoo/services.c
   M /trunk/miranda/protocols/Yahoo/util.c
   M /trunk/miranda/protocols/Yahoo/version.h
   M /trunk/miranda/protocols/Yahoo/yahoo.h
   M /trunk/miranda/protocols/Yahoo/yahoo.msp

Landing icolib support and updating version to 0.7.0.1 and raising the minimal core requirements...

Yahoo now joins the ranks of ICQ and others with IcoLib support... now all we need are new Yahoo icon packs ;-)
------------------------------------------------------------------------
r4259 | ghazan | 2006-11-28 19:51:12 +0300 (Вт, 28 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/src/modules/netlib/netliblog.c
   M /trunk/miranda/src/modules/netlib/netliblog.c

one minor interface bug in netlib log options: the "Save to file" checkbox isn't set when a log file name is being typed
------------------------------------------------------------------------
r4258 | ghazan | 2006-11-28 19:49:18 +0300 (Вт, 28 ноя 2006) | 2 lines
Changed paths:
   M /branches/stable/miranda/src/modules/clist/clcmsgs.c
   M /branches/stable/miranda/src/modules/clist/clui.c
   M /branches/stable/miranda/src/modules/clist/cluiservices.c
   M /branches/stable/miranda/src/modules/idle/idle.c
   M /branches/stable/miranda/src/modules/netlib/netlibhttp.c
   M /branches/stable/miranda/src/modules/skin/skinicons.c
   M /branches/stable/miranda/src/modules/srawaymsg/sendmsg.c
   M /trunk/miranda/src/modules/clist/clui.c
   M /trunk/miranda/src/modules/clist/cluiservices.c
   M /trunk/miranda/src/modules/idle/idle.c
   M /trunk/miranda/src/modules/skin/skinicons.c
   M /trunk/miranda/src/modules/srawaymsg/sendmsg.c

minor Unicode fixes & improvements
code cleaning
------------------------------------------------------------------------
r4257 | ghazan | 2006-11-28 16:36:28 +0300 (Вт, 28 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.cpp

IcoLib support for Jabber plugin
------------------------------------------------------------------------
r4256 | ghazan | 2006-11-28 16:34:13 +0300 (Вт, 28 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber_agent.cpp
   M /trunk/miranda/protocols/JabberG/jabber_chat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_groupchat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_icolib.cpp
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/jabber_password.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_vcard.cpp
   M /trunk/miranda/protocols/JabberG/version.h

IcoLib support for Jabber plugin
------------------------------------------------------------------------
r4255 | ghazan | 2006-11-28 16:11:46 +0300 (Вт, 28 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/viewmodes.c

fix for crash on exit in nicer+
------------------------------------------------------------------------
r4254 | ghazan | 2006-11-28 16:03:34 +0300 (Вт, 28 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/chat.h
   M /trunk/miranda/plugins/chat/main.c
   M /trunk/miranda/plugins/chat/manager.c
   M /trunk/miranda/plugins/chat/options.c
   M /trunk/miranda/plugins/chat/tools.c
   M /trunk/miranda/plugins/chat/window.c

some code cleaning
------------------------------------------------------------------------
r4253 | jokusoftware | 2006-11-28 02:05:43 +0300 (Вт, 28 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/UI/askauthentication.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_13servclist.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_constants.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_servlist.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_servlist.h
   M /trunk/miranda/protocols/IcqOscarJ/init.c

applied fix for re-requesting auth (thx Bio), I hope it will help at least a bit
------------------------------------------------------------------------
r4252 | gena01 | 2006-11-28 01:36:59 +0300 (Вт, 28 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/libyahoo2/libyahoo2.c
   M /trunk/miranda/protocols/Yahoo/yahoo.c
   M /trunk/miranda/protocols/Yahoo/yahoo.h

Some code cleanup. Removing some debug messages. Added a couple of yahoo ids for Yahoo 8.x list for those who like to "finger" their buddies... even though personally I find that activity discouraging..
------------------------------------------------------------------------
r4251 | gena01 | 2006-11-28 01:30:26 +0300 (Вт, 28 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_netlib.h

These should be static, otherwise I keep getting a ton of linking errors.
------------------------------------------------------------------------
r4250 | jokusoftware | 2006-11-28 00:37:34 +0300 (Вт, 28 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c

fixed handing of receive path (failed for non-ascii paths)
------------------------------------------------------------------------
r4249 | the_leech | 2006-11-27 21:42:51 +0300 (Пн, 27 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msglog.c

bugfixes
------------------------------------------------------------------------
r4248 | jokusoftware | 2006-11-27 21:07:04 +0300 (Пн, 27 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/chan_04close.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_server.c
   D /trunk/miranda/protocols/IcqOscarJ/m_icolib.h

fixed two minor error msg glitches
removed obsolete icolib header
------------------------------------------------------------------------
r4247 | nightwish2004 | 2006-11-27 04:56:15 +0300 (Пн, 27 ноя 2006) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/chat.h
   M /trunk/miranda/plugins/tabsrmm/chat/services.c
   M /trunk/miranda/plugins/tabsrmm/chat/tools.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/docs/changelog.txt
   M /trunk/miranda/plugins/tabsrmm/generic_msghandlers.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/msgwindow.rc
   M /trunk/miranda/plugins/tabsrmm/srmm.c

+ version bump, changelog update
+ added "per session" codepage support to groupchats
+ small correction for statusbar tooltips
------------------------------------------------------------------------
r4246 | ghazan | 2006-11-27 00:53:53 +0300 (Пн, 27 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn.cpp
   M /branches/stable/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

fix for VC6 compatibility
------------------------------------------------------------------------
r4245 | ghazan | 2006-11-27 00:47:20 +0300 (Пн, 27 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/version.rc

version bump for 0.7.0.3
------------------------------------------------------------------------
r4244 | ghazan | 2006-11-27 00:45:41 +0300 (Пн, 27 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/chat.h
   M /trunk/miranda/plugins/chat/chat.rc
   M /trunk/miranda/plugins/chat/main.c
   M /trunk/miranda/plugins/chat/manager.c
   M /trunk/miranda/plugins/chat/options.c
   M /trunk/miranda/plugins/chat/tools.c
   M /trunk/miranda/plugins/chat/window.c

various fixes for CHAT plugin due to embedding IcoLib
------------------------------------------------------------------------
r4242 | ghazan | 2006-11-27 00:42:15 +0300 (Пн, 27 ноя 2006) | 7 lines
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn.cpp
   M /branches/stable/miranda/protocols/MSN/msn_bitmap.cpp
   M /branches/stable/miranda/protocols/MSN/msn_commands.cpp
   M /branches/stable/miranda/protocols/MSN/msn_global.h
   M /branches/stable/miranda/protocols/MSN/msn_misc.cpp
   M /branches/stable/miranda/protocols/MSN/msn_opts.cpp
   M /branches/stable/miranda/protocols/MSN/msn_p2p.cpp
   M /branches/stable/miranda/protocols/MSN/msn_ssl.cpp
   M /branches/stable/miranda/protocols/MSN/msn_svcs.cpp
   M /branches/stable/miranda/protocols/MSN/msn_threads.cpp
   M /branches/stable/miranda/protocols/MSN/msn_ws.cpp
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn_bitmap.cpp
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_threads.cpp
   M /trunk/miranda/protocols/MSN/msn_ws.cpp

patch by borkra:
- using Message API (if available) to reduce the number of session creations/closures.
- timeout for unauthorized sessions was shrinked to 15 sec.
- fixed a problem with thread timeout stop working in some cases.
- fixed a problem when aborted File Transfer never close a file (in HTTP gateway mode)
- added Miranda 0.6 identification 
- improved/fixed contact deletion 
------------------------------------------------------------------------
r4241 | ghazan | 2006-11-26 17:56:18 +0300 (Вс, 26 ноя 2006) | 2 lines
Changed paths:
   A /branches/stable/miranda/protocols/JabberG/icos/refresh.ico
   A /trunk/miranda/protocols/JabberG/icos/refresh.ico

[+] wish #0002532 fixed: Add command "Resolve Nicknames" in context menu for transports

------------------------------------------------------------------------
r4240 | ghazan | 2006-11-26 17:54:07 +0300 (Вс, 26 ноя 2006) | 2 lines
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/docs/changelog_jabber.txt
   M /branches/stable/miranda/protocols/JabberG/jabber.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber.h
   M /branches/stable/miranda/protocols/JabberG/jabber.rc
   M /branches/stable/miranda/protocols/JabberG/jabber_groupchat.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_iqid.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_iqid_muc.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_menu.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_misc.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_opt.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_svc.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_thread.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_vcard.cpp
   M /branches/stable/miranda/protocols/JabberG/resource.h
   M /trunk/miranda/protocols/JabberG/docs/changelog_jabber.txt
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_groupchat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid_muc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/jabber_misc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_vcard.cpp
   M /trunk/miranda/protocols/JabberG/jabber_xml.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

[+] wish #0002532 fixed: Add command "Resolve Nicknames" in context menu for transports

------------------------------------------------------------------------
r4239 | ghazan | 2006-11-26 12:32:44 +0300 (Вс, 26 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/IRC/services.cpp
   M /trunk/miranda/protocols/IRC/services.cpp

fix for occational crash in IRC options
------------------------------------------------------------------------
r4238 | nightwish2004 | 2006-11-26 07:06:00 +0300 (Вс, 26 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c
   M /trunk/miranda/plugins/tabsrmm/tabsrmm.dsp

+ slightly improved clickable nicknames in group chats (patch by andrey(dot]balaguta [at] gmail {dot] com
+ fixed VC6 debug-unicode targets (missing UNICODE symbol in resource compiler setup).
------------------------------------------------------------------------
r4237 | ghazan | 2006-11-26 00:31:03 +0300 (Вс, 26 ноя 2006) | 1 line
Changed paths:
   A /trunk/miranda/include/m_icolib.h

icolib header file added 
------------------------------------------------------------------------
r4236 | ghazan | 2006-11-25 23:44:46 +0300 (Сб, 25 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_plugins.h
   M /trunk/miranda/src/core/modules.c
   M /trunk/miranda/src/miranda32.dep
   M /trunk/miranda/src/miranda32.dsp
   M /trunk/miranda/src/miranda32.mak
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda/src/miranda32_8.vcproj
   A /trunk/miranda/src/modules/icolib
   A /trunk/miranda/src/modules/icolib/IcoLib.c
   A /trunk/miranda/src/modules/icolib/IcoLib.h
   A /trunk/miranda/src/modules/icolib/extracticon.c
   A /trunk/miranda/src/modules/icolib/skin2icons.c
   M /trunk/miranda/src/modules/plugins/newplugins.c
   M /trunk/miranda/src/resource.h
   M /trunk/miranda/src/resource.rc

icolib embedded into the core (patch by Jozef Ku_era)
------------------------------------------------------------------------
r4235 | the_leech | 2006-11-25 03:33:19 +0300 (Сб, 25 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/commonheaders.h

FontService include changed
------------------------------------------------------------------------
r4234 | the_leech | 2006-11-25 03:32:03 +0300 (Сб, 25 ноя 2006) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/options.c
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msglog.c
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgs.h

fixed 2 memory leaks
Unicode-friendly font settings
full support for FontService
------------------------------------------------------------------------
r4233 | the_leech | 2006-11-25 03:21:24 +0300 (Сб, 25 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/include/m_fontservice.h
   M /trunk/miranda/src/modules/fonts/FontOptions.c
   M /trunk/miranda/src/modules/fonts/FontService.c
   M /trunk/miranda/src/modules/fonts/FontService.h
   M /trunk/miranda/src/modules/fonts/services.c

added per-font background settings
fixed fonts/backgrounds sorting
------------------------------------------------------------------------
r4232 | the_leech | 2006-11-25 01:33:50 +0300 (Сб, 25 ноя 2006) | 1 line
Changed paths:
   D /trunk/miranda/plugins/Scriver/m_fontservice.h


------------------------------------------------------------------------
r4231 | ghazan | 2006-11-25 00:16:26 +0300 (Сб, 25 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/chat.h
   M /trunk/miranda/plugins/chat/chat.rc
   M /trunk/miranda/plugins/chat/chat.vcproj
   M /trunk/miranda/plugins/chat/options.c
   M /trunk/miranda/plugins/chat/resource.h
   M /trunk/miranda/plugins/chat/services.c
   M /trunk/miranda/plugins/srmm/msgs.c
   M /trunk/miranda/src/modules/clist/clcmsgs.c

changes to catch ME_FONT_RELOAD event from FontService
------------------------------------------------------------------------
r4230 | ghazan | 2006-11-24 22:31:27 +0300 (Пт, 24 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/srmm/resource.h
   M /trunk/miranda/plugins/srmm/resource.rc

changes for SRMM options dialog
------------------------------------------------------------------------
r4229 | ghazan | 2006-11-24 19:48:34 +0300 (Пт, 24 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/skineditor/commonheaders.h

useless code removed
------------------------------------------------------------------------
r4228 | ghazan | 2006-11-24 19:39:17 +0300 (Пт, 24 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/main.c
   M /trunk/miranda/plugins/chat/options.c
   M /trunk/miranda/plugins/chat/services.c
   M /trunk/miranda/plugins/srmm/msgoptions.c
   M /trunk/miranda/plugins/srmm/msgs.c
   M /trunk/miranda/plugins/srmm/resource.h
   M /trunk/miranda/plugins/srmm/resource.rc
   M /trunk/miranda/plugins/srmm/srmm.c
   M /trunk/miranda/plugins/srmm/srmm.vcproj
   M /trunk/miranda/src/modules/fonts/FontService.c
   M /trunk/miranda/src/modules/fonts/module_fonts.c

moved default FontService settings to the appropriate plugins
------------------------------------------------------------------------
r4227 | the_leech | 2006-11-24 12:01:43 +0300 (Пт, 24 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msglog.c

SmileyAdd support fixes
------------------------------------------------------------------------
r4226 | ashpynov | 2006-11-24 11:17:28 +0300 (Пт, 24 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clcitems.c

- sticky contact in view mode
------------------------------------------------------------------------
r4225 | ashpynov | 2006-11-24 10:30:20 +0300 (Пт, 24 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/extraimage.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clcitems.c
   M /trunk/miranda/plugins/modernb/clist.h
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/clistopts.c
   M /trunk/miranda/plugins/modernb/version.h

- Translation of Row items tab sheets
- Do not show subcontacts hidden contact even if CLS_SHOWHIDDEN flag is set.
------------------------------------------------------------------------
r4224 | jokusoftware | 2006-11-24 03:11:23 +0300 (Пт, 24 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_icq.h

updated custom status API definition
------------------------------------------------------------------------
r4223 | the_leech | 2006-11-23 23:55:04 +0300 (Чт, 23 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/fonts/FontService.h

added per-font background settings
------------------------------------------------------------------------
r4222 | the_leech | 2006-11-23 23:54:19 +0300 (Чт, 23 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_fontservice.h

added per-font background settings
------------------------------------------------------------------------
r4221 | the_leech | 2006-11-23 23:37:52 +0300 (Чт, 23 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/Docs/scriver-readme.txt
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/statusicon.c
   M /trunk/miranda/plugins/Scriver/statusicon.h

status bar icons improvements
new keyboard shortcuts in chats 
------------------------------------------------------------------------
r4220 | the_leech | 2006-11-23 23:23:04 +0300 (Чт, 23 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/srmm/msgdialog.c
   M /trunk/miranda/plugins/srmm/statusicon.c
   M /trunk/miranda/plugins/srmm/statusicon.h

better handling of hidden status bar icons
------------------------------------------------------------------------
r4219 | the_leech | 2006-11-23 18:48:41 +0300 (Чт, 23 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c

minor Unicode fixsome fixes for keyboard shortcuts

------------------------------------------------------------------------
r4218 | the_leech | 2006-11-23 18:44:27 +0300 (Чт, 23 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c

some fixes for keyboard shortcuts
------------------------------------------------------------------------
r4217 | ghazan | 2006-11-23 01:15:51 +0300 (Чт, 23 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/modernb.dep
   M /trunk/miranda/plugins/modernb/modernb.dsp
   M /trunk/miranda/plugins/modernb/modernb.mak

fixes for clist_modern project and makefiles
------------------------------------------------------------------------
r4216 | ghazan | 2006-11-23 01:04:45 +0300 (Чт, 23 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/miranda32.dep
   M /trunk/miranda/src/miranda32.dsp
   M /trunk/miranda/src/miranda32.mak
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda/src/miranda32_8.vcproj
   A /trunk/miranda/src/modules/fonts/FontOptions.c (from /trunk/miranda/src/modules/fonts/options.c:4215)
   D /trunk/miranda/src/modules/fonts/options.c
   M /trunk/miranda/src/version.rc

fixes for Miranda project & makefiles
version bump
------------------------------------------------------------------------
r4215 | ghazan | 2006-11-22 19:43:03 +0300 (Ср, 22 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/src/modules/srfile/filexferdlg.c
   M /trunk/miranda/src/modules/srfile/filexferdlg.c

fix for a memory leak in f/t dialog
------------------------------------------------------------------------
r4214 | ghazan | 2006-11-22 17:31:34 +0300 (Ср, 22 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn_commands.cpp
   M /branches/stable/miranda/protocols/MSN/msn_global.h
   M /branches/stable/miranda/protocols/MSN/msn_misc.cpp
   M /branches/stable/miranda/protocols/MSN/msn_opts.cpp
   M /branches/stable/miranda/protocols/MSN/msn_p2p.cpp
   M /branches/stable/miranda/protocols/MSN/msn_p2ps.cpp
   M /branches/stable/miranda/protocols/MSN/msn_svcs.cpp
   M /branches/stable/miranda/protocols/MSN/msn_threads.cpp
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_p2ps.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_threads.cpp

fix for direct MSN file transfers (by borkra)
------------------------------------------------------------------------
r4213 | ghazan | 2006-11-22 17:12:33 +0300 (Ср, 22 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/src/modules/options/options.c
   M /trunk/miranda/src/modules/options/options.c

one another minor memory leak in tabbed options interface
------------------------------------------------------------------------
r4212 | nightwish2004 | 2006-11-22 04:11:36 +0300 (Ср, 22 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/generic_msghandlers.c

+ respect MBF_HIDDEN flag for status bar icons (message window api)
------------------------------------------------------------------------
r4211 | the_leech | 2006-11-21 22:29:23 +0300 (Вт, 21 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/Docs/scriver-translation.txt
   M /trunk/miranda/plugins/Scriver/srmm.c

translations updated
------------------------------------------------------------------------
r4210 | ghazan | 2006-11-21 19:18:27 +0300 (Вт, 21 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

minor code cleaning
------------------------------------------------------------------------
r4209 | ghazan | 2006-11-21 19:12:29 +0300 (Вт, 21 ноя 2006) | 2 lines
Changed paths:
   M /branches/stable/miranda/src/modules/options/options.c
   M /trunk/miranda/src/modules/options/options.c

- minor memory leak in options;
- patch for moving cursor from the Apply button.
------------------------------------------------------------------------
r4208 | ghazan | 2006-11-21 17:54:48 +0300 (Вт, 21 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda/src/miranda32_8.vcproj
   M /trunk/miranda/src/modules/fonts/options.c

some fixes for VS2003 & VS2005 projects
------------------------------------------------------------------------
r4207 | ghazan | 2006-11-21 17:16:00 +0300 (Вт, 21 ноя 2006) | 1 line
Changed paths:
   A /trunk/miranda/include/m_fontservice.h

fontservice header file
------------------------------------------------------------------------
r4206 | ghazan | 2006-11-21 16:58:11 +0300 (Вт, 21 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_plugins.h
   M /trunk/miranda/src/core/modules.c
   M /trunk/miranda/src/miranda32.mak
   M /trunk/miranda/src/miranda32.vcproj
   A /trunk/miranda/src/modules/fonts
   A /trunk/miranda/src/modules/fonts/FontService.c
   A /trunk/miranda/src/modules/fonts/FontService.h
   A /trunk/miranda/src/modules/fonts/module_fonts.c
   A /trunk/miranda/src/modules/fonts/module_fonts.h
   A /trunk/miranda/src/modules/fonts/options.c
   A /trunk/miranda/src/modules/fonts/services.c
   M /trunk/miranda/src/modules/plugins/newplugins.c
   M /trunk/miranda/src/resource.h
   M /trunk/miranda/src/resource.rc

FontService added to a core
------------------------------------------------------------------------
r4205 | jokusoftware | 2006-11-21 00:06:52 +0300 (Вт, 21 ноя 2006) | 5 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.h
   M /trunk/miranda/protocols/IcqOscarJ/stdpackets.c
   M /trunk/miranda/protocols/IcqOscarJ/stdpackets.h

Fixed Custom Profile Folders plug-in support
OFT: landing more fixes
OFT: preliminary support for smart-resume feature
OFT: preliminary support for skip file feature
OFT: first steps in proper error handling
------------------------------------------------------------------------
r4204 | the_leech | 2006-11-20 00:25:21 +0300 (Пн, 20 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/statusicon.c

bugfixes
------------------------------------------------------------------------
r4203 | the_leech | 2006-11-20 00:20:40 +0300 (Пн, 20 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/statusicon.c

bugfixes
------------------------------------------------------------------------
r4202 | nightwish2004 | 2006-11-19 19:07:45 +0300 (Вс, 19 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/generic_msghandlers.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c

+ fixed non-updating status bar icons
+ minor fixes in spellchecking support
------------------------------------------------------------------------
r4201 | the_leech | 2006-11-19 15:12:07 +0300 (Вс, 19 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/srmm.c

bugfixes
------------------------------------------------------------------------
r4200 | ghazan | 2006-11-19 01:31:40 +0300 (Вс, 19 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/plugins/chat/manager.c
   M /trunk/miranda/plugins/Scriver/chat/manager.c
   M /trunk/miranda/plugins/chat/manager.c
   M /trunk/miranda/plugins/tabsrmm/chat/manager.c

fix for one very rare crash in chats
------------------------------------------------------------------------
r4199 | the_leech | 2006-11-18 23:55:42 +0300 (Сб, 18 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/globals.h
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgs.h
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/msgwindow.h
   M /trunk/miranda/plugins/Scriver/resource.h
   M /trunk/miranda/plugins/Scriver/resource.rc
   M /trunk/miranda/plugins/Scriver/statusicon.c

+ options to limit number of tabs per container
* cascade/save per contact work in tabbed mode
------------------------------------------------------------------------
r4198 | the_leech | 2006-11-18 23:39:14 +0300 (Сб, 18 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/srmm/statusicon.c

fixed click position
------------------------------------------------------------------------
r4197 | nightwish2004 | 2006-11-18 12:13:30 +0300 (Сб, 18 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/generic_msghandlers.c
   D /trunk/miranda/plugins/tabsrmm/m_tabsrmm.h
   M /trunk/miranda/plugins/tabsrmm/msgs.h
   M /trunk/miranda/plugins/tabsrmm/tabsrmm.dsp
   M /trunk/miranda/plugins/tabsrmm/tabsrmm_8.vcproj

+ some cleanup, removed deprecated includes
+ set StatusIconClickData.flags to MBCF_RIGHTBUTTON for status bar icon RMB click events
------------------------------------------------------------------------
r4196 | ghazan | 2006-11-17 14:12:11 +0300 (Пт, 17 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlibhttp.c

patch for processing chunked HTTP packets (by borkra)
------------------------------------------------------------------------
r4195 | ghazan | 2006-11-17 14:06:33 +0300 (Пт, 17 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_commands.cpp

fix for more careful status message processing for MSN (by borkra)
------------------------------------------------------------------------
r4194 | nightwish2004 | 2006-11-17 04:37:48 +0300 (Пт, 17 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/window.c

+ fixed history button in groupchat window
------------------------------------------------------------------------
r4193 | nightwish2004 | 2006-11-15 05:27:35 +0300 (Ср, 15 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/window.c

+ fixed context menu in groupchat edit box
------------------------------------------------------------------------
r4192 | ashpynov | 2006-11-14 19:09:16 +0300 (Вт, 14 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj

compilation of ansi version fix
------------------------------------------------------------------------
r4191 | ghazan | 2006-11-14 18:53:19 +0300 (Вт, 14 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/version.h
   M /trunk/miranda/protocols/JabberG/version.h

version bump for 0.6 RC1
------------------------------------------------------------------------
r4190 | ghazan | 2006-11-14 18:00:56 +0300 (Вт, 14 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_opt.cpp
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp

fix for entering non-English login names in Jabber options
------------------------------------------------------------------------
r4189 | ashpynov | 2006-11-14 13:18:58 +0300 (Вт, 14 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/commonprototypes.h

Error 191 error C4430: missing type specifier - int assumed. Note: C++ does not support default-int d:\temp\56975860975897695867895690756\proto\modernb\commonprototypes.h 21
------------------------------------------------------------------------
r4188 | ashpynov | 2006-11-14 10:20:51 +0300 (Вт, 14 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.h
   M /trunk/miranda/plugins/modernb/CLUIFrames/extraimage.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/framesmenu.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/protocolorder.c
   M /trunk/miranda/plugins/modernb/Docking.c
   M /trunk/miranda/plugins/modernb/SkinEditor.c
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/SkinEngine.h
   M /trunk/miranda/plugins/modernb/SkinOpt.c
   A /trunk/miranda/plugins/modernb/XMLParser
   A /trunk/miranda/plugins/modernb/XMLParser/XMLDocument.cpp
   A /trunk/miranda/plugins/modernb/XMLParser/XMLDocument.h
   A /trunk/miranda/plugins/modernb/XMLParser/XMLNode.cpp
   A /trunk/miranda/plugins/modernb/XMLParser/XMLNode.h
   A /trunk/miranda/plugins/modernb/XMLParser/XMLParser.h
   A /trunk/miranda/plugins/modernb/XMLParser/readme.txt
   A /trunk/miranda/plugins/modernb/button.c
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/cache_funcs.h
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clc.h
   M /trunk/miranda/plugins/modernb/clcitems.c
   M /trunk/miranda/plugins/modernb/clcmsgs.c
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clcutils.c
   M /trunk/miranda/plugins/modernb/clist.h
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/clistevents.c
   M /trunk/miranda/plugins/modernb/clistmenus.c
   M /trunk/miranda/plugins/modernb/clistmod.c
   M /trunk/miranda/plugins/modernb/clistopts.c
   M /trunk/miranda/plugins/modernb/clistsettings.c
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/clui.h
   D /trunk/miranda/plugins/modernb/cluiopts.c
   D /trunk/miranda/plugins/modernb/cluioptsm.c
   M /trunk/miranda/plugins/modernb/cluiservices.c
   M /trunk/miranda/plugins/modernb/commonheaders.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/contact.c
   M /trunk/miranda/plugins/modernb/gdiplus.cpp
   M /trunk/miranda/plugins/modernb/genmenu.c
   M /trunk/miranda/plugins/modernb/genmenuopt.c
   M /trunk/miranda/plugins/modernb/groupmenu.c
   M /trunk/miranda/plugins/modernb/image_array.c
   D /trunk/miranda/plugins/modernb/imgdecoder.h
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/plugins/modernb/m_skin_eng.h
   A /trunk/miranda/plugins/modernb/m_skinbutton.h
   A /trunk/miranda/plugins/modernb/menuSubsystem.h
   M /trunk/miranda/plugins/modernb/mod_skin_selector.c
   M /trunk/miranda/plugins/modernb/modern_button.c
   A /trunk/miranda/plugins/modernb/modern_global_structure.h
   A /trunk/miranda/plugins/modernb/modern_layout.c
   M /trunk/miranda/plugins/modernb/modern_row.cpp
   M /trunk/miranda/plugins/modernb/modern_row.h
   M /trunk/miranda/plugins/modernb/modern_statusbar.c
   M /trunk/miranda/plugins/modernb/modern_statusbar.h
   M /trunk/miranda/plugins/modernb/movetogroup.c
   M /trunk/miranda/plugins/modernb/res/skin.msf
   M /trunk/miranda/plugins/modernb/resource.h
   M /trunk/miranda/plugins/modernb/resource.rc
   M /trunk/miranda/plugins/modernb/rowheight_funcs.c
   M /trunk/miranda/plugins/modernb/rowtemplateopt.c
   A /trunk/miranda/plugins/modernb/skinpp.cpp
   A /trunk/miranda/plugins/modernb/skinpp.h
   A /trunk/miranda/plugins/modernb/skinpp_private.h
   M /trunk/miranda/plugins/modernb/version.h
   A /trunk/miranda/plugins/modernb/viewmodes.c

Bulk of updates:
+View mode ported from clist_nicer - please look at /res/skin.msf to see skin modifications required
------------------------------------------------------------------------
r4187 | ghazan | 2006-11-13 20:06:06 +0300 (Пн, 13 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/version.rc

fix for the version resource files to comply with the file names at http://www.miranda-im.org/development
------------------------------------------------------------------------
r4186 | rainwater | 2006-11-13 07:24:46 +0300 (Пн, 13 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/docs/releasenotes.txt
   M /trunk/miranda-tools/installer/miranda.nsi

Updates for 0.6 PR 1
------------------------------------------------------------------------
r4185 | jokusoftware | 2006-11-13 00:16:24 +0300 (Пн, 13 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c

OFT: fixed possible crash in SafeReleaseFileTransfer (thx PG for reporting)
OFT: fixed reverse sending - FT was not initialized properly
------------------------------------------------------------------------
r4183 | jokusoftware | 2006-11-12 23:32:57 +0300 (Вс, 12 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/srfile/filexferdlg.c

oops, fixing a typo
------------------------------------------------------------------------
r4182 | jokusoftware | 2006-11-12 23:07:52 +0300 (Вс, 12 ноя 2006) | 4 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/UI/userinfotab.c
   M /trunk/miranda/protocols/IcqOscarJ/docs/icq-readme.txt
   M /trunk/miranda/protocols/IcqOscarJ/iconlib.c
   M /trunk/miranda/protocols/IcqOscarJ/iconlib.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_constants.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_direct.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_direct.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_xstatus.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_xtraz.c
   M /trunk/miranda/protocols/IcqOscarJ/icqosc_svcs.c
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   A /trunk/miranda/protocols/IcqOscarJ/m_folders.h
   M /trunk/miranda/protocols/IcqOscarJ/m_icolib.h
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.h
   M /trunk/miranda/protocols/IcqOscarJ/resources.rc

fixed DC connection was created on UserDetails display (with active mode)
added experimental support for Custom Profile Folders plug-in
improved Icons Library Manager plug-in support (uses less GDI)
OFT: landing many fixes (almost complete)
------------------------------------------------------------------------
r4178 | jokusoftware | 2006-11-12 22:42:46 +0300 (Вс, 12 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_protocols.h
   M /trunk/miranda/src/modules/srfile/filexferdlg.c

added two more FT statuses (to comfort ICQ-OFT)
------------------------------------------------------------------------
r4176 | jokusoftware | 2006-11-11 20:29:43 +0300 (Сб, 11 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/fam_04message.c

fixed message response handling (away messages were badly identified)
------------------------------------------------------------------------
r4175 | nightwish2004 | 2006-11-11 07:51:50 +0300 (Сб, 11 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c

+ updated spellchecker support for latest api
------------------------------------------------------------------------
r4174 | ghazan | 2006-11-10 02:29:21 +0300 (Пт, 10 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_file.cpp
   M /trunk/miranda/protocols/JabberG/jabber_file.cpp

fix for sending files to Pandion IM.
------------------------------------------------------------------------
r4173 | the_leech | 2006-11-10 01:22:27 +0300 (Пт, 10 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/srmm.c

tool tips in chats fixed
tiny fix for tab close button
------------------------------------------------------------------------
r4172 | the_leech | 2006-11-10 01:12:48 +0300 (Пт, 10 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/window.c

fix for tool tips
------------------------------------------------------------------------
r4171 | ghazan | 2006-11-09 18:12:07 +0300 (Чт, 09 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_file.cpp
   M /trunk/miranda/protocols/JabberG/jabber_file.cpp

fix for file transfer hangup with Pandion
------------------------------------------------------------------------
r4170 | ghazan | 2006-11-09 12:36:38 +0300 (Чт, 09 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp

fix for received message's read flag (thanks sje)
------------------------------------------------------------------------
r4168 | gena01 | 2006-11-09 06:28:24 +0300 (Чт, 09 ноя 2006) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/Yahoo/im.c

Well.... I wasn't checking and setting the flag properly... not sure what I was thinking when I wrote that... actually scratch that... when I copied that code from somewhere.....

Thanks sje for finding this. This should resolve some incoming IM issues/problems.
------------------------------------------------------------------------
r4167 | the_leech | 2006-11-09 01:54:05 +0300 (Чт, 09 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/window.c


------------------------------------------------------------------------
r4166 | the_leech | 2006-11-09 01:41:23 +0300 (Чт, 09 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/scriver.dsp


------------------------------------------------------------------------
r4165 | the_leech | 2006-11-09 01:37:11 +0300 (Чт, 09 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_chat.h

fix for VC++ 2005 64-bit timestamp
------------------------------------------------------------------------
r4164 | the_leech | 2006-11-07 23:59:12 +0300 (Вт, 07 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/scriver_8.vcproj

Unicode fixes
------------------------------------------------------------------------
r4163 | the_leech | 2006-11-07 23:54:53 +0300 (Вт, 07 ноя 2006) | 4 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/Makefile
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/resource.h
   M /trunk/miranda/plugins/Scriver/resource.rc
   M /trunk/miranda/plugins/Scriver/scriver.dsp
   M /trunk/miranda/plugins/Scriver/utils.c
   M /trunk/miranda/plugins/Scriver/utils.h

new SpellChecker API
some clean-up
Unicode fixes

------------------------------------------------------------------------
r4162 | the_leech | 2006-11-07 23:53:07 +0300 (Вт, 07 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_message.h

changes related to spell checker proposed by pescuma
------------------------------------------------------------------------
r4161 | the_leech | 2006-11-07 23:50:28 +0300 (Вт, 07 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/res/closex.ico

icon fixed
------------------------------------------------------------------------
r4160 | the_leech | 2006-11-07 23:49:33 +0300 (Вт, 07 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/chat.rc
   M /trunk/miranda/plugins/Scriver/chat/tools.c
   M /trunk/miranda/plugins/Scriver/chat/window.c

Unicode changes, bugfixes and propagation merge from chat.dll

------------------------------------------------------------------------
r4159 | jokusoftware | 2006-11-07 23:44:13 +0300 (Вт, 07 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/stdpackets.c

OFT: fixed request deny for icq contacts
OFT: fixed description parsing
------------------------------------------------------------------------
r4158 | ghazan | 2006-11-07 17:46:23 +0300 (Вт, 07 ноя 2006) | 1 line
Changed paths:
   A /branches/stable/miranda/protocols/JabberG/icos/auth_revoke.ico
   M /branches/stable/miranda/protocols/JabberG/jabber.rc
   M /branches/stable/miranda/protocols/JabberG/jabber_menu.cpp
   M /branches/stable/miranda/protocols/JabberG/resource.h
   A /trunk/miranda/protocols/JabberG/icos/auth_revoke.ico
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

[+] added ability to revoke authorization from a contact for Jabber users
------------------------------------------------------------------------
r4157 | ghazan | 2006-11-07 14:30:33 +0300 (Вт, 07 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_xml.cpp
   M /trunk/miranda/protocols/JabberG/jabber_xml.cpp

bug fix for Jabber XML parser
------------------------------------------------------------------------
r4156 | ghazan | 2006-11-07 14:24:26 +0300 (Вт, 07 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp

Jabber: allows to block message delivery confirmations per contact (by burning shadow)
------------------------------------------------------------------------
r4155 | the_leech | 2006-11-07 12:06:17 +0300 (Вт, 07 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/window.c

minor Unicode fix
------------------------------------------------------------------------
r4154 | jokusoftware | 2006-11-06 22:31:23 +0300 (Пн, 06 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c

fixed Meebo detection (new signature) old signature kept as PyICQ-t
------------------------------------------------------------------------
r4153 | the_leech | 2006-11-06 18:36:13 +0300 (Пн, 06 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/res/closex.ico


------------------------------------------------------------------------
r4152 | the_leech | 2006-11-06 16:11:06 +0300 (Пн, 06 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/srmm.c

version bump
------------------------------------------------------------------------
r4151 | the_leech | 2006-11-06 16:00:39 +0300 (Пн, 06 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/window.c

bugfix
------------------------------------------------------------------------
r4150 | ghazan | 2006-11-06 11:57:58 +0300 (Пн, 06 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_errors.cpp

slightly modified the MSN error 217 handler
------------------------------------------------------------------------
r4148 | ghazan | 2006-11-06 04:07:55 +0300 (Пн, 06 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/include/m_netlib.h
   M /branches/stable/miranda/include/m_system.h
   M /branches/stable/miranda/plugins/chat/tools.c
   M /branches/stable/miranda/plugins/chat/window.c
   M /branches/stable/miranda/protocols/JabberG/jabber.dep
   M /branches/stable/miranda/protocols/JabberG/jabber.dsp
   M /branches/stable/miranda/protocols/JabberG/jabber.h
   M /branches/stable/miranda/protocols/JabberG/jabber.mak
   M /branches/stable/miranda/protocols/JabberG/jabber.vcproj
   M /branches/stable/miranda/protocols/JabberG/jabber_8.vcproj
   A /branches/stable/miranda/protocols/JabberG/jabber_secur.cpp
   A /branches/stable/miranda/protocols/JabberG/jabber_secur.h
   M /branches/stable/miranda/protocols/JabberG/jabber_thread.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_util.cpp
   A /branches/stable/miranda/protocols/JabberG/md5.h
   A /branches/stable/miranda/protocols/JabberG/md5c.cpp
   M /branches/stable/miranda/src/miranda32.dep
   M /branches/stable/miranda/src/miranda32.dsp
   M /branches/stable/miranda/src/miranda32.mak
   M /branches/stable/miranda/src/miranda32.vcproj
   M /branches/stable/miranda/src/miranda32_8.vcproj
   M /branches/stable/miranda/src/modules/netlib/netlib.c
   M /branches/stable/miranda/src/modules/netlib/netlib.h
   M /branches/stable/miranda/src/modules/netlib/netlibhttp.c
   M /branches/stable/miranda/src/modules/netlib/netlibhttpproxy.c
   M /branches/stable/miranda/src/modules/netlib/netlibopenconn.c
   M /trunk/miranda/bin/make.bat
   M /trunk/miranda/include/m_netlib.h
   M /trunk/miranda/plugins/chat/window.c
   M /trunk/miranda/protocols/JabberG/jabber.dep
   M /trunk/miranda/protocols/JabberG/jabber.dsp
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.mak
   M /trunk/miranda/protocols/JabberG/jabber.vcproj
   M /trunk/miranda/protocols/JabberG/jabber_8.vcproj
   A /trunk/miranda/protocols/JabberG/jabber_secur.cpp
   A /trunk/miranda/protocols/JabberG/jabber_secur.h
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp
   A /trunk/miranda/protocols/JabberG/md5.h
   A /trunk/miranda/protocols/JabberG/md5c.cpp
   M /trunk/miranda/src/miranda32.dep
   M /trunk/miranda/src/miranda32.dsp
   M /trunk/miranda/src/miranda32.mak
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda/src/miranda32_8.vcproj
   M /trunk/miranda/src/modules/netlib/netlib.c
   M /trunk/miranda/src/modules/netlib/netlib.h
   M /trunk/miranda/src/modules/netlib/netlibhttp.c
   M /trunk/miranda/src/modules/netlib/netlibhttpproxy.c
   M /trunk/miranda/src/modules/netlib/netlibopenconn.c
   A /trunk/miranda/src/modules/netlib/netlibsecurity.c

NTLM & MD5 auth for Jabber
------------------------------------------------------------------------
r4147 | the_leech | 2006-11-05 23:55:48 +0300 (Вс, 05 ноя 2006) | 1 line
Changed paths:
   A /trunk/miranda/plugins/Scriver/m_spellchecker.h
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c

added support for Spell Checker plugin
------------------------------------------------------------------------
r4146 | ghazan | 2006-11-05 21:16:21 +0300 (Вс, 05 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn_errors.cpp
   M /branches/stable/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_errors.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h

a patch for displaying error 217 in MSN protocol
------------------------------------------------------------------------
r4145 | nightwish2004 | 2006-11-05 20:01:29 +0300 (Вс, 05 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c

+ spellchecker plugin should now work for group chat windows.
------------------------------------------------------------------------
r4144 | nightwish2004 | 2006-11-05 19:57:36 +0300 (Вс, 05 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c

+ spellchecker plugin should now work for group chat windows.
------------------------------------------------------------------------
r4143 | nightwish2004 | 2006-11-05 18:10:30 +0300 (Вс, 05 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/m_tabsrmm.h
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c

+ merged latest spellchecker support 
------------------------------------------------------------------------
r4142 | ghazan | 2006-11-05 15:33:25 +0300 (Вс, 05 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/IRC/main.cpp
   M /trunk/miranda/plugins/Scriver/chat/tools.c
   M /trunk/miranda/plugins/chat/tools.c
   M /trunk/miranda/plugins/tabsrmm/chat/tools.c
   M /trunk/miranda/protocols/IRC/main.cpp

version check added to IRC
------------------------------------------------------------------------
r4141 | ghazan | 2006-11-05 14:38:27 +0300 (Вс, 05 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/plugins/chat/chat.h
   M /branches/stable/miranda/plugins/chat/chat.vcproj
   M /branches/stable/miranda/plugins/chat/tools.c
   M /branches/stable/miranda/plugins/chat/window.c
   M /branches/stable/miranda/protocols/IRC/IRC.rc
   M /branches/stable/miranda/protocols/IRC/IRC.vcproj
   M /branches/stable/miranda/protocols/IRC/irc.h
   M /branches/stable/miranda/protocols/IRC/main.cpp
   M /branches/stable/miranda/protocols/IRC/options.cpp
   M /branches/stable/miranda/protocols/MSN/msn_global.h
   M /branches/stable/miranda/src/miranda32.dep
   M /branches/stable/miranda/src/miranda32.dsp
   M /branches/stable/miranda/src/miranda32.mak
   M /branches/stable/miranda/src/miranda32.vcproj
   M /branches/stable/miranda/src/miranda32_8.vcproj
   M /branches/stable/miranda/src/modules/netlib/netlib.c
   M /branches/stable/miranda/src/resource.rc
   M /trunk/miranda/include/m_system.h
   M /trunk/miranda/plugins/chat/chat.h
   M /trunk/miranda/plugins/chat/tools.c
   M /trunk/miranda/plugins/chat/window.c
   M /trunk/miranda/protocols/IRC/IRC.rc
   M /trunk/miranda/protocols/IRC/IRC.vcproj
   M /trunk/miranda/protocols/IRC/irc.h
   M /trunk/miranda/protocols/IRC/main.cpp
   M /trunk/miranda/protocols/IRC/options.cpp

fix for chat events, IRC options
------------------------------------------------------------------------
r4140 | the_leech | 2006-11-04 23:18:40 +0300 (Сб, 04 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c

"more intelligent" close button
------------------------------------------------------------------------
r4139 | jokusoftware | 2006-11-02 23:23:58 +0300 (Чт, 02 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/fam_04message.c
   M /trunk/miranda/protocols/IcqOscarJ/utilities.c

fixed handling of OFT cancel/abort messages
improved MakeDirUtf function to create multiple dirs at once
------------------------------------------------------------------------
r4138 | nightwish2004 | 2006-11-02 20:25:44 +0300 (Чт, 02 ноя 2006) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.h
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/msgs.h
   M /trunk/miranda/plugins/tabsrmm/msgwindow.rc
   M /trunk/miranda/plugins/tabsrmm/srmm.c
   M /trunk/miranda/plugins/tabsrmm/tabctrl.c

+ version bump
+ added patch to allow dragging tabs w/o saving position (darkphoenix)

------------------------------------------------------------------------
r4137 | jokusoftware | 2006-11-02 02:06:58 +0300 (Чт, 02 ноя 2006) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.h

OFT: added full support for sending multiple files
landing much more fixes for OFT (many more still on the way)
------------------------------------------------------------------------
r4136 | nightwish2004 | 2006-11-01 23:44:48 +0300 (Ср, 01 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/commonheaders.h
   A /trunk/miranda/plugins/tabsrmm/m_spellchecker.h
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/tabsrmm.dsp
   M /trunk/miranda/plugins/tabsrmm/tabsrmm_8.vcproj

+ added spellchecker api (first version by pescuma)
------------------------------------------------------------------------
r4135 | nightwish2004 | 2006-11-01 23:43:17 +0300 (Ср, 01 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/CLUIFrames/cluiframes.c

+ added shutdown protection to some CLUI service functions to avoid possible crash-on-exit situations (thanks ghazan for the hint)
------------------------------------------------------------------------
r4134 | ghazan | 2006-11-01 23:20:11 +0300 (Ср, 01 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/bin/build.no
   M /branches/stable/miranda/bin/make.bat
   M /branches/stable/miranda/bin/makew.bat
   M /branches/stable/miranda/src/version.rc
   M /trunk/miranda/bin/make.bat
   M /trunk/miranda/bin/makew.bat
   M /trunk/miranda/src/version.rc

fix for the version resource and batch files used to create it
------------------------------------------------------------------------
r4133 | ghazan | 2006-11-01 16:47:57 +0300 (Ср, 01 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/src/core/miranda.c
   M /trunk/miranda/src/core/commonheaders.h
   M /trunk/miranda/src/core/miranda.c

another memory leak fixed
------------------------------------------------------------------------
r4132 | ghazan | 2006-11-01 16:10:45 +0300 (Ср, 01 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/bin/build.no
   M /branches/stable/miranda/bin/make.bat
   M /branches/stable/miranda/bin/makew.bat
   M /branches/stable/miranda/include/m_options.h
   M /branches/stable/miranda/protocols/JabberG/jabber.h
   M /branches/stable/miranda/protocols/JabberG/jabber.rc
   M /branches/stable/miranda/protocols/JabberG/jabber_opt.cpp
   M /branches/stable/miranda/protocols/JabberG/version.h
   D /branches/stable/miranda/protocols/MSN/SDK/m_chat.h
   M /branches/stable/miranda/protocols/MSN/msn.rc
   M /branches/stable/miranda/protocols/MSN/msn_commands.cpp
   M /branches/stable/miranda/protocols/MSN/msn_ftold.cpp
   M /branches/stable/miranda/protocols/MSN/msn_global.h
   M /branches/stable/miranda/protocols/MSN/msn_opts.cpp
   M /branches/stable/miranda/protocols/MSN/msn_svcs.cpp
   M /branches/stable/miranda/protocols/MSN/msn_threads.cpp
   M /branches/stable/miranda/protocols/MSN/msn_ws.cpp
   M /branches/stable/miranda/protocols/MSN/version.h
   M /branches/stable/miranda/src/core/commonheaders.h
   M /branches/stable/miranda/src/modules/options/options.c
   M /branches/stable/miranda/src/modules/userinfo/userinfo.c
   M /branches/stable/miranda/src/resource.h
   M /branches/stable/miranda/src/version.rc
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/bin/make.bat
   M /trunk/miranda/bin/makew.bat
   M /trunk/miranda/include/m_message.h
   M /trunk/miranda/include/m_system.h
   M /trunk/miranda/plugins/Scriver/scriver.vcproj
   M /trunk/miranda/plugins/chat/chat.vcproj
   M /trunk/miranda/plugins/clist/clist.vcproj
   M /trunk/miranda/plugins/clist_nicer/clist_nicer.vcproj
   M /trunk/miranda/plugins/db3x/db3x.vcproj
   M /trunk/miranda/plugins/db3x/db3x_8.vcproj
   M /trunk/miranda/plugins/db3x_mmap/db3x_mmap.vcproj
   M /trunk/miranda/plugins/db3x_mmap/db3x_mmap_8.vcproj
   M /trunk/miranda/plugins/help/help.vcproj
   M /trunk/miranda/plugins/import/import.vcproj
   M /trunk/miranda/plugins/mwclist/clist_mw.vcproj
   M /trunk/miranda/plugins/png2dib/png2dib.vcproj
   M /trunk/miranda/plugins/srmm/srmm_8.vcproj
   M /trunk/miranda/plugins/tabsrmm/tabsrmm.vcproj
   M /trunk/miranda/plugins/tabsrmm/tabsrmm_8.vcproj
   M /trunk/miranda/protocols/IRC/IRC.vcproj
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.vcproj
   M /trunk/miranda/protocols/MSN/msn.mak
   M /trunk/miranda/protocols/MSN/msn_8.vcproj
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/Yahoo/Yahoo.dep
   M /trunk/miranda/protocols/Yahoo/Yahoo.dsp
   M /trunk/miranda/protocols/Yahoo/Yahoo.mak
   M /trunk/miranda/src/core/commonheaders.h
   M /trunk/miranda/src/modules/netlib/netlib.c
   M /trunk/miranda/src/modules/options/options.c
   M /trunk/miranda/src/version.rc
   M /trunk/miranda-tools/dbtool/dbtool.vcproj

general version bump due to renaming stable version to 0.6, and propagating the trunk version from 0.6 to 0.7 appropriately. fixes for VS2005 projects.
------------------------------------------------------------------------
r4131 | ghazan | 2006-11-01 16:06:13 +0300 (Ср, 01 ноя 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

minor memory leak fixed
------------------------------------------------------------------------
r4130 | the_leech | 2006-11-01 15:48:22 +0300 (Ср, 01 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/srmm/msgs.c

minor fix in CREOleCallback_GetNewStorage()
------------------------------------------------------------------------
r4129 | the_leech | 2006-11-01 12:59:17 +0300 (Ср, 01 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgs.c

REOleCallback is used to filter out data on dragging/pasting
------------------------------------------------------------------------
r4128 | jokusoftware | 2006-11-01 02:38:07 +0300 (Ср, 01 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c

OFT: fixed OFT2 frame parsing
------------------------------------------------------------------------
r4127 | jokusoftware | 2006-11-01 02:01:08 +0300 (Ср, 01 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c

OFT: sending was not working at all (unicode related bug)
------------------------------------------------------------------------
r4126 | jokusoftware | 2006-11-01 01:17:51 +0300 (Ср, 01 ноя 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c

OFT: some other fixes & tweaks
------------------------------------------------------------------------
r4125 | jokusoftware | 2006-10-30 22:21:12 +0300 (Пн, 30 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/utilities.c
   M /trunk/miranda/protocols/IcqOscarJ/utilities.h

some unicode related fixes for OFT
------------------------------------------------------------------------
r4124 | the_leech | 2006-10-30 22:15:42 +0300 (Пн, 30 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/Docs/scriver-readme.txt
   M /trunk/miranda/plugins/Scriver/Docs/scriver-translation.txt
   M /trunk/miranda/plugins/Scriver/Makefile
   M /trunk/miranda/plugins/Scriver/MakefileA
   D /trunk/miranda/plugins/Scriver/chat/Icons/smileyc.ico
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/main.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/commonheaders.h
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/scriver.dsp
   M /trunk/miranda/plugins/Scriver/srmm.c

bugfixes & clean-up
------------------------------------------------------------------------
r4123 | ghazan | 2006-10-30 21:16:13 +0300 (Пн, 30 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/Yahoo.vcproj
   M /trunk/miranda/protocols/Yahoo/Yahoo_8.vcproj
   M /trunk/miranda/protocols/Yahoo/main.c

fix for VS2003/5 projects due to the source file removal
------------------------------------------------------------------------
r4122 | gena01 | 2006-10-30 20:33:31 +0300 (Пн, 30 окт 2006) | 6 lines
Changed paths:
   M /trunk/miranda/protocols/Yahoo/avatar.c
   M /trunk/miranda/protocols/Yahoo/file_transfer.c
   M /trunk/miranda/protocols/Yahoo/im.c
   M /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo_httplib.c
   D /trunk/miranda/protocols/Yahoo/pthread.c
   D /trunk/miranda/protocols/Yahoo/pthread.h
   M /trunk/miranda/protocols/Yahoo/search.c
   M /trunk/miranda/protocols/Yahoo/services.c
   M /trunk/miranda/protocols/Yahoo/yahoo.c
   M /trunk/miranda/protocols/Yahoo/yahoo.h
   M /trunk/miranda/protocols/Yahoo/yahoo.msp

Landing some fixes:

1. Fixing FT7, we need to pass cookies for it to work..
2. Dropping old pthread code and switching to the new miranda core based thread support. (EXPERIMENTAL)

George: Can you please update the Project and Makefiles. Thank you.
------------------------------------------------------------------------
r4121 | nightwish2004 | 2006-10-30 19:21:24 +0300 (Пн, 30 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msglog.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c

+ fixed quoting last msg when h++ or ieview active
------------------------------------------------------------------------
r4119 | ghazan | 2006-10-30 15:50:48 +0300 (Пн, 30 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/docs/changelog_jabber.txt
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber_misc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_userinfo.cpp
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp

fix for sending double presence to Jabber conferences
------------------------------------------------------------------------
r4118 | ghazan | 2006-10-30 15:17:35 +0300 (Пн, 30 окт 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber.cpp

fix for backslash in the transport name
------------------------------------------------------------------------
r4117 | the_leech | 2006-10-30 11:41:47 +0300 (Пн, 30 окт 2006) | 1 line
Changed paths:
   D /trunk/miranda/plugins/Scriver/chat/Icons/close.ico
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   D /trunk/miranda/plugins/Scriver/res/Details32.ico
   D /trunk/miranda/plugins/Scriver/res/Details8.ico
   D /trunk/miranda/plugins/Scriver/res/cancel8.ico

removed unused icons
------------------------------------------------------------------------
r4116 | gena01 | 2006-10-30 03:57:56 +0300 (Пн, 30 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/libyahoo2/libyahoo2.c

Trying to solve a crasher I introduced some time back when adding HTTP protocol support... 
------------------------------------------------------------------------
r4115 | the_leech | 2006-10-30 01:41:17 +0300 (Пн, 30 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/res/history.ico

icon by Faith Healer
------------------------------------------------------------------------
r4114 | the_leech | 2006-10-30 01:17:30 +0300 (Пн, 30 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.rc
   M /trunk/miranda/plugins/Scriver/chat/options.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/globals.h
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/msgs.h
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   A /trunk/miranda/plugins/Scriver/res/closex.ico
   M /trunk/miranda/plugins/Scriver/resource.h
   M /trunk/miranda/plugins/Scriver/resource.rc

+ new option - show close button on each tab
------------------------------------------------------------------------
r4112 | jokusoftware | 2006-10-29 23:12:24 +0300 (Вс, 29 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/cookies.c
   M /trunk/miranda/protocols/IcqOscarJ/cookies.h
   M /trunk/miranda/protocols/IcqOscarJ/fam_04message.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_direct.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_direct.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_filerequests.c
   M /trunk/miranda/protocols/IcqOscarJ/icqosc_svcs.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.h
   M /trunk/miranda/protocols/IcqOscarJ/stdpackets.c
   M /trunk/miranda/protocols/IcqOscarJ/stdpackets.h

OFT: sending, step 1 (work in progress)
some other small fixes
------------------------------------------------------------------------
r4111 | ghazan | 2006-10-29 20:08:01 +0300 (Вс, 29 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/srmm/srmm.dep
   M /trunk/miranda/plugins/srmm/srmm.dsp
   M /trunk/miranda/plugins/srmm/srmm.mak

fix for SRMM project files
------------------------------------------------------------------------
r4110 | ghazan | 2006-10-29 14:24:57 +0300 (Вс, 29 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/db3x_mmap/db3x_mmap.dep
   M /trunk/miranda/plugins/db3x_mmap/db3x_mmap.dsp
   M /trunk/miranda/plugins/db3x_mmap/db3x_mmap.mak
   D /trunk/miranda/plugins/db3x_mmap/utf.c

fix for db3x - removed utf8 support
------------------------------------------------------------------------
r4109 | ghazan | 2006-10-29 14:24:21 +0300 (Вс, 29 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/db3x/db3x.dep
   M /trunk/miranda/plugins/db3x/db3x.dsp
   M /trunk/miranda/plugins/db3x/db3x.mak
   D /trunk/miranda/plugins/db3x/utf.c

fix for db3x - removed utf8 support
------------------------------------------------------------------------
r4108 | ghazan | 2006-10-27 19:02:42 +0400 (Пт, 27 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_ws.cpp

fix for idle non-connected MSN sessions
------------------------------------------------------------------------
r4107 | ghazan | 2006-10-27 18:29:23 +0400 (Пт, 27 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_ws.cpp

NAT analysis for MSN protocol
------------------------------------------------------------------------
r4106 | ashpynov | 2006-10-27 17:47:27 +0400 (Пт, 27 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/cache_funcs.c


------------------------------------------------------------------------
r4105 | jokusoftware | 2006-10-27 16:40:56 +0400 (Пт, 27 окт 2006) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/chan_05ping.c
   M /trunk/miranda/protocols/IcqOscarJ/docs/icq-readme.txt
   M /trunk/miranda/protocols/IcqOscarJ/fam_04message.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_15icqserver.c
   M /trunk/miranda/protocols/IcqOscarJ/families.h
   M /trunk/miranda/protocols/IcqOscarJ/guids.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_constants.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_directmsg.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_server.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_xtraz.c
   M /trunk/miranda/protocols/IcqOscarJ/init.c

- fixed possible crash during keepalive thread termination
- fixed special character conversion in custom status messages
- fixed SMS messages handling - plugin message type parsing unification
------------------------------------------------------------------------
r4104 | ghazan | 2006-10-26 23:30:13 +0400 (Чт, 26 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_system.h

another fix for gcc
------------------------------------------------------------------------
r4103 | the_leech | 2006-10-26 23:25:10 +0400 (Чт, 26 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c

* fix for redraw glitch
------------------------------------------------------------------------
r4102 | ghazan | 2006-10-26 17:43:45 +0400 (Чт, 26 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.rc

fix for extending the subject entry dialog window (by Thief)
------------------------------------------------------------------------
r4100 | the_leech | 2006-10-25 23:28:26 +0400 (Ср, 25 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/msgs.h
   M /trunk/miranda/plugins/Scriver/msgtimedout.c

fix for memory allocation problems
some Unicode related fixes
------------------------------------------------------------------------
r4099 | ghazan | 2006-10-25 18:52:35 +0400 (Ср, 25 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp

fix for sending presence for Jabber conferences
------------------------------------------------------------------------
r4098 | ghazan | 2006-10-25 18:51:36 +0400 (Ср, 25 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c

fix for minor memory allocation problem
------------------------------------------------------------------------
r4097 | ghazan | 2006-10-25 18:26:35 +0400 (Ср, 25 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/srmm/msgdialog.c
   M /trunk/miranda/plugins/srmm/msgs.c
   M /trunk/miranda/plugins/srmm/msgs.h
   M /trunk/miranda/plugins/srmm/srmm.mak
   M /trunk/miranda/plugins/srmm/srmm.vcproj
   A /trunk/miranda/plugins/srmm/statusicon.c
   A /trunk/miranda/plugins/srmm/statusicon.h

patch for status bar icons (by Scott Ellis)
------------------------------------------------------------------------
r4096 | ghazan | 2006-10-25 10:14:47 +0400 (Ср, 25 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/container.c

fix to allow a plugin to be compiled
------------------------------------------------------------------------
r4095 | ghazan | 2006-10-25 10:12:30 +0400 (Ср, 25 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/forkthread.c

fix to allow a plugin to be compiled
------------------------------------------------------------------------
r4094 | ghazan | 2006-10-25 10:03:20 +0400 (Ср, 25 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_commands.cpp

another fix for session creation
------------------------------------------------------------------------
r4093 | the_leech | 2006-10-24 23:46:41 +0400 (Вт, 24 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/msgs.h
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/statusicon.c
   M /trunk/miranda/plugins/Scriver/statusicon.h

+ status icons right click (patch by Scott)
* bugfixes: tab bar icons, status bar refresh, tool bar settings
------------------------------------------------------------------------
r4092 | ghazan | 2006-10-24 22:00:16 +0400 (Вт, 24 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_libstr.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_p2ps.cpp
   M /trunk/miranda/protocols/MSN/msn_threads.cpp
   M /trunk/miranda/protocols/MSN/msn_ws.cpp

fix for MSN threading & file transfer sessions management
------------------------------------------------------------------------
r4091 | nightwish2004 | 2006-10-24 19:37:13 +0400 (Вт, 24 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/container.c

+ better tooltips for status bar panels (needs tipper or mTooltip)
------------------------------------------------------------------------
r4090 | ashpynov | 2006-10-24 18:42:53 +0400 (Вт, 24 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/version.h

- version bump
------------------------------------------------------------------------
r4089 | ashpynov | 2006-10-24 18:41:50 +0400 (Вт, 24 окт 2006) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/clcitems.c
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/clistsettings.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/forkthread.c
   M /trunk/miranda/plugins/modernb/forkthread.h
   M /trunk/miranda/plugins/modernb/gdiplus.cpp
   M /trunk/miranda/plugins/modernb/modern_row.cpp

- mir_forkthread usage implemented (ready to remove forkthread.* files) - this can cause backward compatibility broke. 
- 2nd and 3rd lines are protected by critical sections

------------------------------------------------------------------------
r4088 | ashpynov | 2006-10-24 17:00:45 +0400 (Вт, 24 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/commonheaders.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/mod_skin_selector.c


------------------------------------------------------------------------
r4087 | gena01 | 2006-10-24 06:11:43 +0400 (Вт, 24 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/file_transfer.c

mm.. weird I was chopping off the last character from the filename and nobody noticed....
------------------------------------------------------------------------
r4086 | ghazan | 2006-10-23 18:56:37 +0400 (Пн, 23 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/help/about.c

stupid bug in Help->About dialog: the button state isn't reset on a dialog creation
------------------------------------------------------------------------
r4085 | ghazan | 2006-10-23 15:42:04 +0400 (Пн, 23 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

RSS-feeds fix for Jabber
------------------------------------------------------------------------
r4084 | ono | 2006-10-23 15:25:53 +0400 (Пн, 23 окт 2006) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/Gadu-Gadu/core.c
   M /trunk/miranda/protocols/Gadu-Gadu/docs/gg-readme.txt
   M /trunk/miranda/protocols/Gadu-Gadu/gg.c
   M /trunk/miranda/protocols/Gadu-Gadu/groupchat.c

0.0.4.0: 2006-10-23
 - Fix: Messages always have NOW timestamps unless they are OFFLINE.
   Online messages won't be shifted in the order even user has clockskew.
------------------------------------------------------------------------
r4083 | ono | 2006-10-23 14:52:52 +0400 (Пн, 23 окт 2006) | 4 lines
Changed paths:
   M /trunk/miranda/protocols/Gadu-Gadu/dialogs.c
   M /trunk/miranda/protocols/Gadu-Gadu/docs/gg-readme.txt
   M /trunk/miranda/protocols/Gadu-Gadu/gg.c
   M /trunk/miranda/protocols/Gadu-Gadu/resource.h
   M /trunk/miranda/protocols/Gadu-Gadu/resource.rc

0.0.3.9: 2006-07-29
 - Configuration was put into tabs
 - Fix: Some of the configuration items were not triggering [Apply] properly.

------------------------------------------------------------------------
r4082 | nightwish2004 | 2006-10-23 06:59:16 +0400 (Пн, 23 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/generic_msghandlers.c
   M /trunk/miranda/plugins/tabsrmm/m_tabsrmm.h
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/msgs.h

+ added sje's statusbar icon api.
+ removed dedicated and proprietary secureim statusbar icon (now unused)
------------------------------------------------------------------------
r4081 | the_leech | 2006-10-22 15:00:20 +0400 (Вс, 22 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_message.h

status icons improvements (patch by Scott)
------------------------------------------------------------------------
r4080 | the_leech | 2006-10-21 11:12:08 +0400 (Сб, 21 окт 2006) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/main.c
   M /trunk/miranda/plugins/Scriver/chat/options.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/globals.h
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgs.h
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/resource.h
   M /trunk/miranda/plugins/Scriver/resource.rc

configurable maximum length of tab names
clean-up
some bugfixes
------------------------------------------------------------------------
r4079 | nightwish2004 | 2006-10-21 03:36:27 +0400 (Сб, 21 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/eventpopups.c

+ removed unneeded debug output
------------------------------------------------------------------------
r4078 | ghazan | 2006-10-21 00:57:35 +0400 (Сб, 21 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

fix for one rare crash in RSS reader
------------------------------------------------------------------------
r4077 | ghazan | 2006-10-21 00:36:59 +0400 (Сб, 21 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/window.c

bugfix (assignment changed to comparison)

------------------------------------------------------------------------
r4076 | the_leech | 2006-10-21 00:24:43 +0400 (Сб, 21 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/window.c

bugfix (assignment changed to comparison)
------------------------------------------------------------------------
r4075 | ghazan | 2006-10-20 19:55:37 +0400 (Пт, 20 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_system.h
   M /trunk/miranda/plugins/chat/main.c
   M /trunk/miranda/plugins/chat/window.c
   M /trunk/miranda/plugins/clist/clcopts.c
   M /trunk/miranda/plugins/clist/clist.vcproj
   M /trunk/miranda/plugins/clist/commonheaders.h
   M /trunk/miranda/protocols/IRC/commandmonitor.cpp
   M /trunk/miranda/protocols/IRC/irc.h
   M /trunk/miranda/protocols/IRC/irclib.cpp
   M /trunk/miranda/protocols/IRC/options.cpp
   M /trunk/miranda/protocols/IRC/scripting.cpp
   M /trunk/miranda/protocols/IRC/services.cpp
   M /trunk/miranda/protocols/IRC/tools.cpp
   M /trunk/miranda/protocols/IRC/windows.cpp
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber_ft.cpp
   M /trunk/miranda/protocols/JabberG/jabber_groupchat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_misc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn_chat.cpp
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_libstr.cpp
   M /trunk/miranda/protocols/MSN/msn_lists.cpp
   M /trunk/miranda/protocols/MSN/msn_mime.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_msgqueue.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_p2ps.cpp
   M /trunk/miranda/protocols/MSN/msn_srv.cpp
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_switchboard.cpp
   M /trunk/miranda/protocols/MSN/msn_threads.cpp
   M /trunk/miranda/protocols/MSN/msn_ws.cpp
   M /trunk/miranda/src/core/miranda.c

core forkthread functionality is now opened as a service call, mir_forkthread and mir_forkthreadex. Their usage is strictly desired to avoid some on-exit crashes.
------------------------------------------------------------------------
r4074 | nightwish2004 | 2006-10-20 12:32:21 +0400 (Пт, 20 окт 2006) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/tools.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/generic_msghandlers.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c

+ fixed context menu in chat rooms
+ fixed rtf parser to not eat whitespaces after a backslash
+ some updates for h++ support
------------------------------------------------------------------------
r4073 | ghazan | 2006-10-20 12:28:06 +0400 (Пт, 20 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/srmm/msgdialog.c
   M /trunk/miranda/plugins/srmm/msglog.c
   M /trunk/miranda/plugins/srmm/srmm.c

code cleaning
patch for status bar grip by sje
------------------------------------------------------------------------
r4072 | ghazan | 2006-10-20 01:27:30 +0400 (Пт, 20 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/include/m_system.h
   M /trunk/miranda/plugins/chat/main.c
   M /trunk/miranda/plugins/chat/message.c
   M /trunk/miranda/plugins/db3x/commonheaders.h
   M /trunk/miranda/plugins/db3x/database.h
   M /trunk/miranda/plugins/db3x/db3x.vcproj
   M /trunk/miranda/plugins/db3x/dbsettings.c
   M /trunk/miranda/plugins/db3x/init.c
   M /trunk/miranda/plugins/db3x_mmap/commonheaders.h
   M /trunk/miranda/plugins/db3x_mmap/database.h
   M /trunk/miranda/plugins/db3x_mmap/db3x_mmap.vcproj
   M /trunk/miranda/plugins/db3x_mmap/dbsettings.c
   M /trunk/miranda/plugins/db3x_mmap/init.c
   M /trunk/miranda/plugins/srmm/srmm.c
   M /trunk/miranda/plugins/srmm/srmm.vcproj
   M /trunk/miranda/plugins/tabsrmm/chat/message.c
   M /trunk/miranda/plugins/tabsrmm/commonheaders.h
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_misc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp
   M /trunk/miranda/protocols/JabberG/jabber_xml.cpp
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/src/core/miranda.c
   M /trunk/miranda/src/core/miranda.h
   M /trunk/miranda/src/modules/clist/clc.c
   M /trunk/miranda/src/modules/userinfo/stdinfo.c
   M /trunk/miranda/src/modules/utils/utf.c
   M /trunk/miranda/src/version.rc

core utf8 services are available from the outside now. the build number was incremented to allow the version check in plugins. also MMI was extended to support mir_calloc, mir_strdup & mir_strdupW
------------------------------------------------------------------------
r4071 | nightwish2004 | 2006-10-19 11:44:03 +0400 (Чт, 19 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/generic_msghandlers.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c
   M /trunk/miranda/plugins/tabsrmm/msglog.c
   M /trunk/miranda/plugins/tabsrmm/msgoptions.c
   M /trunk/miranda/plugins/tabsrmm/msgs.h
   M /trunk/miranda/plugins/tabsrmm/resource.h
   M /trunk/miranda/plugins/tabsrmm/resource.rc
   M /trunk/miranda/plugins/tabsrmm/tabsrmm_8.vcproj

+ better history++ integration (still incomplete)
+ added per contact options to switch between h++, ieview and default
------------------------------------------------------------------------
r4070 | nightwish2004 | 2006-10-19 08:35:29 +0400 (Чт, 19 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/message.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c

+ groupchats: backslash fix
+ groupchats: fixed \line appearing in messages when inserting a soft line break (shift - enter)
------------------------------------------------------------------------
r4069 | ghazan | 2006-10-19 01:43:13 +0400 (Чт, 19 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/chat_8.vcproj
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/clist_modern_8.vcproj
   M /trunk/miranda/plugins/tabsrmm/tabsrmm_8.vcproj

some fixes for VS2005 projects
------------------------------------------------------------------------
r4068 | ashpynov | 2006-10-18 20:16:21 +0400 (Ср, 18 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/framesmenu.c
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/clistmenus.c
   M /trunk/miranda/plugins/modernb/clistmod.c
   M /trunk/miranda/plugins/modernb/clisttray.c

-several cleanups on exit
------------------------------------------------------------------------
r4067 | ghazan | 2006-10-18 18:35:35 +0400 (Ср, 18 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

PS_GETAWAYMSG services modified to return an error on zero ccs
------------------------------------------------------------------------
r4066 | ghazan | 2006-10-18 18:31:06 +0400 (Ср, 18 окт 2006) | 1 line
Changed paths:
   D /trunk/miranda/protocols/Yahoo/Yahoo.vcproj.vspscc

useless file deleted
------------------------------------------------------------------------
r4065 | ghazan | 2006-10-18 18:27:50 +0400 (Ср, 18 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/msgs.c

code merge with the CHAT.dll
code cleaning
------------------------------------------------------------------------
r4064 | ashpynov | 2006-10-18 17:35:12 +0400 (Ср, 18 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/cache_funcs.h
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/clui.h
   M /trunk/miranda/plugins/modernb/commonheaders.h

- code cleanup
------------------------------------------------------------------------
r4063 | the_leech | 2006-10-18 17:19:25 +0400 (Ср, 18 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/log.c
   M /trunk/miranda/plugins/Scriver/chat/manager.c
   M /trunk/miranda/plugins/Scriver/chat/options.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/globals.h
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/msgs.h
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/resource.h
   M /trunk/miranda/plugins/Scriver/resource.rc

new option pages, clean-up and minor refactoring
------------------------------------------------------------------------
r4062 | ashpynov | 2006-10-18 16:15:42 +0400 (Ср, 18 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/extraimage.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/framesmenu.c
   M /trunk/miranda/plugins/modernb/Docking.c
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/cache_funcs.h
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clcitems.c
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clcutils.c
   M /trunk/miranda/plugins/modernb/clistevents.c
   M /trunk/miranda/plugins/modernb/clistmenus.c
   M /trunk/miranda/plugins/modernb/clistmod.c
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/clui.h
   M /trunk/miranda/plugins/modernb/contact.c
   M /trunk/miranda/plugins/modernb/forkthread.c
   M /trunk/miranda/plugins/modernb/modern_row.cpp

- code cleanup
------------------------------------------------------------------------
r4061 | ghazan | 2006-10-18 14:35:35 +0400 (Ср, 18 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

fix for PS_GETAWAYMSG service crash when NULL ccs pointer is being passed
------------------------------------------------------------------------
r4060 | ghazan | 2006-10-18 12:52:48 +0400 (Ср, 18 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp

fix for compatibility with VS2005
------------------------------------------------------------------------
r4059 | nightwish2004 | 2006-10-18 02:11:12 +0400 (Ср, 18 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/log.c
   M /trunk/miranda/plugins/tabsrmm/chat/message.c
   M /trunk/miranda/plugins/tabsrmm/chat/options.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/resource.rc
   M /trunk/miranda/plugins/tabsrmm/templates.c

+ fixed type (template help)
+ chat: double clicking a nickname while holding shift puts the focus on the input box.
------------------------------------------------------------------------
r4058 | ashpynov | 2006-10-17 20:03:55 +0400 (Вт, 17 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/clistsettings.c

- 'Unknown contact' name was wrongly free'ed
- Some fixes in Get_*_Line text - attempt to fix crash here
------------------------------------------------------------------------
r4057 | ghazan | 2006-10-17 19:10:33 +0400 (Вт, 17 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

minor code cleaning
------------------------------------------------------------------------
r4056 | ghazan | 2006-10-17 18:37:21 +0400 (Вт, 17 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

fix for one rare crash in Jabber RSS feeds
------------------------------------------------------------------------
r4055 | the_leech | 2006-10-17 17:49:45 +0400 (Вт, 17 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/chat.rc
   M /trunk/miranda/plugins/Scriver/chat/options.c
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/resource.h
   M /trunk/miranda/plugins/Scriver/resource.rc

new option pages
------------------------------------------------------------------------
r4054 | jokusoftware | 2006-10-17 16:56:12 +0400 (Вт, 17 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c

added detection of Win32\Stration worm
------------------------------------------------------------------------
r4053 | ghazan | 2006-10-17 13:23:57 +0400 (Вт, 17 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_commands.cpp

minor code cleaning
------------------------------------------------------------------------
r4052 | ghazan | 2006-10-17 00:47:58 +0400 (Вт, 17 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_threads.cpp

some fixes for file transfers and connection drops
------------------------------------------------------------------------
r4051 | ghazan | 2006-10-16 20:23:10 +0400 (Пн, 16 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/message.c


------------------------------------------------------------------------
r4050 | ghazan | 2006-10-16 19:52:56 +0400 (Пн, 16 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/message.c
   M /trunk/miranda/plugins/chat/message.c
   M /trunk/miranda/plugins/tabsrmm/chat/message.c

experimental fix for backslashes
------------------------------------------------------------------------
r4049 | ghazan | 2006-10-16 16:04:48 +0400 (Пн, 16 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IRC/IRC.vcproj
   M /trunk/miranda/protocols/IRC/irc.h
   M /trunk/miranda/protocols/IRC/irclib.h
   M /trunk/miranda/protocols/IRC/main.cpp
   M /trunk/miranda/protocols/IRC/services.cpp
   M /trunk/miranda/protocols/IRC/tools.cpp

some code cleaning, preparing IRC to work in Unicode
------------------------------------------------------------------------
r4048 | ghazan | 2006-10-16 13:33:54 +0400 (Пн, 16 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/log.c
   M /trunk/miranda/plugins/chat/log.c
   M /trunk/miranda/plugins/tabsrmm/chat/log.c

fix for the 'strip colors from the message log" options in the groupchats
------------------------------------------------------------------------
r4047 | ashpynov | 2006-10-16 10:27:53 +0400 (Пн, 16 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/version.h

Fixed:
- incorrect painting of combined icons with mask
------------------------------------------------------------------------
r4046 | ghazan | 2006-10-16 00:47:57 +0400 (Пн, 16 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_commands.cpp

code cleaning
------------------------------------------------------------------------
r4045 | ghazan | 2006-10-16 00:47:29 +0400 (Пн, 16 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/version.rc

version bump for build 14
------------------------------------------------------------------------
r4044 | ghazan | 2006-10-16 00:21:14 +0400 (Пн, 16 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/manager.c
   M /trunk/miranda/plugins/Scriver/chat/message.c
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/chat/chat.h
   M /trunk/miranda/plugins/chat/log.c
   M /trunk/miranda/plugins/chat/manager.c
   M /trunk/miranda/plugins/chat/message.c
   M /trunk/miranda/plugins/chat/services.c
   M /trunk/miranda/plugins/tabsrmm/chat/chat.h
   M /trunk/miranda/plugins/tabsrmm/chat/manager.c
   M /trunk/miranda/plugins/tabsrmm/chat/message.c
   M /trunk/miranda/plugins/tabsrmm/chat/services.c

fix for graying away users in the nicklists
fix for Unicode chars processing
------------------------------------------------------------------------
r4043 | ghazan | 2006-10-15 19:31:28 +0400 (Вс, 15 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/chat/main.c
   M /trunk/miranda/plugins/chat/window.c

version bump
minor code cleaning
------------------------------------------------------------------------
r4042 | the_leech | 2006-10-15 11:59:01 +0400 (Вс, 15 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/clist.c
   M /trunk/miranda/plugins/Scriver/chat/colorchooser.c
   M /trunk/miranda/plugins/Scriver/chat/options.c
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/globals.h
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/msgs.h
   M /trunk/miranda/plugins/Scriver/msgwindow.c

clean-up and improvements
------------------------------------------------------------------------
r4041 | ghazan | 2006-10-15 01:53:58 +0400 (Вс, 15 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/SDK/m_proto_listeningto.h
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_libstr.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

patch for processing Unicode in media info (by Pescuma)
------------------------------------------------------------------------
r4040 | the_leech | 2006-10-14 23:56:20 +0400 (Сб, 14 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/chat.rc
   M /trunk/miranda/plugins/Scriver/commonheaders.h
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msglog.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/resource.rc
   M /trunk/miranda/plugins/Scriver/srmm.c
   M /trunk/miranda/plugins/Scriver/utils.c
   M /trunk/miranda/plugins/Scriver/utils.h

clean-up and small improvements
------------------------------------------------------------------------
r4039 | nightwish2004 | 2006-10-14 03:31:43 +0400 (Сб, 14 окт 2006) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/log.c
   M /trunk/miranda/plugins/tabsrmm/chat/services.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/msgwindow.rc
   M /trunk/miranda/plugins/tabsrmm/srmm.c

+ event filter flags are now configureable per channel
+ event filter status is saved and remembered per channel
+ version bump (.11)
------------------------------------------------------------------------
r4038 | ghazan | 2006-10-14 01:50:41 +0400 (Сб, 14 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/log.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c

fixes for groupchats in tabSRMM: nickname colorizing
------------------------------------------------------------------------
r4037 | ghazan | 2006-10-13 20:30:18 +0400 (Пт, 13 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/log.c
   M /trunk/miranda/plugins/chat/log.c
   M /trunk/miranda/plugins/tabsrmm/chat/log.c

promotion of groupchat fixes for colors made by Nightwish to another plugins
------------------------------------------------------------------------
r4036 | nightwish2004 | 2006-10-13 20:16:56 +0400 (Пт, 13 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/log.c

+ fix broken irc colors in chat window
------------------------------------------------------------------------
r4035 | ghazan | 2006-10-13 18:01:15 +0400 (Пт, 13 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_chat.cpp

fix for the conference room names in Jabber groupchat invitation dialog
------------------------------------------------------------------------
r4034 | ashpynov | 2006-10-13 15:59:21 +0400 (Пт, 13 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/rowheight_funcs.c

- random crash on quick reconnect request
------------------------------------------------------------------------
r4033 | ashpynov | 2006-10-13 15:35:49 +0400 (Пт, 13 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clcutils.c
   M /trunk/miranda/plugins/modernb/version.h

Fixed:- 0002392: Visibility Options stopped working
------------------------------------------------------------------------
r4032 | ghazan | 2006-10-13 13:14:57 +0400 (Пт, 13 окт 2006) | 1 line
Changed paths:
   D /trunk/miranda/protocols/MSN/SDK/m_chat.h
   A /trunk/miranda/protocols/MSN/SDK/m_proto_listeningto.h
   M /trunk/miranda/protocols/MSN/msn_global.h

added missing file
------------------------------------------------------------------------
r4031 | ghazan | 2006-10-13 11:20:07 +0400 (Пт, 13 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_libstr.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

patch for processing currently playing media for MSN (by Pescuma)
------------------------------------------------------------------------
r4030 | ghazan | 2006-10-13 02:25:32 +0400 (Пт, 13 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/log.c
   M /trunk/miranda/plugins/Scriver/chat/tools.c
   M /trunk/miranda/plugins/chat/log.c
   M /trunk/miranda/plugins/chat/tools.c
   M /trunk/miranda/plugins/tabsrmm/chat/log.c
   M /trunk/miranda/plugins/tabsrmm/chat/tools.c

fix for groupchat fonts (the default font is always used in the Unicode versions of CHAT/tabSRMM)
fix for saving Unicode groupchat logs to a file
------------------------------------------------------------------------
r4029 | ghazan | 2006-10-12 17:15:38 +0400 (Чт, 12 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/bin/make.bat
   M /trunk/miranda/bin/makew.bat
   M /trunk/miranda/src/version.rc

version bump for build 13 
------------------------------------------------------------------------
r4028 | ghazan | 2006-10-12 17:13:32 +0400 (Чт, 12 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_chat.h
   M /trunk/miranda/plugins/Scriver/chat/manager.c
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/chat/manager.c
   M /trunk/miranda/plugins/chat/services.c
   M /trunk/miranda/plugins/tabsrmm/chat/manager.c
   M /trunk/miranda/plugins/tabsrmm/chat/services.c
   M /trunk/miranda/protocols/IRC/commandmonitor.cpp
   M /trunk/miranda/protocols/IRC/tools.cpp
   M /trunk/miranda/protocols/JabberG/jabber_chat.cpp

fix for the proper flags processing in chats. bAddToLog field was removed at all
------------------------------------------------------------------------
r4027 | ashpynov | 2006-10-12 10:57:24 +0400 (Чт, 12 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/modern_button.c

- sub frame window rename
------------------------------------------------------------------------
r4026 | jokusoftware | 2006-10-12 02:57:58 +0400 (Чт, 12 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c

fixed that damned queue again... hopefully now it will be ok
------------------------------------------------------------------------
r4025 | nightwish2004 | 2006-10-12 01:22:42 +0400 (Чт, 12 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c
   M /trunk/miranda/plugins/tabsrmm/msgoptions.c
   M /trunk/miranda/plugins/tabsrmm/msgs.h
   M /trunk/miranda/plugins/tabsrmm/resource.h
   M /trunk/miranda/plugins/tabsrmm/resource.rc

+ preparation for dedcated h++ support
------------------------------------------------------------------------
r4024 | the_leech | 2006-10-12 01:15:20 +0400 (Чт, 12 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/msgwindow.h

+ window events fired for chat windows (sje)
------------------------------------------------------------------------
r4023 | jokusoftware | 2006-10-12 01:05:18 +0400 (Чт, 12 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c

All improvements are evil... fixing avatar reply parsing - downloading of avatars was not working at all
------------------------------------------------------------------------
r4022 | jokusoftware | 2006-10-12 00:49:33 +0400 (Чт, 12 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c

improvement, when user changes avatar, we should request it immediately, regardless block state
------------------------------------------------------------------------
r4021 | jokusoftware | 2006-10-12 00:42:35 +0400 (Чт, 12 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c

ooops, last commit was completely wrong... this should do the job
------------------------------------------------------------------------
r4020 | jokusoftware | 2006-10-11 22:45:19 +0400 (Ср, 11 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c

fixed, avatar queue can get broken...
------------------------------------------------------------------------
r4019 | ghazan | 2006-10-11 20:07:47 +0400 (Ср, 11 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/message.c
   M /trunk/miranda/plugins/chat/message.c
   M /trunk/miranda/plugins/tabsrmm/chat/message.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c

fix for chats:
------------------------------------------------------------------------
r4018 | ghazan | 2006-10-11 18:39:40 +0400 (Ср, 11 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/log.c
   M /trunk/miranda/plugins/chat/log.c
   M /trunk/miranda/plugins/tabsrmm/chat/log.c

fix for char formatting
------------------------------------------------------------------------
r4017 | ghazan | 2006-10-11 00:59:22 +0400 (Ср, 11 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/log.c
   M /trunk/miranda/plugins/chat/log.c
   M /trunk/miranda/plugins/tabsrmm/chat/log.c

minor Unicode issue - a chinese symbol in a room topic
------------------------------------------------------------------------
r4016 | ghazan | 2006-10-11 00:17:00 +0400 (Ср, 11 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_chat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_groupchat.cpp

fix for the chat flags
------------------------------------------------------------------------
r4015 | ghazan | 2006-10-11 00:16:00 +0400 (Ср, 11 окт 2006) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/log.c
   M /trunk/miranda/plugins/Scriver/chat/message.c
   M /trunk/miranda/plugins/Scriver/mssccprj.scc
   M /trunk/miranda/plugins/chat/log.c
   M /trunk/miranda/plugins/chat/message.c
   M /trunk/miranda/plugins/tabsrmm/chat/log.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c

fixes for chats:
- broken national symbols in ANSI mode;
- missing spaces in messages
------------------------------------------------------------------------
r4014 | ghazan | 2006-10-10 22:34:17 +0400 (Вт, 10 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/tools.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/chat/chat.h
   M /trunk/miranda/plugins/chat/tools.c
   M /trunk/miranda/plugins/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/chat/message.c
   M /trunk/miranda/plugins/tabsrmm/chat/tools.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c

fixed translation issues for Unicode chats
------------------------------------------------------------------------
r4013 | jokusoftware | 2006-10-10 22:22:21 +0400 (Вт, 10 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c

fixed, avatar thread was broken - rates were not working at all
------------------------------------------------------------------------
r4012 | ghazan | 2006-10-10 19:34:50 +0400 (Вт, 10 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/chat.dsp
   M /trunk/miranda/plugins/chat/chat.mak

fix for CHAT project & makefile
------------------------------------------------------------------------
r4011 | ghazan | 2006-10-10 18:24:17 +0400 (Вт, 10 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/Docs/history-msn.txt
   M /trunk/miranda/protocols/MSN/msn_commands.cpp

final commit for custom smileys - string format change
------------------------------------------------------------------------
r4010 | ghazan | 2006-10-10 16:25:26 +0400 (Вт, 10 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_commands.cpp

... also fixed the cycle condition
------------------------------------------------------------------------
r4009 | ghazan | 2006-10-10 16:22:55 +0400 (Вт, 10 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp

minor code cleaning for sources
------------------------------------------------------------------------
r4008 | ghazan | 2006-10-10 15:50:09 +0400 (Вт, 10 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_ws.cpp

fix for the custom smileys processing (original code by tweety)
------------------------------------------------------------------------
r4007 | ghazan | 2006-10-10 03:26:54 +0400 (Вт, 10 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/chat.dep
   M /trunk/miranda/plugins/chat/chat.dsp
   M /trunk/miranda/plugins/chat/chat.mak
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/src/miranda32.dep
   M /trunk/miranda/src/miranda32.dsp
   M /trunk/miranda/src/miranda32.mak

fixes to compile Miranda under VC6
------------------------------------------------------------------------
r4006 | ghazan | 2006-10-10 02:18:36 +0400 (Вт, 10 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/window.c

fix for chats: links opening in CHAT.dll
------------------------------------------------------------------------
r4004 | ghazan | 2006-10-09 18:42:19 +0400 (Пн, 09 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/message.c
   M /trunk/miranda/plugins/chat/message.c
   M /trunk/miranda/plugins/tabsrmm/chat/message.c

fix for Miranda hangup on sending a chat message in the ANSI version
------------------------------------------------------------------------
r4002 | ashpynov | 2006-10-09 11:11:09 +0400 (Пн, 09 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/extraimage.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/framesmenu.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/protocolorder.c
   M /trunk/miranda/plugins/modernb/SkinEditor.c
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/SkinOpt.c
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clcitems.c
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clcutils.c
   M /trunk/miranda/plugins/modernb/clistmenus.c
   M /trunk/miranda/plugins/modernb/clistopts.c
   M /trunk/miranda/plugins/modernb/clistsettings.c
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/cluiopts.c
   M /trunk/miranda/plugins/modernb/commonheaders.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/contact.c
   M /trunk/miranda/plugins/modernb/genmenu.c
   M /trunk/miranda/plugins/modernb/genmenuopt.c
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/plugins/modernb/keyboard.c
   M /trunk/miranda/plugins/modernb/mod_skin_selector.c
   M /trunk/miranda/plugins/modernb/modern_button.c
   M /trunk/miranda/plugins/modernb/modern_row.cpp
   M /trunk/miranda/plugins/modernb/modern_statusbar.c
   M /trunk/miranda/plugins/modernb/movetogroup.c
   M /trunk/miranda/plugins/modernb/newrowopts.c
   M /trunk/miranda/plugins/modernb/tabbedoptions.c
   M /trunk/miranda/plugins/modernb/version.h

- returned mir_free_and_nill to common headers
------------------------------------------------------------------------
r4000 | the_leech | 2006-10-09 00:28:13 +0400 (Пн, 09 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/IcoLib.h
   D /trunk/miranda/plugins/Scriver/chat/IcoLib.h
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/log.c
   D /trunk/miranda/plugins/Scriver/chat/m_ieview.h
   D /trunk/miranda/plugins/Scriver/chat/m_smileyadd.h
   M /trunk/miranda/plugins/Scriver/chat/window.c

chat clean-up

------------------------------------------------------------------------
r3999 | the_leech | 2006-10-09 00:09:45 +0400 (Пн, 09 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/main.c
   M /trunk/miranda/plugins/Scriver/chat/manager.c
   M /trunk/miranda/plugins/Scriver/chat/options.c
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/Scriver/chat/tools.c

chat clean-up

------------------------------------------------------------------------
r3998 | jokusoftware | 2006-10-08 20:43:06 +0400 (Вс, 08 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/fam_01service.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_13servclist.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_constants.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_server.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_xstatus.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_xtraz.h
   M /trunk/miranda/protocols/IcqOscarJ/icqosc_svcs.c
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   M /trunk/miranda/protocols/IcqOscarJ/m_icq.h

merging some avatar enhancements from stable
added rate management to avatar queue processing
------------------------------------------------------------------------
r3996 | the_leech | 2006-10-07 20:59:15 +0400 (Сб, 07 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/log.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msglog.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/richutil.c
   M /trunk/miranda/plugins/Scriver/utils.c

use of Miranda memory manager
------------------------------------------------------------------------
r3995 | the_leech | 2006-10-07 18:39:41 +0400 (Сб, 07 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_system.h

gcc compatibility fix
------------------------------------------------------------------------
r3994 | gena01 | 2006-10-07 07:36:06 +0400 (Сб, 07 окт 2006) | 4 lines
Changed paths:
   M /trunk/miranda/protocols/Yahoo/libyahoo2/libyahoo2.c
   M /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo_debug.h
   M /trunk/miranda/protocols/Yahoo/yahoo.c

Porting some fixes from stable.

Packet dump fixes.
Updated filter for System Messages.
------------------------------------------------------------------------
r3991 | ghazan | 2006-10-07 03:05:24 +0400 (Сб, 07 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/scriver.vcproj
   M /trunk/miranda/plugins/chat/chat.vcproj
   M /trunk/miranda/plugins/clist/clist.vcproj
   M /trunk/miranda/plugins/clist_nicer/clist_nicer.vcproj
   M /trunk/miranda/plugins/db3x/db3x.vcproj
   M /trunk/miranda/plugins/db3x_mmap/db3x_mmap.vcproj
   M /trunk/miranda/plugins/help/help.vcproj
   M /trunk/miranda/plugins/import/import.vcproj
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/mwclist/clist_mw.vcproj
   M /trunk/miranda/plugins/png2dib/png2dib.vcproj
   M /trunk/miranda/plugins/srmm/srmm.vcproj
   M /trunk/miranda/plugins/tabsrmm/tabsrmm.vcproj
   M /trunk/miranda/protocols/IRC/IRC.vcproj
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.vcproj
   M /trunk/miranda/protocols/JabberG/jabber.vcproj
   M /trunk/miranda/protocols/MSN/msn.vcproj
   M /trunk/miranda/protocols/Yahoo/Yahoo.vcproj
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda-tools/dbtool/dbtool.vcproj

fixes for VS2003 projects: the Debug configuration has the wrong runtime type
------------------------------------------------------------------------
r3990 | ghazan | 2006-10-06 19:30:48 +0400 (Пт, 06 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_system.h

patch for compatibility with gcc 
------------------------------------------------------------------------
r3989 | ghazan | 2006-10-06 18:14:42 +0400 (Пт, 06 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda/src/miranda32_8.vcproj

fixes for Miranda32.exe projects
------------------------------------------------------------------------
r3988 | ghazan | 2006-10-06 18:03:13 +0400 (Пт, 06 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_system.h
   M /trunk/miranda/include/m_utils.h
   M /trunk/miranda/plugins/Scriver/utils.h
   M /trunk/miranda/plugins/chat/chat.h
   M /trunk/miranda/plugins/clist/commonheaders.h
   M /trunk/miranda/plugins/clist_nicer/commonheaders.h
   M /trunk/miranda/plugins/modernb/commonheaders.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/mwclist/commonheaders.c
   M /trunk/miranda/plugins/mwclist/commonheaders.h
   M /trunk/miranda/plugins/tabsrmm/chat/chat.h
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/MSN/msn_global.h

mir_alloc, mir_realloc, mir_free, mir_strdup, mir_strdupw functions were moved to m_system.h
------------------------------------------------------------------------
r3987 | the_leech | 2006-10-06 11:38:07 +0400 (Пт, 06 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/statusicon.c

* malloc -> mir_alloc migration 
------------------------------------------------------------------------
r3986 | the_leech | 2006-10-06 11:01:06 +0400 (Пт, 06 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/cmdlist.c
   M /trunk/miranda/plugins/Scriver/cmdlist.h

* malloc -> mir_alloc migration 
------------------------------------------------------------------------
r3985 | nightwish2004 | 2006-10-06 09:49:52 +0400 (Пт, 06 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/chat.h
   M /trunk/miranda/plugins/tabsrmm/chat/log.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c

+ fixed log symbols, using wrong fonts
------------------------------------------------------------------------
r3984 | the_leech | 2006-10-06 09:45:40 +0400 (Пт, 06 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/main.c
   M /trunk/miranda/plugins/Scriver/commonheaders.h
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/srmm.c
   M /trunk/miranda/plugins/Scriver/utils.h

adding use of memory manager
------------------------------------------------------------------------
r3983 | nightwish2004 | 2006-10-06 04:58:16 +0400 (Пт, 06 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/chat.h
   M /trunk/miranda/plugins/tabsrmm/chat/log.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/srmm.c

+ version bump
+ fixed font issue in group chats
------------------------------------------------------------------------
r3982 | ghazan | 2006-10-06 01:42:04 +0400 (Пт, 06 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/window.c

fix for pressing URLs in tabSRMM chats
------------------------------------------------------------------------
r3981 | ghazan | 2006-10-06 01:40:15 +0400 (Пт, 06 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/tabsrmm.dep
   M /trunk/miranda/plugins/tabsrmm/tabsrmm.mak
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.dep
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.mak
   M /trunk/miranda/protocols/MSN/msn.dep
   M /trunk/miranda/protocols/MSN/msn.mak

fixes for VC6 makefiles
------------------------------------------------------------------------
r3980 | the_leech | 2006-10-06 00:53:54 +0400 (Пт, 06 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/log.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msglog.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/statusicon.c
   M /trunk/miranda/plugins/Scriver/utils.c
   M /trunk/miranda/plugins/Scriver/utils.h

some clean-up
------------------------------------------------------------------------
r3976 | the_leech | 2006-10-05 22:21:50 +0400 (Чт, 05 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/MakefileA


------------------------------------------------------------------------
r3975 | ghazan | 2006-10-05 21:16:38 +0400 (Чт, 05 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

fix for renaming our own MSN contact included into the server list
------------------------------------------------------------------------
r3974 | ghazan | 2006-10-05 21:01:40 +0400 (Чт, 05 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/options.c
   M /trunk/miranda/plugins/Scriver/chat/tools.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/scriver.vcproj
   M /trunk/miranda/plugins/Scriver/scriver_8.vcproj
   M /trunk/miranda/plugins/Scriver/utils.c
   M /trunk/miranda/plugins/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c

fixes for links in chats
------------------------------------------------------------------------
r3973 | jokusoftware | 2006-10-05 20:59:19 +0400 (Чт, 05 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_popups.c
   D /trunk/miranda/protocols/IcqOscarJ/m_popupw.h

use general up-to-date include, removed obsolete local one
------------------------------------------------------------------------
r3972 | ghazan | 2006-10-05 19:19:54 +0400 (Чт, 05 окт 2006) | 1 line
Changed paths:
   D /trunk/miranda/plugins/tabsrmm/m_popup.h
   D /trunk/miranda/plugins/tabsrmm/m_popupw.h
   M /trunk/miranda/plugins/tabsrmm/nen.h

switched tabSRMM to general m_popup.h instead of the local ones
------------------------------------------------------------------------
r3971 | ghazan | 2006-10-05 19:13:42 +0400 (Чт, 05 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/tools.c
   M /trunk/miranda/plugins/chat/message.c
   M /trunk/miranda/plugins/chat/options.c
   M /trunk/miranda/plugins/chat/tools.c
   M /trunk/miranda/plugins/tabsrmm/chat/tools.c
   M /trunk/miranda/protocols/JabberG/jabber_chat.cpp

fixes for popups in chats
------------------------------------------------------------------------
r3970 | ghazan | 2006-10-05 17:05:09 +0400 (Чт, 05 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/window.c

minor code cleaning
------------------------------------------------------------------------
r3969 | ashpynov | 2006-10-05 15:46:57 +0400 (Чт, 05 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clc.h
   M /trunk/miranda/plugins/modernb/clcitems.c
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clistmod.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/clui.h
   M /trunk/miranda/plugins/modernb/commonheaders.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/groupmenu.c
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/plugins/modernb/mod_skin_selector.c
   M /trunk/miranda/plugins/modernb/mod_skin_selector.h
   M /trunk/miranda/plugins/modernb/modern_button.c
   M /trunk/miranda/plugins/modernb/modern_row.cpp
   M /trunk/miranda/plugins/modernb/rowheight_funcs.c
   M /trunk/miranda/plugins/modernb/version.h

- thread flags removed
- code restyling
------------------------------------------------------------------------
r3968 | the_leech | 2006-10-05 14:11:14 +0400 (Чт, 05 окт 2006) | 3 lines
Changed paths:
   A /trunk/miranda/plugins/Scriver/utils.c
   A /trunk/miranda/plugins/Scriver/utils.h

+ added utils.c, utils.h
* a2t helper functions
* some clean-up
------------------------------------------------------------------------
r3967 | jokusoftware | 2006-10-05 13:33:55 +0400 (Чт, 05 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icqosc_svcs.c

change, if contact is unhidden on event receive add to client-list if necessary
------------------------------------------------------------------------
r3966 | the_leech | 2006-10-05 12:46:32 +0400 (Чт, 05 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/clist.c
   M /trunk/miranda/plugins/Scriver/chat/colorchooser.c
   M /trunk/miranda/plugins/Scriver/chat/log.c
   D /trunk/miranda/plugins/Scriver/chat/m_chat.h
   M /trunk/miranda/plugins/Scriver/chat/m_uninstaller.h
   M /trunk/miranda/plugins/Scriver/chat/main.c
   M /trunk/miranda/plugins/Scriver/chat/manager.c
   M /trunk/miranda/plugins/Scriver/chat/message.c
   M /trunk/miranda/plugins/Scriver/chat/options.c
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/Scriver/chat/tools.c
   M /trunk/miranda/plugins/Scriver/chat/window.c

Unicode chat merge
------------------------------------------------------------------------
r3965 | the_leech | 2006-10-05 12:45:31 +0400 (Чт, 05 окт 2006) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/Makefile
   M /trunk/miranda/plugins/Scriver/commonheaders.h
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msglog.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/scriver.dsp

+ added utils.c, utils.h
* a2t helper functions
* some clean-up
------------------------------------------------------------------------
r3964 | ghazan | 2006-10-05 02:28:11 +0400 (Чт, 05 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/plugins/chat/chat.dep
   M /trunk/miranda/plugins/chat/chat.dsp
   M /trunk/miranda/plugins/chat/chat.mak
   M /trunk/miranda/plugins/chat/log.c
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/mod_skin_selector.c
   M /trunk/miranda/plugins/modernb/mod_skin_selector.h
   M /trunk/miranda/plugins/tabsrmm/tabsrmm.dep
   M /trunk/miranda/plugins/tabsrmm/tabsrmm.mak
   M /trunk/miranda/src/version.rc

build 12 came out
project and makefiles fixes for VC6
------------------------------------------------------------------------
r3963 | ghazan | 2006-10-05 02:10:45 +0400 (Чт, 05 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_popups.c

fix for m_popupw.h
------------------------------------------------------------------------
r3962 | ghazan | 2006-10-05 02:07:54 +0400 (Чт, 05 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/chat.h
   M /trunk/miranda/plugins/chat/clist.c
   M /trunk/miranda/plugins/chat/colorchooser.c
   M /trunk/miranda/plugins/chat/log.c
   M /trunk/miranda/plugins/chat/main.c
   M /trunk/miranda/plugins/chat/manager.c
   M /trunk/miranda/plugins/chat/options.c
   M /trunk/miranda/plugins/chat/tools.c
   M /trunk/miranda/plugins/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/chat/log.c

minor code cleaning for chats
------------------------------------------------------------------------
r3961 | ghazan | 2006-10-04 21:06:07 +0400 (Ср, 04 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/chat.h
   M /trunk/miranda/plugins/tabsrmm/chat/log.c
   M /trunk/miranda/plugins/tabsrmm/chat/tools.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c

minor code cleaning & fixes for chats in tabSRMM
------------------------------------------------------------------------
r3960 | ghazan | 2006-10-04 18:41:09 +0400 (Ср, 04 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_popup.h
   M /trunk/miranda/plugins/modernb/popup.c
   M /trunk/miranda/protocols/MSN/msn_misc.cpp

new m_popup.h committed (zazoo's version).
------------------------------------------------------------------------
r3959 | ghazan | 2006-10-04 17:34:36 +0400 (Ср, 04 окт 2006) | 1 line
Changed paths:
   D /trunk/miranda/protocols/IRC/IRC.vcproj.vspscc

useless file deleted
------------------------------------------------------------------------
r3958 | ghazan | 2006-10-04 16:17:59 +0400 (Ср, 04 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/message.c

some minor porting issues
------------------------------------------------------------------------
r3957 | ghazan | 2006-10-04 16:01:30 +0400 (Ср, 04 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/message.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c

some minor porting issues
------------------------------------------------------------------------
r3956 | ghazan | 2006-10-04 13:14:29 +0400 (Ср, 04 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_threads.cpp

fix for the source code incompatibility with VS2005
------------------------------------------------------------------------
r3955 | ghazan | 2006-10-04 01:56:47 +0400 (Ср, 04 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/chat.h
   M /trunk/miranda/plugins/tabsrmm/chat/chat.rc
   M /trunk/miranda/plugins/tabsrmm/chat/chatprototypes.h
   M /trunk/miranda/plugins/tabsrmm/chat/clist.c
   M /trunk/miranda/plugins/tabsrmm/chat/colorchooser.c
   M /trunk/miranda/plugins/tabsrmm/chat/log.c
   D /trunk/miranda/plugins/tabsrmm/chat/m_chat.h
   M /trunk/miranda/plugins/tabsrmm/chat/main.c
   M /trunk/miranda/plugins/tabsrmm/chat/manager.c
   M /trunk/miranda/plugins/tabsrmm/chat/message.c
   M /trunk/miranda/plugins/tabsrmm/chat/options.c
   M /trunk/miranda/plugins/tabsrmm/chat/services.c
   M /trunk/miranda/plugins/tabsrmm/chat/tools.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c

merged changes for CHAT Unicode into tabSRMM
------------------------------------------------------------------------
r3954 | jokusoftware | 2006-10-03 23:11:07 +0400 (Вт, 03 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/fam_01service.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_03buddy.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_direct.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_direct.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_server.c

fixed DC cookie handling again - now should really work
------------------------------------------------------------------------
r3953 | ghazan | 2006-10-03 21:47:30 +0400 (Вт, 03 окт 2006) | 1 line
Changed paths:
   D /trunk/miranda/plugins/chat/AggressiveOptimize.h

useless file deleted
------------------------------------------------------------------------
r3952 | jokusoftware | 2006-10-03 20:56:31 +0400 (Вт, 03 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_infoupdate.c

fixed, list could get corrupted and then cause hang of info-update thread (thx Ghazan for reporting)
------------------------------------------------------------------------
r3951 | ghazan | 2006-10-03 20:11:45 +0400 (Вт, 03 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.vcproj

fix for the debug info settings for IcqOscarJ VS2003 project
------------------------------------------------------------------------
r3950 | ghazan | 2006-10-03 15:13:40 +0400 (Вт, 03 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_libstr.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_ws.cpp

fixes to compile ANSI version
status message disappearing problem solution
------------------------------------------------------------------------
r3948 | ghazan | 2006-10-03 01:41:19 +0400 (Вт, 03 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj

minor setting change in clist_modern project file for VS2003
------------------------------------------------------------------------
r3947 | ghazan | 2006-10-03 01:36:31 +0400 (Вт, 03 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn_bitmap.cpp
   M /trunk/miranda/protocols/MSN/msn_chat.cpp
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_contact.cpp
   M /trunk/miranda/protocols/MSN/msn_ftold.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_libstr.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_p2ps.cpp
   M /trunk/miranda/protocols/MSN/msn_ssl.cpp
   M /trunk/miranda/protocols/MSN/msn_std.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_threads.cpp

MSN adaptation for true Unicode chat
some minor fixes
------------------------------------------------------------------------
r3946 | ghazan | 2006-10-03 01:35:11 +0400 (Вт, 03 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber_chat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_groupchat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_misc.cpp

Jabber adaptation for true Unicode chat
------------------------------------------------------------------------
r3945 | ghazan | 2006-10-03 01:32:14 +0400 (Вт, 03 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_chat.h
   M /trunk/miranda/include/m_protosvc.h
   M /trunk/miranda/plugins/chat/chat.h
   M /trunk/miranda/plugins/chat/chat.rc
   M /trunk/miranda/plugins/chat/chat.vcproj
   M /trunk/miranda/plugins/chat/clist.c
   M /trunk/miranda/plugins/chat/colorchooser.c
   M /trunk/miranda/plugins/chat/log.c
   M /trunk/miranda/plugins/chat/m_uninstaller.h
   M /trunk/miranda/plugins/chat/main.c
   M /trunk/miranda/plugins/chat/manager.c
   M /trunk/miranda/plugins/chat/message.c
   M /trunk/miranda/plugins/chat/options.c
   M /trunk/miranda/plugins/chat/services.c
   M /trunk/miranda/plugins/chat/tools.c
   M /trunk/miranda/plugins/chat/window.c

changes for true Unicode CHAT
------------------------------------------------------------------------
r3944 | jokusoftware | 2006-10-02 23:34:06 +0400 (Пн, 02 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_rates.c

fixed, do not crash if no rates loaded - usually after login error...
------------------------------------------------------------------------
r3943 | nightwish2004 | 2006-10-02 19:57:02 +0400 (Пн, 02 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/eventpopups.c
   M /trunk/miranda/plugins/tabsrmm/formatting.cpp

+ fix: correct "uneven" [math] delimiters in messages when mathmod is installed
------------------------------------------------------------------------
r3942 | nightwish2004 | 2006-10-02 19:55:42 +0400 (Пн, 02 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clcpaint.c

+ patch for extra icon drawing
------------------------------------------------------------------------
r3941 | ashpynov | 2006-10-02 14:36:34 +0400 (Пн, 02 окт 2006) | 4 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.h
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/modern_button.c
   M /trunk/miranda/plugins/modernb/version.h

- text effect does not inherited by 'same as' check mark in options
- frames menu: reordering of frames fix.
- hovered=0 handled incorrectly in button skin
- less selection mode does not wok
------------------------------------------------------------------------
r3940 | ghazan | 2006-10-02 13:53:28 +0400 (Пн, 02 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/scriver.dsp
   M /trunk/miranda/plugins/Scriver/scriver.vcproj
   M /trunk/miranda/plugins/Scriver/scriver_8.vcproj

fix for the Scriver projects due to new source file addition
------------------------------------------------------------------------
r3939 | the_leech | 2006-10-02 13:49:37 +0400 (Пн, 02 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c

some warnings fixed
------------------------------------------------------------------------
r3938 | the_leech | 2006-10-02 13:13:36 +0400 (Пн, 02 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_message.h

status icons API (patch by sje)
------------------------------------------------------------------------
r3937 | ghazan | 2006-10-02 11:57:20 +0400 (Пн, 02 окт 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/src/modules/database/dblists.c
   M /trunk/miranda/src/modules/database/dblists.c

fix for non-sorted lists
------------------------------------------------------------------------
r3936 | ghazan | 2006-10-02 10:58:19 +0400 (Пн, 02 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/util.c

fix for the VC++ compatibility
------------------------------------------------------------------------
r3935 | gena01 | 2006-10-02 05:36:38 +0400 (Пн, 02 окт 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/util.c

Cleaning up my Popup handler. Fixing a small memory leak.
------------------------------------------------------------------------
r3934 | jokusoftware | 2006-10-01 15:31:00 +0400 (Вс, 01 окт 2006) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/chan_02data.c
   M /trunk/miranda/protocols/IcqOscarJ/chan_04close.c
   M /trunk/miranda/protocols/IcqOscarJ/chan_05ping.c
   M /trunk/miranda/protocols/IcqOscarJ/channels.h
   M /trunk/miranda/protocols/IcqOscarJ/docs/icq-readme.txt
   M /trunk/miranda/protocols/IcqOscarJ/fam_01service.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_03buddy.c
   M /trunk/miranda/protocols/IcqOscarJ/fam_04message.c
   M /trunk/miranda/protocols/IcqOscarJ/families.h
   M /trunk/miranda/protocols/IcqOscarJ/globals.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_constants.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_infoupdate.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_infoupdate.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_packet.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_packet.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_rates.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_rates.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_server.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_server.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_uploadui.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_xstatus.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_xtraz.c
   M /trunk/miranda/protocols/IcqOscarJ/icqosc_svcs.c
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   M /trunk/miranda/protocols/IcqOscarJ/resources.rc
   M /trunk/miranda/protocols/IcqOscarJ/stdpackets.c
   M /trunk/miranda/protocols/IcqOscarJ/stdpackets.h
   M /trunk/miranda/protocols/IcqOscarJ/utilities.c

Level 1 Rate management: step 1
many other tweaks & fixes
------------------------------------------------------------------------
r3933 | the_leech | 2006-09-30 17:48:28 +0400 (Сб, 30 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgwindow.c

fix
------------------------------------------------------------------------
r3932 | the_leech | 2006-09-30 17:46:50 +0400 (Сб, 30 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/Makefile
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/colorchooser.c
   M /trunk/miranda/plugins/Scriver/chat/manager.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/msgs.h
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/scriver.dsp
   M /trunk/miranda/plugins/Scriver/statusicon.c
   M /trunk/miranda/plugins/Scriver/statusicon.h

+ statusicons (based on patch by sje)
------------------------------------------------------------------------
r3929 | gena01 | 2006-09-30 08:09:49 +0400 (Сб, 30 сен 2006) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/Yahoo/yahoo.c

Adding some debugging code.
Fixing a possible crasher. (Thanx George for the crash report, stack  and log)
------------------------------------------------------------------------
r3928 | the_leech | 2006-09-30 00:21:39 +0400 (Сб, 30 сен 2006) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/options.c
   M /trunk/miranda/plugins/Scriver/chat/tools.c
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/globals.h
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgs.h
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/msgwindow.h
   M /trunk/miranda/plugins/Scriver/resource.h
   M /trunk/miranda/plugins/Scriver/resource.rc

+ new tab menu
* code clean-up and improvements (e.g. removed redundant children list)
* removed memory leak 
------------------------------------------------------------------------
r3927 | ghazan | 2006-09-29 18:45:12 +0400 (Пт, 29 сен 2006) | 1 line
Changed paths:
   D /trunk/miranda/plugins/chat/m_chat.h

m_chat.h should be grabbed from the general include folder
------------------------------------------------------------------------
r3926 | jokusoftware | 2006-09-29 18:08:47 +0400 (Пт, 29 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_direct.h

ooops, missing structure change
------------------------------------------------------------------------
r3925 | ashpynov | 2006-09-29 16:29:59 +0400 (Пт, 29 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/SkinEngine.h
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/clui.h
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/m_skin_eng.h
   M /trunk/miranda/plugins/modernb/mod_skin_selector.c
   M /trunk/miranda/plugins/modernb/mod_skin_selector.h
   M /trunk/miranda/plugins/modernb/modern_button.c
   M /trunk/miranda/plugins/modernb/version.h

- performance improvements
------------------------------------------------------------------------
r3924 | ghazan | 2006-09-29 15:52:08 +0400 (Пт, 29 сен 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

minor memory leak fixed
------------------------------------------------------------------------
r3923 | jokusoftware | 2006-09-29 15:47:50 +0400 (Пт, 29 сен 2006) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_direct.c

fixed DC cookie checking (it should not even work)
some minor code tweaking
------------------------------------------------------------------------
r3922 | ghazan | 2006-09-29 13:45:41 +0400 (Пт, 29 сен 2006) | 5 lines
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn.cpp
   D /branches/stable/miranda/protocols/MSN/msn.vcproj.vspscc
   D /branches/stable/miranda/protocols/MSN/msn_8.vcproj.vspscc
   M /branches/stable/miranda/protocols/MSN/msn_bitmap.cpp
   M /branches/stable/miranda/protocols/MSN/msn_chat.cpp
   M /branches/stable/miranda/protocols/MSN/msn_commands.cpp
   M /branches/stable/miranda/protocols/MSN/msn_ftold.cpp
   M /branches/stable/miranda/protocols/MSN/msn_global.h
   M /branches/stable/miranda/protocols/MSN/msn_misc.cpp
   M /branches/stable/miranda/protocols/MSN/msn_opts.cpp
   M /branches/stable/miranda/protocols/MSN/msn_p2p.cpp
   M /branches/stable/miranda/protocols/MSN/msn_p2ps.cpp
   M /branches/stable/miranda/protocols/MSN/msn_svcs.cpp
   M /branches/stable/miranda/protocols/MSN/msn_threads.cpp
   M /branches/stable/miranda/protocols/MSN/msn_ws.cpp
   M /trunk/miranda/protocols/MSN/msn.cpp
   D /trunk/miranda/protocols/MSN/msn.vcproj.vspscc
   D /trunk/miranda/protocols/MSN/msn_8.vcproj.vspscc
   M /trunk/miranda/protocols/MSN/msn_chat.cpp
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_ftold.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_p2ps.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_threads.cpp
   M /trunk/miranda/protocols/MSN/msn_ws.cpp

some fixes for MSN:
- broken compatibility with MSN 6.2;
- redesigned keepalive thread;
- file transfers in HTTP gateway mode;
- minor chat fixes.
------------------------------------------------------------------------
r3921 | the_leech | 2006-09-28 22:27:42 +0400 (Чт, 28 сен 2006) | 1 line
Changed paths:
   A /trunk/miranda/plugins/Scriver/statusicon.c
   A /trunk/miranda/plugins/Scriver/statusicon.h

status icons patch by sje
------------------------------------------------------------------------
r3920 | ashpynov | 2006-09-28 19:58:48 +0400 (Чт, 28 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clui.c

- setlocale fix - need to be moved to core
------------------------------------------------------------------------
r3919 | ashpynov | 2006-09-28 18:33:13 +0400 (Чт, 28 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/commonheaders.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/m_skin_eng.h
   M /trunk/miranda/plugins/modernb/mod_skin_selector.c
   M /trunk/miranda/plugins/modernb/mod_skin_selector.h
   M /trunk/miranda/plugins/modernb/modern_button.c

- performance improvement (about +15% on glyph painting)
------------------------------------------------------------------------
r3918 | ghazan | 2006-09-27 19:46:08 +0400 (Ср, 27 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/scriver.vcproj
   M /trunk/miranda/plugins/changeinfo/changeinfo.vcproj
   M /trunk/miranda/plugins/db3x/db3x.vcproj
   M /trunk/miranda/plugins/db3x_mmap/db3x_mmap.vcproj
   M /trunk/miranda/plugins/help/help.vcproj
   M /trunk/miranda/plugins/import/import.vcproj
   M /trunk/miranda/plugins/png2dib/png2dib.vcproj
   M /trunk/miranda/plugins/srmm/srmm.vcproj
   M /trunk/miranda/plugins/tabsrmm/tabsrmm.vcproj
   M /trunk/miranda/protocols/IRC/IRC.vcproj
   M /trunk/miranda/protocols/JabberG/jabber.vcproj
   M /trunk/miranda/protocols/MSN/msn.vcproj
   M /trunk/miranda/src/miranda32.vcproj

set VSS provider to solution-defined instead of project-defined
------------------------------------------------------------------------
r3917 | ashpynov | 2006-09-27 18:59:42 +0400 (Ср, 27 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clui.c


------------------------------------------------------------------------
r3916 | ghazan | 2006-09-27 17:33:38 +0400 (Ср, 27 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlibupnp.c

minor fix for uPNP: the port number is ushort now instead of a string
------------------------------------------------------------------------
r3914 | ashpynov | 2006-09-27 14:01:25 +0400 (Ср, 27 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/init.c


------------------------------------------------------------------------
r3913 | ashpynov | 2006-09-26 20:02:18 +0400 (Вт, 26 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clcitems.c
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/clistmod.c
   M /trunk/miranda/plugins/modernb/clistsettings.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/commonheaders.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/genmenu.c
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/plugins/modernb/log.c
   M /trunk/miranda/plugins/modernb/modern_button.c
   M /trunk/miranda/plugins/modernb/movetogroup.c
   M /trunk/miranda/plugins/modernb/version.h

- continue to play with exiting routine
------------------------------------------------------------------------
r3912 | ghazan | 2006-09-26 14:10:11 +0400 (Вт, 26 сен 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

changed a bit version info format for Jabber
------------------------------------------------------------------------
r3911 | gena01 | 2006-09-26 06:04:21 +0400 (Вт, 26 сен 2006) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/Yahoo/avatar.c

Trying to fix George's Yahoo log. Apparently my Yahoo 7.0 client was telling George that his URL was no longer valid. But somehow my checksum wasn't matching his. This resulted in weird packet loop. 

With this code if the URL matches then we trust the user that it's no longer valid and try to re-upload our avatar. 
------------------------------------------------------------------------
r3910 | jokusoftware | 2006-09-26 02:30:33 +0400 (Вт, 26 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c

fixed memory corruption during FT receive
------------------------------------------------------------------------
r3909 | ashpynov | 2006-09-25 19:36:36 +0400 (Пн, 25 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/forkthread.c
   M /trunk/miranda/plugins/modernb/modern_statusbar.c

- mouse not clickable after status bar hint disappears
------------------------------------------------------------------------
r3908 | ghazan | 2006-09-25 19:06:22 +0400 (Пн, 25 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/modernb.dep
   M /trunk/miranda/plugins/modernb/modernb.dsp
   M /trunk/miranda/plugins/modernb/modernb.mak

updated VC6 project files for clist_modern
------------------------------------------------------------------------
r3907 | ghazan | 2006-09-25 19:01:11 +0400 (Пн, 25 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/chat/manager.c

useless code removed
------------------------------------------------------------------------
r3905 | ghazan | 2006-09-25 18:57:02 +0400 (Пн, 25 сен 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

patch for Jabber to include the plugin's version into the jabber:iq:version packet
------------------------------------------------------------------------
r3904 | ashpynov | 2006-09-25 15:56:51 +0400 (Пн, 25 сен 2006) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/groupmenu.c
   M /trunk/miranda/plugins/modernb/modern_button.c

- speedup exiting
- possible crash on start fix

------------------------------------------------------------------------
r3903 | ashpynov | 2006-09-25 14:31:37 +0400 (Пн, 25 сен 2006) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/clistevents.c
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/plugins/modernb/version.h

- Crash on drawing smiles (tnx 2Lastwebpage)
- Rendering of EventArea background fix
- Tray tooltip is not shown after ctrl+left click
------------------------------------------------------------------------
r3902 | ghazan | 2006-09-25 11:42:45 +0400 (Пн, 25 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clc.c
   M /trunk/miranda/plugins/clist_nicer/init.c

minor resource leaks
------------------------------------------------------------------------
r3901 | ashpynov | 2006-09-25 10:43:35 +0400 (Пн, 25 сен 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clc.h
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clcutils.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/rowheight_funcs.c
   M /trunk/miranda/plugins/modernb/version.h

- Improved groups drag and drop functionality (groups reordering affects)
- Fixed wrong overlay over status icon painting
------------------------------------------------------------------------
r3900 | ghazan | 2006-09-25 00:03:33 +0400 (Пн, 25 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/version.rc

version bump for build 11
------------------------------------------------------------------------
r3899 | ghazan | 2006-09-24 23:21:51 +0400 (Вс, 24 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/core/miranda.c

fix for the crash on exit
------------------------------------------------------------------------
r3898 | the_leech | 2006-09-23 23:02:58 +0400 (Сб, 23 сен 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/clist.c
   M /trunk/miranda/plugins/Scriver/chat/log.c
   M /trunk/miranda/plugins/Scriver/chat/options.c
   M /trunk/miranda/plugins/Scriver/chat/tools.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/msgwindow.h

+ added room for status icons
* bugfixes & clean-up
------------------------------------------------------------------------
r3897 | snaphat | 2006-09-23 09:29:52 +0400 (Сб, 23 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/aim.cpp
   M /trunk/miranda/protocols/AimOscar/aim.rc
   M /trunk/miranda/protocols/AimOscar/aim_8.vcproj
   M /trunk/miranda/protocols/AimOscar/defines.h
   M /trunk/miranda/protocols/AimOscar/resource.h
   M /trunk/miranda/protocols/AimOscar/thread.cpp
   M /trunk/miranda/protocols/AimOscar/windows.cpp

-modified the keepalive timer option
------------------------------------------------------------------------
r3896 | snaphat | 2006-09-23 08:34:54 +0400 (Сб, 23 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/conv.cpp

-fixed that COLR bug.
------------------------------------------------------------------------
r3895 | snaphat | 2006-09-23 08:24:12 +0400 (Сб, 23 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/server.cpp

-removed extra client ready in the CORRECT SPOT THIS TIME
------------------------------------------------------------------------
r3893 | snaphat | 2006-09-23 08:14:28 +0400 (Сб, 23 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/server.cpp

-should not activate list there.
------------------------------------------------------------------------
r3891 | snaphat | 2006-09-23 07:35:07 +0400 (Сб, 23 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/services.cpp

-patch from sje to fix meta contacts.
------------------------------------------------------------------------
r3890 | snaphat | 2006-09-23 07:14:52 +0400 (Сб, 23 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/services.cpp
   M /trunk/miranda/protocols/AimOscar/thread.cpp
   M /trunk/miranda/protocols/AimOscar/thread.h
   M /trunk/miranda/protocols/AimOscar/windows.cpp

-fixes for upnp
------------------------------------------------------------------------
r3889 | snaphat | 2006-09-23 07:07:09 +0400 (Сб, 23 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/AimOscar/client.cpp
   M /trunk/miranda/protocols/AimOscar/client.h
   M /trunk/miranda/protocols/AimOscar/connection.cpp
   M /trunk/miranda/protocols/AimOscar/error.cpp
   M /trunk/miranda/protocols/AimOscar/file.cpp
   M /trunk/miranda/protocols/AimOscar/proxy.cpp
   M /trunk/miranda/protocols/AimOscar/server.cpp
   M /trunk/miranda/protocols/AimOscar/services.cpp
   M /trunk/miranda/protocols/AimOscar/thread.cpp
   M /trunk/miranda/protocols/AimOscar/utility.cpp

-merging from stable
------------------------------------------------------------------------
r3888 | snaphat | 2006-09-23 06:54:26 +0400 (Сб, 23 сен 2006) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/AimOscar/client.cpp
   M /trunk/miranda/protocols/AimOscar/client.h
   M /trunk/miranda/protocols/AimOscar/connection.cpp
   M /trunk/miranda/protocols/AimOscar/defines.h
   M /trunk/miranda/protocols/AimOscar/file.cpp
   M /trunk/miranda/protocols/AimOscar/server.cpp
   M /trunk/miranda/protocols/AimOscar/server.h
   M /trunk/miranda/protocols/AimOscar/services.cpp
   M /trunk/miranda/protocols/AimOscar/thread.cpp

+new caps included
+file transfer stuff
+busted payload snac
------------------------------------------------------------------------
r3886 | ghazan | 2006-09-22 18:47:04 +0400 (Пт, 22 сен 2006) | 2 lines
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/docs/changelog_jabber.txt
   M /branches/stable/miranda/protocols/JabberG/jabber_xml.cpp
   M /trunk/miranda/protocols/JabberG/docs/changelog_jabber.txt
   M /trunk/miranda/protocols/JabberG/jabber_xml.cpp

bug #0002530 fixed: Miranda crashes on large avatars

------------------------------------------------------------------------
r3885 | ashpynov | 2006-09-22 17:16:52 +0400 (Пт, 22 сен 2006) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/extraimage.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/protocolorder.c
   M /trunk/miranda/plugins/modernb/SkinEditor.c
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/SkinEngine.h
   M /trunk/miranda/plugins/modernb/SkinOpt.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clcitems.c
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clcutils.c
   M /trunk/miranda/plugins/modernb/clistevents.c
   M /trunk/miranda/plugins/modernb/clistmenus.c
   M /trunk/miranda/plugins/modernb/clistmod.c
   M /trunk/miranda/plugins/modernb/clistsettings.c
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/clui.h
   M /trunk/miranda/plugins/modernb/cluiopts.c
   M /trunk/miranda/plugins/modernb/cluiservices.c
   M /trunk/miranda/plugins/modernb/commonheaders.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/effectenum.h
   M /trunk/miranda/plugins/modernb/gdiplus.cpp
   M /trunk/miranda/plugins/modernb/genmenu.c
   M /trunk/miranda/plugins/modernb/groupmenu.c
   M /trunk/miranda/plugins/modernb/image_array.c
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/plugins/modernb/m_skin_eng.h
   M /trunk/miranda/plugins/modernb/mod_skin_selector.c
   M /trunk/miranda/plugins/modernb/mod_skin_selector.h
   M /trunk/miranda/plugins/modernb/modern_button.c
   M /trunk/miranda/plugins/modernb/modern_statusbar.c
   M /trunk/miranda/plugins/modernb/rowheight_funcs.c
   M /trunk/miranda/plugins/modernb/rowtemplateopt.c
   M /trunk/miranda/plugins/modernb/tabbedoptions.c

- code rework
- used new CreateJoinedIcon routine
- refresh on metacontact default changing
------------------------------------------------------------------------
r3884 | ashpynov | 2006-09-22 12:35:57 +0400 (Пт, 22 сен 2006) | 1 line
Changed paths:
   D /trunk/miranda/plugins/modernb/CLUIFrames/statusbar.c

- deleted unnecessary file
------------------------------------------------------------------------
r3883 | ashpynov | 2006-09-22 12:33:50 +0400 (Пт, 22 сен 2006) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clc.h
   M /trunk/miranda/plugins/modernb/clcidents.c
   M /trunk/miranda/plugins/modernb/clcitems.c
   M /trunk/miranda/plugins/modernb/clcmsgs.c
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clcutils.c
   M /trunk/miranda/plugins/modernb/clistevents.c
   M /trunk/miranda/plugins/modernb/clistmenus.c
   M /trunk/miranda/plugins/modernb/clistsettings.c
   M /trunk/miranda/plugins/modernb/cluiopts.c
   M /trunk/miranda/plugins/modernb/commonheaders.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/genmenu.c
   M /trunk/miranda/plugins/modernb/mod_skin_selector.c
   M /trunk/miranda/plugins/modernb/modern_row.cpp
   M /trunk/miranda/plugins/modernb/resource.h
   M /trunk/miranda/plugins/modernb/resource.rc
   M /trunk/miranda/plugins/modernb/rowheight_funcs.c
   M /trunk/miranda/plugins/modernb/version.h

- event area optional and turned off by default
- minor options pages redesign
- removed couple of unnecessary critical sections and pointers verifications (should be faster and debug aware, but require testing)
------------------------------------------------------------------------
r3882 | nightwish2004 | 2006-09-21 22:27:26 +0400 (Чт, 21 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clistmenus.c

+ patch for statusmenuexecservice to make it compatible with modern
------------------------------------------------------------------------
r3881 | ashpynov | 2006-09-21 19:11:33 +0400 (Чт, 21 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c

- additional checking
------------------------------------------------------------------------
r3880 | ghazan | 2006-09-21 16:47:53 +0400 (Чт, 21 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlibupnp.c

memory leak fixed
------------------------------------------------------------------------
r3879 | ghazan | 2006-09-21 16:08:22 +0400 (Чт, 21 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlibupnp.c

a minor uPNP fix
------------------------------------------------------------------------
r3878 | ghazan | 2006-09-21 16:03:34 +0400 (Чт, 21 сен 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/MSN/Docs/history-msn.txt
   M /branches/stable/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/Docs/history-msn.txt

bug 0001996 fixed: No Contact Identification When an Unsupported Feature Even Occurs
------------------------------------------------------------------------
r3877 | ghazan | 2006-09-21 15:55:40 +0400 (Чт, 21 сен 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_misc.cpp


------------------------------------------------------------------------
r3876 | ashpynov | 2006-09-21 15:26:51 +0400 (Чт, 21 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clistmenus.c

- Status menu item handle is added as lParam on StatusMenuExecService calling
------------------------------------------------------------------------
r3875 | ghazan | 2006-09-21 12:44:27 +0400 (Чт, 21 сен 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_chat.cpp
   M /trunk/miranda/protocols/JabberG/jabber_chat.cpp

bug #0002048 fixed: MUC window pops up when joining, ignoring the option of the Chat plugin "Do not pop up the window when joining a chat room". 
------------------------------------------------------------------------
r3874 | nightwish2004 | 2006-09-21 02:34:05 +0400 (Чт, 21 сен 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/container.c
   M /trunk/miranda/plugins/tabsrmm/containeroptions.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c

+ fix: chat tab icons
+ do not allow to hide title bar when using a full skin (including frame skinning).
------------------------------------------------------------------------
r3873 | the_leech | 2006-09-21 00:25:29 +0400 (Чт, 21 сен 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/chat.rc
   M /trunk/miranda/plugins/Scriver/chat/options.c
   D /trunk/miranda/plugins/Scriver/chat/resource.h
   M /trunk/miranda/plugins/Scriver/chat/tools.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgoptions.c
   M /trunk/miranda/plugins/Scriver/msgs.h
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   M /trunk/miranda/plugins/Scriver/msgwindow.h
   M /trunk/miranda/plugins/Scriver/resource.h
   M /trunk/miranda/plugins/Scriver/resource.rc

* tabbed options
* chat window flashing
------------------------------------------------------------------------
r3872 | ashpynov | 2006-09-20 19:19:08 +0400 (Ср, 20 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clui.c

- removed dead lock on exiting 2
------------------------------------------------------------------------
r3871 | ghazan | 2006-09-20 19:13:56 +0400 (Ср, 20 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp

fixes for some MSN memory issues
------------------------------------------------------------------------
r3870 | ashpynov | 2006-09-20 18:54:48 +0400 (Ср, 20 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/clistmenus.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/commonheaders.h

- removed dead lock on exiting
------------------------------------------------------------------------
r3869 | ashpynov | 2006-09-20 18:42:34 +0400 (Ср, 20 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clui.c

- removed possible dead lock on exiting
------------------------------------------------------------------------
r3868 | ashpynov | 2006-09-20 18:24:16 +0400 (Ср, 20 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/clistmenus.c

// workaround for avatar service which destroys service on OK_TOEXIT - this raise crash on exit
------------------------------------------------------------------------
r3867 | ashpynov | 2006-09-20 17:42:59 +0400 (Ср, 20 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clist_modern_8.vcproj

- VS8 project file sync
------------------------------------------------------------------------
r3866 | ashpynov | 2006-09-20 17:30:56 +0400 (Ср, 20 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/cache_funcs.h
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clc.h
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clistsettings.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/clui.h
   M /trunk/miranda/plugins/modernb/commonheaders.h

- All modern thread are multi thread isolated
------------------------------------------------------------------------
r3865 | ghazan | 2006-09-20 15:33:50 +0400 (Ср, 20 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/globals.c

another minor memory leak
------------------------------------------------------------------------
r3864 | ghazan | 2006-09-20 15:30:23 +0400 (Ср, 20 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/scriver.dsp

minor memory leak fixed
------------------------------------------------------------------------
r3863 | ashpynov | 2006-09-20 15:18:51 +0400 (Ср, 20 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/clui.h

- hSmoothAnimationThread synced with WinMain thread (should fix several possible crashes)
------------------------------------------------------------------------
r3862 | ashpynov | 2006-09-20 14:46:48 +0400 (Ср, 20 сен 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/extraimage.c
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/plugins/modernb/clui.c
   A /trunk/miranda/plugins/modernb/clui.h
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/plugins/modernb/rowheight_funcs.c

- Code restyling. clui.c/clui.h looks completed

------------------------------------------------------------------------
r3861 | ghazan | 2006-09-20 14:43:03 +0400 (Ср, 20 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/db3x_mmap/commonheaders.h
   M /trunk/miranda/plugins/db3x_mmap/database.c
   M /trunk/miranda/plugins/db3x_mmap/database.h
   M /trunk/miranda/plugins/db3x_mmap/dbcache.c
   M /trunk/miranda/plugins/db3x_mmap/dbheaders.c
   M /trunk/miranda/plugins/db3x_mmap/dbmodulechain.c
   M /trunk/miranda/plugins/db3x_mmap/dbsettings.c
   M /trunk/miranda/plugins/db3x_mmap/init.c
   M /trunk/miranda/plugins/db3x_mmap/version.h

upgrade to version 0.6.2.6
------------------------------------------------------------------------
r3860 | ghazan | 2006-09-20 13:55:14 +0400 (Ср, 20 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlibupnp.c

fix for hang on exit
------------------------------------------------------------------------
r3859 | ashpynov | 2006-09-20 13:24:17 +0400 (Ср, 20 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/extraimage.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/protocolorder.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/statusbar.c
   M /trunk/miranda/plugins/modernb/Docking.c
   M /trunk/miranda/plugins/modernb/SkinEditor.c
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/SkinEngine.h
   M /trunk/miranda/plugins/modernb/SkinOpt.c
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clcmsgs.c
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clcutils.c
   M /trunk/miranda/plugins/modernb/clistevents.c
   M /trunk/miranda/plugins/modernb/clistmenus.c
   M /trunk/miranda/plugins/modernb/clistmod.c
   M /trunk/miranda/plugins/modernb/clistopts.c
   M /trunk/miranda/plugins/modernb/clistsettings.c
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/cluiopts.c
   M /trunk/miranda/plugins/modernb/cluioptsm.c
   M /trunk/miranda/plugins/modernb/cluiservices.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/forkthread.c
   M /trunk/miranda/plugins/modernb/genmenuopt.c
   M /trunk/miranda/plugins/modernb/groupmenu.c
   M /trunk/miranda/plugins/modernb/image_array.c
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/plugins/modernb/keyboard.c
   M /trunk/miranda/plugins/modernb/m_clui.h
   M /trunk/miranda/plugins/modernb/m_skin_eng.h
   M /trunk/miranda/plugins/modernb/modern_button.c
   M /trunk/miranda/plugins/modernb/modern_statusbar.c
   M /trunk/miranda/plugins/modernb/modern_statusbar.h
   M /trunk/miranda/plugins/modernb/rowheight_funcs.c
   M /trunk/miranda/plugins/modernb/tabbedoptions.c

- Code restyling
------------------------------------------------------------------------
r3858 | gena01 | 2006-09-20 07:18:19 +0400 (Ср, 20 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/libyahoo2/libyahoo2.c
   M /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo2_types.h

Updating debugging constants. Also renamed the services to be user friendly.
------------------------------------------------------------------------
r3857 | gena01 | 2006-09-20 06:09:58 +0400 (Ср, 20 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/im.c
   M /trunk/miranda/protocols/Yahoo/util.c
   M /trunk/miranda/protocols/Yahoo/yahoo.h

Fixing a regression. Adding back local ACP to UTF8 encoding for those who are using ANSI version(s) of *srmm. This should match the behavior of 0.5.1
------------------------------------------------------------------------
r3856 | gena01 | 2006-09-20 05:58:36 +0400 (Ср, 20 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/file_transfer.c

Removing the extra code I accidentally left in. This is dangerous and could have crashed miranda. 
------------------------------------------------------------------------
r3855 | nightwish2004 | 2006-09-19 19:46:01 +0400 (Вт, 19 сен 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/docs/changelog.txt
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c
   M /trunk/miranda/plugins/tabsrmm/msglog.c
   M /trunk/miranda/plugins/tabsrmm/msgs.h
   M /trunk/miranda/plugins/tabsrmm/msgwindow.rc
   M /trunk/miranda/plugins/tabsrmm/sendqueue.c
   M /trunk/miranda/plugins/tabsrmm/sendqueue.h
   M /trunk/miranda/plugins/tabsrmm/srmm.c

+ made some error messages translateable
+ allow transparent images for own avatar display
------------------------------------------------------------------------
r3854 | ghazan | 2006-09-19 17:49:41 +0400 (Вт, 19 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/userinfo/userinfo.c

fix for broken options page
------------------------------------------------------------------------
r3853 | ghazan | 2006-09-19 17:04:25 +0400 (Вт, 19 сен 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/plugins/chat/manager.c
   M /branches/stable/miranda/plugins/chat/services.c
   M /trunk/miranda/plugins/chat/manager.c
   M /trunk/miranda/plugins/chat/services.c

fixes for spaces in nicks in chats
------------------------------------------------------------------------
r3852 | ghazan | 2006-09-19 16:53:26 +0400 (Вт, 19 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/m_chat.h
   M /trunk/miranda/plugins/Scriver/chat/manager.c
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/tabsrmm/chat/chat.h
   M /trunk/miranda/plugins/tabsrmm/chat/m_chat.h
   M /trunk/miranda/plugins/tabsrmm/chat/manager.c
   M /trunk/miranda/plugins/tabsrmm/chat/services.c

merging code from CHAT.dll
------------------------------------------------------------------------
r3851 | ghazan | 2006-09-19 16:47:40 +0400 (Вт, 19 сен 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/IRC/options.cpp
   M /trunk/miranda/protocols/IRC/commandmonitor.cpp
   M /trunk/miranda/protocols/IRC/options.cpp

moved some IRC-specific code from CHAT plugin to IRC
------------------------------------------------------------------------
r3850 | ashpynov | 2006-09-19 15:03:35 +0400 (Вт, 19 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/rowheight_funcs.c


------------------------------------------------------------------------
r3849 | ashpynov | 2006-09-19 14:46:55 +0400 (Вт, 19 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/rowheight_funcs.c

- fix for crash in rowheight calc
------------------------------------------------------------------------
r3848 | ghazan | 2006-09-19 14:43:49 +0400 (Вт, 19 сен 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/include/m_chat.h
   M /branches/stable/miranda/plugins/chat/chat.h
   M /branches/stable/miranda/plugins/chat/m_chat.h
   M /branches/stable/miranda/plugins/chat/manager.c
   M /trunk/miranda/include/m_chat.h
   M /trunk/miranda/plugins/chat/chat.h
   M /trunk/miranda/plugins/chat/m_chat.h
   M /trunk/miranda/plugins/chat/manager.c

fixes for using tabs instead of spaces in CHAT
------------------------------------------------------------------------
r3847 | ghazan | 2006-09-19 13:47:31 +0400 (Вт, 19 сен 2006) | 1 line
Changed paths:
   A /trunk/miranda/include/openssl
   A /trunk/miranda/include/openssl/aes.h
   A /trunk/miranda/include/openssl/applink.c
   A /trunk/miranda/include/openssl/asn1.h
   A /trunk/miranda/include/openssl/asn1_mac.h
   A /trunk/miranda/include/openssl/asn1t.h
   A /trunk/miranda/include/openssl/bio.h
   A /trunk/miranda/include/openssl/blowfish.h
   A /trunk/miranda/include/openssl/bn.h
   A /trunk/miranda/include/openssl/buffer.h
   A /trunk/miranda/include/openssl/cast.h
   A /trunk/miranda/include/openssl/comp.h
   A /trunk/miranda/include/openssl/conf.h
   A /trunk/miranda/include/openssl/conf_api.h
   A /trunk/miranda/include/openssl/crypto.h
   A /trunk/miranda/include/openssl/des.h
   A /trunk/miranda/include/openssl/des_old.h
   A /trunk/miranda/include/openssl/dh.h
   A /trunk/miranda/include/openssl/dsa.h
   A /trunk/miranda/include/openssl/dso.h
   A /trunk/miranda/include/openssl/dtls1.h
   A /trunk/miranda/include/openssl/e_os2.h
   A /trunk/miranda/include/openssl/ebcdic.h
   A /trunk/miranda/include/openssl/ec.h
   A /trunk/miranda/include/openssl/ecdh.h
   A /trunk/miranda/include/openssl/ecdsa.h
   A /trunk/miranda/include/openssl/engine.h
   A /trunk/miranda/include/openssl/err.h
   A /trunk/miranda/include/openssl/evp.h
   A /trunk/miranda/include/openssl/hmac.h
   A /trunk/miranda/include/openssl/idea.h
   A /trunk/miranda/include/openssl/krb5_asn.h
   A /trunk/miranda/include/openssl/kssl.h
   A /trunk/miranda/include/openssl/lhash.h
   A /trunk/miranda/include/openssl/md2.h
   A /trunk/miranda/include/openssl/md4.h
   A /trunk/miranda/include/openssl/md5.h
   A /trunk/miranda/include/openssl/obj_mac.h
   A /trunk/miranda/include/openssl/objects.h
   A /trunk/miranda/include/openssl/ocsp.h
   A /trunk/miranda/include/openssl/opensslconf.h
   A /trunk/miranda/include/openssl/opensslv.h
   A /trunk/miranda/include/openssl/ossl_typ.h
   A /trunk/miranda/include/openssl/pem.h
   A /trunk/miranda/include/openssl/pem2.h
   A /trunk/miranda/include/openssl/pkcs12.h
   A /trunk/miranda/include/openssl/pkcs7.h
   A /trunk/miranda/include/openssl/pq_compat.h
   A /trunk/miranda/include/openssl/pqueue.h
   A /trunk/miranda/include/openssl/rand.h
   A /trunk/miranda/include/openssl/rc2.h
   A /trunk/miranda/include/openssl/rc4.h
   A /trunk/miranda/include/openssl/ripemd.h
   A /trunk/miranda/include/openssl/rsa.h
   A /trunk/miranda/include/openssl/safestack.h
   A /trunk/miranda/include/openssl/sha.h
   A /trunk/miranda/include/openssl/ssl.h
   A /trunk/miranda/include/openssl/ssl2.h
   A /trunk/miranda/include/openssl/ssl23.h
   A /trunk/miranda/include/openssl/ssl3.h
   A /trunk/miranda/include/openssl/stack.h
   A /trunk/miranda/include/openssl/store.h
   A /trunk/miranda/include/openssl/symhacks.h
   A /trunk/miranda/include/openssl/tls1.h
   A /trunk/miranda/include/openssl/tmdiff.h
   A /trunk/miranda/include/openssl/txt_db.h
   A /trunk/miranda/include/openssl/ui.h
   A /trunk/miranda/include/openssl/ui_compat.h
   A /trunk/miranda/include/openssl/x509.h
   A /trunk/miranda/include/openssl/x509_vfy.h
   A /trunk/miranda/include/openssl/x509v3.h

added the OpenSSL /include folder not to depend on the external OpenSSL paths
------------------------------------------------------------------------
r3846 | ghazan | 2006-09-19 11:40:42 +0400 (Вт, 19 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlibupnp.c

minor fix for uPNP
------------------------------------------------------------------------
r3844 | ghazan | 2006-09-18 23:43:08 +0400 (Пн, 18 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/netlib/netlib.c
   M /trunk/miranda/src/modules/netlib/netlib.h
   M /trunk/miranda/src/modules/netlib/netlibupnp.c

a patch for uPNP by borkra, to decrease the load
------------------------------------------------------------------------
r3843 | the_leech | 2006-09-18 23:34:21 +0400 (Пн, 18 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/chat.rc
   M /trunk/miranda/plugins/Scriver/chat/options.c
   M /trunk/miranda/plugins/Scriver/chat/resource.h
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/Scriver/chat/tools.c
   M /trunk/miranda/plugins/Scriver/chat/window.c

chat clean-up
------------------------------------------------------------------------
r3842 | ghazan | 2006-09-18 19:26:12 +0400 (Пн, 18 сен 2006) | 2 lines
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/docs/changelog_jabber.txt
   M /branches/stable/miranda/protocols/JabberG/jabber.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber.rc
   M /branches/stable/miranda/protocols/JabberG/jabber_opt.cpp
   M /branches/stable/miranda/protocols/JabberG/resource.h
   M /trunk/miranda/protocols/JabberG/docs/changelog_jabber.txt
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

wish #0002541 fixed: Options - Account: Removal of account from the server

------------------------------------------------------------------------
r3841 | ghazan | 2006-09-18 17:14:18 +0400 (Пн, 18 сен 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_util.cpp
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp

bugfix for #0002530: Jabber crashes on very large images in vCards
------------------------------------------------------------------------
r3840 | ghazan | 2006-09-18 15:26:32 +0400 (Пн, 18 сен 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp

wish 0002547: xml:lang='en' - Attribute sent in stream:stream specifying desired language of human-readable messages
------------------------------------------------------------------------
r3839 | ashpynov | 2006-09-18 15:23:12 +0400 (Пн, 18 сен 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/res/skin.msf

- default skin updated to have Main,ID=EventArea item (skin re-applying required)
- fixed alpha channel in DrawTextEffect routine
------------------------------------------------------------------------
r3838 | ashpynov | 2006-09-18 13:51:23 +0400 (Пн, 18 сен 2006) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/clistevents.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/cluiopts.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/init.c
   M /trunk/miranda/plugins/modernb/modern_statusbar.c
   M /trunk/miranda/plugins/modernb/resource.h
   M /trunk/miranda/plugins/modernb/resource.rc
   M /trunk/miranda/plugins/modernb/rowheight_funcs.c
   M /trunk/miranda/plugins/modernb/version.h

- another on exit crash fix
- event area is ported from nicer

------------------------------------------------------------------------
r3837 | ghazan | 2006-09-18 12:12:40 +0400 (Пн, 18 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IRC/main.cpp

fix for placing the structure size for MMI
------------------------------------------------------------------------
r3836 | ashpynov | 2006-09-18 09:55:06 +0400 (Пн, 18 сен 2006) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/cache_funcs.h
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/clistevents.c
   M /trunk/miranda/plugins/modernb/clistsettings.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/init.c

- another on exit crash fix
- start of event area porting from nicer
- small code styling
------------------------------------------------------------------------
r3835 | ghazan | 2006-09-18 01:59:57 +0400 (Пн, 18 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.dep
   M /trunk/miranda/protocols/JabberG/jabber.dsp
   M /trunk/miranda/protocols/JabberG/jabber.mak
   M /trunk/miranda/protocols/JabberG/jabber_8.vcproj
   M /trunk/miranda/protocols/JabberG/jabber_icolib.cpp

fixes for Jabber project and make files
------------------------------------------------------------------------
r3834 | ghazan | 2006-09-18 00:13:13 +0400 (Пн, 18 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/services.c

MSVC compliance fix
------------------------------------------------------------------------
r3833 | nightwish2004 | 2006-09-17 03:15:10 +0400 (Вс, 17 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/options.c
   M /trunk/miranda/plugins/tabsrmm/tabsrmm_8.vcproj

+ automatically enable/disable chat.dll when setting the option for integrated chat module.
------------------------------------------------------------------------
r3832 | the_leech | 2006-09-17 00:47:53 +0400 (Вс, 17 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/main.c
   M /trunk/miranda/plugins/Scriver/chat/manager.c
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/Scriver/chat/tools.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/globals.c

* bugfixes (chat integration)
------------------------------------------------------------------------
r3831 | jokusoftware | 2006-09-16 19:21:25 +0400 (Сб, 16 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c

added client detection of sss & s7 mod (thx Faith Healer)
------------------------------------------------------------------------
r3829 | ghazan | 2006-09-15 21:27:46 +0400 (Пт, 15 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/file_transfer.c

fix for VS2003 compatibility
------------------------------------------------------------------------
r3828 | ghazan | 2006-09-15 21:02:12 +0400 (Пт, 15 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.h


------------------------------------------------------------------------
r3827 | ghazan | 2006-09-15 21:00:42 +0400 (Пт, 15 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_system.h
   A /trunk/miranda/include/m_system_cpp.h

divided files to avoid conflicts with some plugins
------------------------------------------------------------------------
r3826 | ghazan | 2006-09-15 20:51:50 +0400 (Пт, 15 сен 2006) | 1 line
Changed paths:
   A /trunk/miranda/protocols/JabberG/sdk/m_icolib.h


------------------------------------------------------------------------
r3825 | ghazan | 2006-09-15 20:34:31 +0400 (Пт, 15 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_icolib.cpp

stupid bug in new code
------------------------------------------------------------------------
r3824 | ashpynov | 2006-09-15 20:24:47 +0400 (Пт, 15 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/clistmod.c
   M /trunk/miranda/plugins/modernb/clistsettings.c
   M /trunk/miranda/plugins/modernb/clui.c

- couple of memory deallocation on exit
------------------------------------------------------------------------
r3823 | gena01 | 2006-09-15 20:23:14 +0400 (Пт, 15 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/file_transfer.c
   M /trunk/miranda/protocols/Yahoo/file_transfer.h
   M /trunk/miranda/protocols/Yahoo/libyahoo2/libyahoo2.c
   M /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo2.h
   M /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo2_callbacks.h
   M /trunk/miranda/protocols/Yahoo/yahoo.c

Adding experimental FT7 receive code. This code is not complete and is missing lots of pieces. 
------------------------------------------------------------------------
r3820 | ghazan | 2006-09-15 19:48:38 +0400 (Пт, 15 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.h

late <malloc.h> causes errors in VS2003... sorry, sje :)
------------------------------------------------------------------------
r3819 | ghazan | 2006-09-15 19:45:25 +0400 (Пт, 15 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn_global.h

late <malloc.h> causes errors in VS2003... sorry, sje :)
------------------------------------------------------------------------
r3818 | ghazan | 2006-09-15 19:17:24 +0400 (Пт, 15 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn_bitmap.cpp
   M /trunk/miranda/protocols/MSN/msn_commands.cpp
   M /trunk/miranda/protocols/MSN/msn_ftold.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_p2ps.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_threads.cpp
   M /trunk/miranda/protocols/MSN/msn_ws.cpp

latest patch set for MSN file transfers, threads etc. (by borkra)
------------------------------------------------------------------------
r3817 | ghazan | 2006-09-15 19:15:35 +0400 (Пт, 15 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/docs/changelog_jabber.txt
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber.vcproj
   M /trunk/miranda/protocols/JabberG/jabber_agent.cpp
   A /trunk/miranda/protocols/JabberG/jabber_icolib.cpp
   M /trunk/miranda/protocols/JabberG/jabber_list.cpp
   M /trunk/miranda/protocols/JabberG/jabber_list.h
   M /trunk/miranda/protocols/JabberG/jabber_misc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_util.cpp

the ability to set different status icons for Jabber transports contacts.
------------------------------------------------------------------------
r3816 | ghazan | 2006-09-15 19:12:23 +0400 (Пт, 15 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_options.h
   M /trunk/miranda/include/m_system.h
   M /trunk/miranda/src/core/commonheaders.h
   M /trunk/miranda/src/core/miranda.c
   M /trunk/miranda/src/modules/options/options.c

MIRANDA_VER macro added to control the structures layout
------------------------------------------------------------------------
r3815 | ashpynov | 2006-09-15 17:40:36 +0400 (Пт, 15 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/mod_skin_selector.c

- possible crash on wildcomparei (tnx 2George)
------------------------------------------------------------------------
r3814 | ashpynov | 2006-09-15 16:22:12 +0400 (Пт, 15 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clc.h
   M /trunk/miranda/plugins/modernb/clcitems.c
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clcutils.c
   M /trunk/miranda/plugins/modernb/clist.h
   M /trunk/miranda/plugins/modernb/clistmenus.c
   M /trunk/miranda/plugins/modernb/clistmod.c
   M /trunk/miranda/plugins/modernb/clistsettings.c
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/contact.c
   M /trunk/miranda/plugins/modernb/init.c

- Proto/GetAdvancedStatusIcon support
------------------------------------------------------------------------
r3813 | ghazan | 2006-09-15 14:00:47 +0400 (Пт, 15 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/core/modules.c

minor code cleaning
------------------------------------------------------------------------
r3812 | ghazan | 2006-09-15 13:42:35 +0400 (Пт, 15 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.cpp

additional check for the core version
------------------------------------------------------------------------
r3810 | jokusoftware | 2006-09-15 01:56:03 +0400 (Пт, 15 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/fam_03buddy.c

fixed capability parsing (it could corrupt buffer size)
------------------------------------------------------------------------
r3809 | the_leech | 2006-09-14 23:44:00 +0400 (Чт, 14 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/chat.rc
   M /trunk/miranda/plugins/Scriver/chat/clist.c
   M /trunk/miranda/plugins/Scriver/chat/manager.c
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/msgs.h
   M /trunk/miranda/plugins/Scriver/msgwindow.h
   M /trunk/miranda/plugins/Scriver/resource.rc
   M /trunk/miranda/plugins/Scriver/scriver_8.vcproj

*bugfixes and clean-up
------------------------------------------------------------------------
r3808 | nightwish2004 | 2006-09-14 20:49:11 +0400 (Чт, 14 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/services.c
   M /trunk/miranda/plugins/tabsrmm/chat/window.c
   M /trunk/miranda/plugins/tabsrmm/hotkeyhandler.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.h
   M /trunk/miranda/plugins/tabsrmm/tabsrmm.dsp

+ patch by FYR for showing transport icons retrieved from the contact list
------------------------------------------------------------------------
r3807 | ghazan | 2006-09-14 20:18:18 +0400 (Чт, 14 сен 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/src/modules/clist/clcutils.c
   M /trunk/miranda/src/modules/clist/clcutils.c

fix for a buffer overrun
------------------------------------------------------------------------
r3806 | ghazan | 2006-09-14 20:13:27 +0400 (Чт, 14 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/bin7/miranda32.sln
   M /trunk/miranda/plugins/Scriver/scriver.vcproj
   M /trunk/miranda/plugins/chat/chat.vcproj
   M /trunk/miranda/plugins/clist/clist.vcproj
   M /trunk/miranda/plugins/clist_nicer/clist_nicer.vcproj
   M /trunk/miranda/plugins/db3x/db3x.vcproj
   M /trunk/miranda/plugins/db3x_mmap/db3x_mmap.vcproj
   M /trunk/miranda/plugins/help/help.vcproj
   M /trunk/miranda/plugins/import/import.vcproj
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/mwclist/clist_mw.vcproj
   M /trunk/miranda/plugins/png2dib/png2dib.vcproj
   M /trunk/miranda/plugins/srmm/srmm.vcproj
   M /trunk/miranda/plugins/tabsrmm/tabsrmm.vcproj
   M /trunk/miranda/protocols/IcqOscarJ/icqoscar8.vcproj
   M /trunk/miranda/protocols/JabberG/jabber.vcproj
   M /trunk/miranda/protocols/MSN/msn.vcproj
   M /trunk/miranda/protocols/Yahoo/Yahoo.vcproj
   M /trunk/miranda/src/miranda32.vcproj
   M /trunk/miranda-tools/dbtool/dbtool.vcproj

all VS2003 projects use $(ConfigurationName) now as the output directory name. For all projects, even non-Unicode, the Debug Unicode & Release Unicode configurations were created, to allow to debug two completely different directories. All non-core projects were removed from a solution
------------------------------------------------------------------------
r3805 | ghazan | 2006-09-14 20:10:34 +0400 (Чт, 14 сен 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/docs/changelog_jabber.txt
   A /branches/stable/miranda/protocols/JabberG/icos/login.ico
   M /branches/stable/miranda/protocols/JabberG/jabber.rc
   M /branches/stable/miranda/protocols/JabberG/jabber_opt.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_ssl.cpp
   M /branches/stable/miranda/protocols/JabberG/resource.h
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp
   M /trunk/miranda/protocols/JabberG/jabber_ssl.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

bug 0002503 fixed: Miranda crashes when trying to connect to jabber server if tls is enabled
------------------------------------------------------------------------
r3804 | ashpynov | 2006-09-14 16:18:17 +0400 (Чт, 14 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clcitems.c

- default icon for transported contact order
------------------------------------------------------------------------
r3803 | ghazan | 2006-09-14 15:55:42 +0400 (Чт, 14 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber_opt.cpp
   M /trunk/miranda/protocols/MSN/msn.rc
   M /trunk/miranda/protocols/MSN/msn_opts.cpp

patch for MSN & Jabber to use core tabbed options
------------------------------------------------------------------------
r3802 | ghazan | 2006-09-14 15:54:32 +0400 (Чт, 14 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_options.h
   M /trunk/miranda/src/modules/options/options.c
   M /trunk/miranda/src/modules/utils/utils.c
   M /trunk/miranda/src/resource.h
   M /trunk/miranda/src/resource.rc

patch by Pescuma to maintain the tabbed options in core.
------------------------------------------------------------------------
r3801 | ghazan | 2006-09-14 13:36:40 +0400 (Чт, 14 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber.rc

minor fix to remove "russian" icons
------------------------------------------------------------------------
r3800 | ghazan | 2006-09-14 13:34:41 +0400 (Чт, 14 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/MSN/msn.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_misc.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp

patch for MSN protocol to display the currently playing music
------------------------------------------------------------------------
r3799 | ashpynov | 2006-09-14 12:18:53 +0400 (Чт, 14 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clc.h

- transport changing rebuilding
------------------------------------------------------------------------
r3798 | ashpynov | 2006-09-14 11:23:48 +0400 (Чт, 14 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clc.h
   M /trunk/miranda/plugins/modernb/clcitems.c
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clist.h
   M /trunk/miranda/plugins/modernb/clistmod.c
   M /trunk/miranda/plugins/modernb/clistsettings.c
   M /trunk/miranda/plugins/modernb/contact.c

- using transport icon from external (yapp supported, tabSrmm require modification) 
------------------------------------------------------------------------
r3797 | gena01 | 2006-09-14 07:36:55 +0400 (Чт, 14 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/avatar.c
   M /trunk/miranda/protocols/Yahoo/avatar.h
   M /trunk/miranda/protocols/Yahoo/libyahoo2/libyahoo2.c
   M /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo2.h
   M /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo2_callbacks.h
   M /trunk/miranda/protocols/Yahoo/yahoo.c

More code cleanup. Renamed avatar_update to picture_status. This is what kopete calls it and it's more appropriate. Also added some strings that were missing for some of our services. 
------------------------------------------------------------------------
r3796 | pescuma | 2006-09-14 04:12:54 +0400 (Чт, 14 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/cache_funcs.c

modernb: Small fix for metacontact smileys
------------------------------------------------------------------------
r3795 | nightwish2004 | 2006-09-14 02:46:41 +0400 (Чт, 14 сен 2006) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/CLUIFrames/statusbar.c
   M /trunk/miranda/plugins/clist_nicer/clcpaint.c
   M /trunk/miranda/plugins/clist_nicer/clist.dsp
   M /trunk/miranda/plugins/clist_nicer/clui.c
   M /trunk/miranda/plugins/clist_nicer/init.c
   M /trunk/miranda/plugins/clist_nicer/resource.rc

+ version bump
+ fix for idle metacontacts (dimmed icon)
+ merged patch by sje for proper handling of status bar tooltip events
------------------------------------------------------------------------
r3794 | gena01 | 2006-09-14 00:52:33 +0400 (Чт, 14 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/main.c
   M /trunk/miranda/protocols/Yahoo/services.c

Tiny code cleanup.
------------------------------------------------------------------------
r3793 | gena01 | 2006-09-14 00:50:24 +0400 (Чт, 14 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/http_gateway.c
   M /trunk/miranda/protocols/Yahoo/main.c
   M /trunk/miranda/protocols/Yahoo/server.c
   M /trunk/miranda/protocols/Yahoo/services.c
   M /trunk/miranda/protocols/Yahoo/yahoo.c
   M /trunk/miranda/protocols/Yahoo/yahoo.msp

Reworking how we use yahoo_local_acount variable.. Making it's life persistent to match libyahoo2's sample_client. 
------------------------------------------------------------------------
r3792 | ghazan | 2006-09-13 23:52:20 +0400 (Ср, 13 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/main.c

minor fix for setting valid MMI structure size 
------------------------------------------------------------------------
r3791 | ashpynov | 2006-09-13 17:10:34 +0400 (Ср, 13 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/extraimage.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clc.h
   M /trunk/miranda/plugins/modernb/clcitems.c
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clcutils.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/commonheaders.c
   M /trunk/miranda/plugins/modernb/commonprototypes.h
   M /trunk/miranda/plugins/modernb/contact.c
   M /trunk/miranda/plugins/modernb/mod_skin_selector.c
   M /trunk/miranda/plugins/modernb/version.h

show transport protocol icon instead of jabber icon (modified jabber required fyr.mirandaim.ru/downloads/jab_mod.rar)
------------------------------------------------------------------------
r3790 | jokusoftware | 2006-09-13 04:03:38 +0400 (Ср, 13 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/fam_01service.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_server.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_xstatus.c
   M /trunk/miranda/protocols/IcqOscarJ/icqosc_svcs.c

added small routine to refresh avatar image on each login if necessary (obviously the server now does not update avatar image cache status properly automatically)
------------------------------------------------------------------------
r3789 | gena01 | 2006-09-13 01:54:52 +0400 (Ср, 13 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/file_transfer.c
   M /trunk/miranda/protocols/Yahoo/file_transfer.h

More code cleanup. Removing more unused functions.
------------------------------------------------------------------------
r3788 | gena01 | 2006-09-13 00:39:39 +0400 (Ср, 13 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/file_transfer.c
   M /trunk/miranda/protocols/Yahoo/file_transfer.h

More cleanup.. removing unneeded function..
------------------------------------------------------------------------
r3787 | gena01 | 2006-09-13 00:37:05 +0400 (Ср, 13 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/yahoo.c

Some small changes... logging related..
------------------------------------------------------------------------
r3786 | gena01 | 2006-09-13 00:26:08 +0400 (Ср, 13 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/libyahoo2/libyahoo2.c
   M /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo2_types.h

Small cleanup. Separated buddy statuses from packet statuses. They are actually different. Cleaned up the logging.
------------------------------------------------------------------------
r3785 | ghazan | 2006-09-13 00:09:41 +0400 (Ср, 13 сен 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn_global.h
   M /branches/stable/miranda/protocols/MSN/msn_opts.cpp
   M /branches/stable/miranda/protocols/MSN/msn_svcs.cpp
   M /branches/stable/miranda/protocols/MSN/msn_threads.cpp
   M /branches/stable/miranda/protocols/MSN/msn_useropts.cpp
   M /trunk/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_svcs.cpp
   M /trunk/miranda/protocols/MSN/msn_useropts.cpp

avatar services for MSN plugin
------------------------------------------------------------------------
r3784 | ghazan | 2006-09-12 23:19:47 +0400 (Вт, 12 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/msgwindow.c

minor memory leak fix
------------------------------------------------------------------------
r3783 | nightwish2004 | 2006-09-12 22:55:54 +0400 (Вт, 12 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/chat/log.c
   M /trunk/miranda/plugins/tabsrmm/chat/message.c
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgdlgutils.c

+ some fixes for non-standard richedit controls
------------------------------------------------------------------------
r3782 | ghazan | 2006-09-12 22:36:51 +0400 (Вт, 12 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/chat.h

minor code fix to remove warnings
------------------------------------------------------------------------
r3781 | ghazan | 2006-09-12 21:12:18 +0400 (Вт, 12 сен 2006) | 2 lines
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber.h
   M /branches/stable/miranda/protocols/JabberG/jabber_agent.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_bitmap.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_iqid.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_svc.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_thread.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_userinfo.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_xml.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_xml.h
   M /branches/stable/miranda/protocols/JabberG/resource.h
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber_agent.cpp
   M /trunk/miranda/protocols/JabberG/jabber_bitmap.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_userinfo.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

avatars services implementation for Jabber
tested code merging with the trunk
------------------------------------------------------------------------
r3779 | ghazan | 2006-09-12 20:11:07 +0400 (Вт, 12 сен 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn_global.h
   M /trunk/miranda/protocols/MSN/msn_global.h

set the valid name for the MSN/SetMyAvatar service
------------------------------------------------------------------------
r3778 | ashpynov | 2006-09-12 17:11:37 +0400 (Вт, 12 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/SkinOpt.c
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/clistmenus.c
   M /trunk/miranda/plugins/modernb/clistopts.c
   M /trunk/miranda/plugins/modernb/clisttray.c
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/forkthread.h

static linking of msvcrt71.dll
------------------------------------------------------------------------
r3777 | ashpynov | 2006-09-12 14:47:50 +0400 (Вт, 12 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clcitems.c
   M /trunk/miranda/plugins/modernb/init.c

- Keyboard vs Expanded metacontact
------------------------------------------------------------------------
r3776 | the_leech | 2006-09-12 02:15:44 +0400 (Вт, 12 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/msgs.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c

*bugfixes
------------------------------------------------------------------------
r3775 | the_leech | 2006-09-12 01:36:35 +0400 (Вт, 12 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/commonheaders.h
   M /trunk/miranda/plugins/Scriver/resource.rc
   M /trunk/miranda/plugins/Scriver/scriver.dsp
   M /trunk/miranda/plugins/Scriver/scriver_8.vcproj

* some changes to VC project files
------------------------------------------------------------------------
r3774 | the_leech | 2006-09-12 00:58:23 +0400 (Вт, 12 сен 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/Scriver/MakefileA
   M /trunk/miranda/plugins/Scriver/chat/chat.h
   M /trunk/miranda/plugins/Scriver/chat/main.c
   M /trunk/miranda/plugins/Scriver/chat/manager.c
   M /trunk/miranda/plugins/Scriver/chat/services.c
   M /trunk/miranda/plugins/Scriver/chat/window.c
   M /trunk/miranda/plugins/Scriver/commonheaders.h
   M /trunk/miranda/plugins/Scriver/globals.c
   M /trunk/miranda/plugins/Scriver/globals.h
   M /trunk/miranda/plugins/Scriver/msgdialog.c
   M /trunk/miranda/plugins/Scriver/msgwindow.c
   A /trunk/miranda/plugins/Scriver/scriver.dsp
   A /trunk/miranda/plugins/Scriver/scriver.dsw
   D /trunk/miranda/plugins/Scriver/srmm.dsp
   D /trunk/miranda/plugins/Scriver/srmm.dsw
   D /trunk/miranda/plugins/Scriver/srmm.sln
   D /trunk/miranda/plugins/Scriver/srmm.vcproj

* scriver & chat integration part 4
* bugfixes
------------------------------------------------------------------------
r3772 | gena01 | 2006-09-11 22:39:06 +0400 (Пн, 11 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/services.c

Adding new PF4_OFFLINEFILES cap flag to Yahoo. Thanks Robert for adding it.
------------------------------------------------------------------------
r3771 | rainwater | 2006-09-11 22:31:59 +0400 (Пн, 11 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_protosvc.h
   M /trunk/miranda/src/modules/srfile/file.c

Added PF4_OFFLINEFILES to support offline file sending.
------------------------------------------------------------------------
r3769 | ghazan | 2006-09-11 20:48:51 +0400 (Пн, 11 сен 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/src/resource.rc
   M /trunk/miranda/src/resource.rc

bug 0002513 fixed: Date of birth field needs more space for hebrew text 
------------------------------------------------------------------------
r3768 | gena01 | 2006-09-11 20:42:14 +0400 (Пн, 11 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/Yahoo.rc
   M /trunk/miranda/protocols/Yahoo/im.c
   M /trunk/miranda/protocols/Yahoo/options.c
   M /trunk/miranda/protocols/Yahoo/resource.h

Adding back Disable UTF8, required for Yahoo Japan. This code when enabled doesn't do any conversion, but relies on the ANSI portion of the SendMessageW...
------------------------------------------------------------------------
r3767 | ghazan | 2006-09-11 20:29:28 +0400 (Пн, 11 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/Scriver/globals.c

fix for a on-exit crash
------------------------------------------------------------------------
r3766 | nightwish2004 | 2006-09-11 20:16:29 +0400 (Пн, 11 сен 2006) | 2 lines
Changed paths:
   M /trunk/miranda/plugins/tabsrmm/msgdialog.c
   M /trunk/miranda/plugins/tabsrmm/msgs.c
   M /trunk/miranda/plugins/tabsrmm/msgwindow.rc
   M /trunk/miranda/plugins/tabsrmm/srmm.c

+ version bump
+ vista compatibility check and fixed small issue with keyboard layouts
------------------------------------------------------------------------
r3764 | ghazan | 2006-09-11 19:31:25 +0400 (Пн, 11 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/clist_nicer/clist_nicer.vcproj
   M /trunk/miranda/plugins/clist_nicer/old projects/clist.vcproj

switched nicer+ to $(SolutionDir) too 
------------------------------------------------------------------------
r3763 | ghazan | 2006-09-11 19:19:56 +0400 (Пн, 11 сен 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/plugins/chat/main.c
   M /trunk/miranda/plugins/chat/main.c

fixed MMI getting code for CHAT
------------------------------------------------------------------------
r3762 | ghazan | 2006-09-11 19:11:34 +0400 (Пн, 11 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/db3x_mmap/commonheaders.h
   M /trunk/miranda/plugins/db3x_mmap/database.c
   M /trunk/miranda/plugins/db3x_mmap/database.h
   A /trunk/miranda/plugins/db3x_mmap/db3x_mmap.rc
   M /trunk/miranda/plugins/db3x_mmap/db3x_mmap.vcproj
   A /trunk/miranda/plugins/db3x_mmap/db3x_mmap_8.vcproj
   M /trunk/miranda/plugins/db3x_mmap/dbcache.c
   M /trunk/miranda/plugins/db3x_mmap/dbcontacts.c
   M /trunk/miranda/plugins/db3x_mmap/dbevents.c
   M /trunk/miranda/plugins/db3x_mmap/dbheaders.c
   M /trunk/miranda/plugins/db3x_mmap/dbmodulechain.c
   M /trunk/miranda/plugins/db3x_mmap/dbsettings.c
   M /trunk/miranda/plugins/db3x_mmap/dbtime.c
   M /trunk/miranda/plugins/db3x_mmap/encrypt.c
   M /trunk/miranda/plugins/db3x_mmap/init.c
   M /trunk/miranda/plugins/db3x_mmap/resource.rc
   M /trunk/miranda/plugins/db3x_mmap/utf.c
   A /trunk/miranda/plugins/db3x_mmap/version.h
   A /trunk/miranda/plugins/db3x_mmap/version.rc

merging db3x_mmap to version 0.6.2.0
------------------------------------------------------------------------
r3761 | ghazan | 2006-09-11 18:42:50 +0400 (Пн, 11 сен 2006) | 1 line
Changed paths:
   A /trunk/miranda/plugins/Scriver
   A /trunk/miranda/plugins/Scriver/Docs
   A /trunk/miranda/plugins/Scriver/Docs/scriver-license.txt
   A /trunk/miranda/plugins/Scriver/Docs/scriver-readme.txt
   A /trunk/miranda/plugins/Scriver/Docs/scriver-translation.txt
   A /trunk/miranda/plugins/Scriver/Docs/srmm-license.txt
   A /trunk/miranda/plugins/Scriver/Docs/srmm-readme.txt
   A /trunk/miranda/plugins/Scriver/Docs/srmm-translation.txt
   A /trunk/miranda/plugins/Scriver/IcoLib.h
   A /trunk/miranda/plugins/Scriver/Makefile
   A /trunk/miranda/plugins/Scriver/MakefileA
   A /trunk/miranda/plugins/Scriver/MakefileIcons
   A /trunk/miranda/plugins/Scriver/chat
   A /trunk/miranda/plugins/Scriver/chat/IcoLib.h
   A /trunk/miranda/plugins/Scriver/chat/Icons
   A /trunk/miranda/plugins/Scriver/chat/Icons/1.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/2.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/3.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/4.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/5.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/6.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/action.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/addmode.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/bkgcolor.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/blank.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/bold.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/close.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/color.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/filter.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/filter2.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/highlight.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/history.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/info.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/italics.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/join.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/kick.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/message.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/messageout.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/nick.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/nicklist.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/nicklist2.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/notice.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/overlay.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/part.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/quit.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/removestatus.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/smiley.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/smileyc.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/tag1.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/tag2.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/topic.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/topicbut.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/underline.ico
   A /trunk/miranda/plugins/Scriver/chat/Icons/window.ico
   A /trunk/miranda/plugins/Scriver/chat/chat.h
   A /trunk/miranda/plugins/Scriver/chat/chat.rc
   A /trunk/miranda/plugins/Scriver/chat/clist.c
   A /trunk/miranda/plugins/Scriver/chat/colorchooser.c
   A /trunk/miranda/plugins/Scriver/chat/log.c
   A /trunk/miranda/plugins/Scriver/chat/m_chat.h
   A /trunk/miranda/plugins/Scriver/chat/m_ieview.h
   A /trunk/miranda/plugins/Scriver/chat/m_smileyadd.h
   A /trunk/miranda/plugins/Scriver/chat/m_uninstaller.h
   A /trunk/miranda/plugins/Scriver/chat/main.c
   A /trunk/miranda/plugins/Scriver/chat/manager.c
   A /trunk/miranda/plugins/Scriver/chat/message.c
   A /trunk/miranda/plugins/Scriver/chat/options.c
   A /trunk/miranda/plugins/Scriver/chat/resource.h
   A /trunk/miranda/plugins/Scriver/chat/services.c
   A /trunk/miranda/plugins/Scriver/chat/tools.c
   A /trunk/miranda/plugins/Scriver/chat/window.c
   A /trunk/miranda/plugins/Scriver/cmdlist.c
   A /trunk/miranda/plugins/Scriver/cmdlist.h
   A /trunk/miranda/plugins/Scriver/commonheaders.h
   A /trunk/miranda/plugins/Scriver/globals.c
   A /trunk/miranda/plugins/Scriver/globals.h
   A /trunk/miranda/plugins/Scriver/icons.rc
   A /trunk/miranda/plugins/Scriver/m_avatars.h
   A /trunk/miranda/plugins/Scriver/m_fontservice.h
   A /trunk/miranda/plugins/Scriver/m_ieview.h
   A /trunk/miranda/plugins/Scriver/m_metacontacts.h
   A /trunk/miranda/plugins/Scriver/m_smileyadd.h
   A /trunk/miranda/plugins/Scriver/m_updater.h
   A /trunk/miranda/plugins/Scriver/msgdialog.c
   A /trunk/miranda/plugins/Scriver/msglog.c
   A /trunk/miranda/plugins/Scriver/msgoptions.c
   A /trunk/miranda/plugins/Scriver/msgs.c
   A /trunk/miranda/plugins/Scriver/msgs.h
   A /trunk/miranda/plugins/Scriver/msgtimedout.c
   A /trunk/miranda/plugins/Scriver/msgwindow.c
   A /trunk/miranda/plugins/Scriver/msgwindow.h
   A /trunk/miranda/plugins/Scriver/mssccprj.scc
   A /trunk/miranda/plugins/Scriver/multimon.h
   A /trunk/miranda/plugins/Scriver/res
   A /trunk/miranda/plugins/Scriver/res/Details32.ico
   A /trunk/miranda/plugins/Scriver/res/Details8.ico
   A /trunk/miranda/plugins/Scriver/res/addcontact.ico
   A /trunk/miranda/plugins/Scriver/res/cancel8.ico
   A /trunk/miranda/plugins/Scriver/res/clock.ico
   A /trunk/miranda/plugins/Scriver/res/delete.ico
   A /trunk/miranda/plugins/Scriver/res/details.ico
   A /trunk/miranda/plugins/Scriver/res/downarrow.ico
   A /trunk/miranda/plugins/Scriver/res/dragcopy.cur
   A /trunk/miranda/plugins/Scriver/res/history.ico
   A /trunk/miranda/plugins/Scriver/res/hyperlin.cur
   A /trunk/miranda/plugins/Scriver/res/incoming.ico
   A /trunk/miranda/plugins/Scriver/res/notice.ico
   A /trunk/miranda/plugins/Scriver/res/outgoing.ico
   A /trunk/miranda/plugins/Scriver/res/quote.ico
   A /trunk/miranda/plugins/Scriver/res/send.ico
   A /trunk/miranda/plugins/Scriver/res/smiley.ico
   A /trunk/miranda/plugins/Scriver/res/typing.ico
   A /trunk/miranda/plugins/Scriver/res/unicodeoff.ico
   A /trunk/miranda/plugins/Scriver/res/unicodeon.ico
   A /trunk/miranda/plugins/Scriver/resource.h
   A /trunk/miranda/plugins/Scriver/resource.rc
   A /trunk/miranda/plugins/Scriver/richutil.c
   A /trunk/miranda/plugins/Scriver/richutil.h
   A /trunk/miranda/plugins/Scriver/scriver.vcproj
   A /trunk/miranda/plugins/Scriver/scriver_8.vcproj
   A /trunk/miranda/plugins/Scriver/srmm.c
   A /trunk/miranda/plugins/Scriver/srmm.dsp
   A /trunk/miranda/plugins/Scriver/srmm.dsw
   A /trunk/miranda/plugins/Scriver/srmm.sln
   A /trunk/miranda/plugins/Scriver/srmm.vcproj

added Scriver to a repository
------------------------------------------------------------------------
r3760 | jokusoftware | 2006-09-11 11:11:29 +0400 (Пн, 11 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c

fixed, terminating null was missing
------------------------------------------------------------------------
r3759 | ghazan | 2006-09-11 00:30:12 +0400 (Пн, 11 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/core/miranda.c
   M /trunk/miranda/src/version.rc

build 8 made
------------------------------------------------------------------------
r3758 | ghazan | 2006-09-10 22:01:33 +0400 (Вс, 10 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_list.cpp
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp

memory leaks fixed
------------------------------------------------------------------------
r3757 | jokusoftware | 2006-09-10 21:04:55 +0400 (Вс, 10 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.h

fixed, Stage 1 Proxy receive was broken
------------------------------------------------------------------------
r3756 | jokusoftware | 2006-09-10 20:26:35 +0400 (Вс, 10 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c

fixed, contact IPs were switched (thx DerEineDa for testing)
------------------------------------------------------------------------
r3755 | ghazan | 2006-09-10 19:52:43 +0400 (Вс, 10 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/docs/changelog_jabber.txt
   A /trunk/miranda/protocols/JabberG/icos/login.ico
   M /trunk/miranda/protocols/JabberG/jabber.rc
   M /trunk/miranda/protocols/JabberG/jabber.vcproj
   M /trunk/miranda/protocols/JabberG/jabber_agent.cpp
   M /trunk/miranda/protocols/JabberG/jabber_iqid.cpp
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/resource.h

wish 0001921: logon/logoff in context menu on jabber-transports in contact list 
------------------------------------------------------------------------
r3754 | jokusoftware | 2006-09-10 19:28:29 +0400 (Вс, 10 сен 2006) | 3 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/chan_04close.c
   M /trunk/miranda/protocols/IcqOscarJ/docs/icq-readme.txt
   M /trunk/miranda/protocols/IcqOscarJ/fam_01service.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_avatar.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_clients.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_constants.h
   M /trunk/miranda/protocols/IcqOscarJ/icq_direct.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_opts.c
   M /trunk/miranda/protocols/IcqOscarJ/icq_server.c
   M /trunk/miranda/protocols/IcqOscarJ/init.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.h
   M /trunk/miranda/protocols/IcqOscarJ/resource.h
   M /trunk/miranda/protocols/IcqOscarJ/resources.rc
   M /trunk/miranda/protocols/IcqOscarJ/utilities.c
   M /trunk/miranda/protocols/IcqOscarJ/utilities.h

added avatar validity check before accepting
OFT: Stage 3, receive complete, although still buggy.
improved client detection
------------------------------------------------------------------------
r3753 | ghazan | 2006-09-10 16:12:38 +0400 (Вс, 10 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/stdpackets.c

minor textual fix for (c)
------------------------------------------------------------------------
r3752 | ghazan | 2006-09-10 16:09:08 +0400 (Вс, 10 сен 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber.h
   M /branches/stable/miranda/protocols/JabberG/jabber_agent.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_iq.h
   M /branches/stable/miranda/protocols/JabberG/jabber_iqid.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_menu.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_opt.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_svc.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_thread.cpp
   M /branches/stable/miranda/protocols/JabberG/jabber_userinfo.cpp
   M /trunk/miranda/protocols/JabberG/jabber_agent.cpp

merging the tested fixes in Jabber with the stable version
------------------------------------------------------------------------
r3751 | ghazan | 2006-09-10 13:40:23 +0400 (Вс, 10 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/contacts/contacts.c

fix for the "Unknown contact" clist entries, when the Unique Value is stored in Unicode
------------------------------------------------------------------------
r3750 | the_leech | 2006-09-10 12:48:33 +0400 (Вс, 10 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/i18n/readme.txt


------------------------------------------------------------------------
r3749 | ghazan | 2006-09-10 12:14:24 +0400 (Вс, 10 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/cookies.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.h
   M /trunk/miranda/protocols/IcqOscarJ/stdpackets.c

gcc compatibility patch by Peter Lemenkov
------------------------------------------------------------------------
r3748 | ghazan | 2006-09-10 12:12:47 +0400 (Вс, 10 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/srmm/resource.rc
   M /trunk/miranda/protocols/JabberG/jabber_menu.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_thread.cpp
   M /trunk/miranda/protocols/JabberG/jabber_xml.h
   M /trunk/miranda/protocols/MSN/msn_opts.cpp
   M /trunk/miranda/protocols/MSN/msn_threads.cpp
   M /trunk/miranda/src/resource.rc

gcc compatibility patch by Peter Lemenkov
------------------------------------------------------------------------
r3747 | ghazan | 2006-09-10 11:53:59 +0400 (Вс, 10 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c

gcc compatibility patch by Peter Lemenkov
------------------------------------------------------------------------
r3746 | gena01 | 2006-09-10 07:56:45 +0400 (Вс, 10 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/libyahoo2/libyahoo2.c
   M /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo2_callbacks.h
   M /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo_httplib.c
   M /trunk/miranda/protocols/Yahoo/libyahoo2/yahoo_httplib.h
   M /trunk/miranda/protocols/Yahoo/yahoo.c

Merging HTTP fixes from stable.
------------------------------------------------------------------------
r3743 | ghazan | 2006-09-08 23:17:44 +0400 (Пт, 08 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/bin/make.bat
   M /trunk/miranda/bin/makew.bat
   M /trunk/miranda/src/version.rc

build 7 - version bump
------------------------------------------------------------------------
r3742 | ghazan | 2006-09-08 16:41:36 +0400 (Пт, 08 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_agent.cpp

transport detection added
------------------------------------------------------------------------
r3741 | ghazan | 2006-09-08 15:56:28 +0400 (Пт, 08 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/core/miranda.c

fix for the syntax error
------------------------------------------------------------------------
r3740 | ghazan | 2006-09-08 15:12:25 +0400 (Пт, 08 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/jabber_userinfo.cpp

bug 0002368 fixed: Removing my avatar doesn't clear the AV display area in Owner User Details/JABBER Avatar setup 
------------------------------------------------------------------------
r3739 | ghazan | 2006-09-08 15:11:49 +0400 (Пт, 08 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_system.h
   M /trunk/miranda/protocols/JabberG/jabber.cpp
   M /trunk/miranda/protocols/JabberG/jabber.h
   M /trunk/miranda/protocols/JabberG/jabber_list.cpp

LIST_INTERFACE v.2 moved to the separate structure.
------------------------------------------------------------------------
r3738 | ghazan | 2006-09-08 14:42:44 +0400 (Пт, 08 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/JabberG/docs/changelog_jabber.txt
   M /trunk/miranda/protocols/JabberG/jabber_list.cpp

jabber lists are rewritten using LIST_INTERFACE
------------------------------------------------------------------------
r3737 | ghazan | 2006-09-08 14:40:33 +0400 (Пт, 08 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/src/modules/plugins/newplugins.c

bug 0001080 fixed: Plugins descriptions are untranslateable 
------------------------------------------------------------------------
r3736 | ghazan | 2006-09-08 14:32:36 +0400 (Пт, 08 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/include/m_system.h
   M /trunk/miranda/src/core/miranda.c

InsertPtr & RemovePtr functions were added to LIST_INTERFACE. Version 2 of LIST_INTERFACE created
------------------------------------------------------------------------
r3735 | ashpynov | 2006-09-08 10:27:22 +0400 (Пт, 08 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/version.h


------------------------------------------------------------------------
r3733 | jokusoftware | 2006-09-08 00:15:15 +0400 (Пт, 08 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/resources.rc

blind friendly patch from pv
------------------------------------------------------------------------
r3728 | ashpynov | 2006-09-07 20:08:24 +0400 (Чт, 07 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clui.c
   M /trunk/miranda/plugins/modernb/commonheaders.h

- some exiting routines was recalled
------------------------------------------------------------------------
r3727 | ashpynov | 2006-09-07 19:46:20 +0400 (Чт, 07 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clui.c

- fix for overlay and connecting icon  painting
------------------------------------------------------------------------
r3726 | ghazan | 2006-09-07 12:52:04 +0400 (Чт, 07 сен 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/JabberG/jabber_svc.cpp
   M /trunk/miranda/protocols/JabberG/jabber_svc.cpp

critical fix for Jabber: message sending can cause random crashes
------------------------------------------------------------------------
r3725 | ashpynov | 2006-09-07 12:42:41 +0400 (Чт, 07 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/clcpaint.c

- small fix for group counter non trimming
------------------------------------------------------------------------
r3724 | ashpynov | 2006-09-07 12:16:27 +0400 (Чт, 07 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/clcpaint.c
   M /trunk/miranda/plugins/modernb/clcutils.c
   M /trunk/miranda/plugins/modernb/clist_modern.vcproj
   M /trunk/miranda/plugins/modernb/clistopts.c
   M /trunk/miranda/plugins/modernb/commonheaders.c
   M /trunk/miranda/plugins/modernb/commonheaders.h
   M /trunk/miranda/plugins/modernb/resource.h
   M /trunk/miranda/plugins/modernb/resource.rc
   M /trunk/miranda/plugins/modernb/version.h

- trimming of long text is optional (Row items->Text tab)
------------------------------------------------------------------------
r3723 | ashpynov | 2006-09-07 11:00:28 +0400 (Чт, 07 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinEngine.c

- Truncate long nicks and row texts via ellipsis
------------------------------------------------------------------------
r3721 | pescuma | 2006-09-07 04:03:53 +0400 (Чт, 07 сен 2006) | 3 lines
Changed paths:
   M /trunk/miranda/plugins/modernb/SkinOpt.c
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/cache_funcs.h
   M /trunk/miranda/plugins/modernb/clc.h
   M /trunk/miranda/plugins/modernb/clcutils.c
   M /trunk/miranda/plugins/modernb/clistopts.c
   M /trunk/miranda/plugins/modernb/resource.h
   M /trunk/miranda/plugins/modernb/resource.rc
   M /trunk/miranda/plugins/modernb/tabbedoptions.c

modernb:
- Fixed problems with skined tabs
+ Added listening to item to 2nd and 3rd rows
------------------------------------------------------------------------
r3720 | jokusoftware | 2006-09-07 00:56:27 +0400 (Чт, 07 сен 2006) | 2 lines
Changed paths:
   M /trunk/miranda/protocols/IcqOscarJ/fam_04message.c
   M /trunk/miranda/protocols/IcqOscarJ/oscar_filetransfer.c

OFT: fixed receive from AIM contacts
OFT: fixed receive of empty files (0 byte in size)
------------------------------------------------------------------------
r3719 | ghazan | 2006-09-06 23:29:59 +0400 (Ср, 06 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/bin/build.no
   M /trunk/miranda/src/version.rc

build 6 compiled
------------------------------------------------------------------------
r3717 | gena01 | 2006-09-06 21:49:35 +0400 (Ср, 06 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/protocols/Yahoo/main.c

Adding some more settings to the resident settings list.
------------------------------------------------------------------------
r3715 | ghazan | 2006-09-06 17:59:50 +0400 (Ср, 06 сен 2006) | 1 line
Changed paths:
   M /branches/stable/miranda/protocols/MSN/msn_p2p.cpp
   M /trunk/miranda/protocols/MSN/msn_p2p.cpp

the useless code removed
------------------------------------------------------------------------
r3714 | ashpynov | 2006-09-06 16:39:53 +0400 (Ср, 06 сен 2006) | 1 line
Changed paths:
   M /trunk/miranda/plugins/modernb/CLUIFrames/cluiframes.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/extraimage.c
   M /trunk/miranda/plugins/modernb/CLUIFrames/protocolorder.c
   M /trunk/miranda/plugins/modernb/SkinEngine.c
   M /trunk/miranda/plugins/modernb/cache_funcs.c
   M /trunk/miranda/plugins/modernb/clc.c
   M /trunk/miranda/plugins/modernb/clcopts.c
   M /trunk/miranda/plugins/modernb/clistmenus.c
   M /trunk/miranda/plugins/modernb/clistsettings.c
   M /trunk/miranda/plugins/modernb/clui.c
